export declare const languages: readonly ["en", "de", "fr", "ja", "cn", "ko"];
export type Lang = typeof languages[number];
export type NonEnLang = Exclude<Lang, 'en'>;
export declare const langMap: {
    [lang in Lang]: {
        [lang in Lang]: string;
    };
};
export declare const isLang: (lang?: string) => lang is "en" | "de" | "fr" | "ja" | "cn" | "ko";
export declare const langToLocale: (lang: Lang) => string;
export declare const browserLanguagesToLang: (languages: readonly string[]) => Lang;
