import { EventMap, EventType, IOverlayHandler, OverlayHandlerFuncs } from '../types/event';
declare global {
    interface Window {
        __OverlayCallback: EventMap[EventType];
        dispatchOverlayEvent?: typeof processEvent;
        OverlayPluginApi: {
            ready: boolean;
            callHandler: (msg: string, cb?: (value: string) => unknown) => void;
        };
        /**
         * @deprecated This is for backward compatibility.
         *
         * It is recommended to import from this file:
         *
         * `import { addOverlayListener } from '/path/to/overlay_plugin_api';`
         */
        addOverlayListener: IAddOverlayListener;
        /**
         * @deprecated This is for backward compatibility.
         *
         * It is recommended to import from this file:
         *
         * `import { removeOverlayListener } from '/path/to/overlay_plugin_api';`
         */
        removeOverlayListener: IRemoveOverlayListener;
        /**
         * @deprecated This is for backward compatibility.
         *
         * It is recommended to import from this file:
         *
         * `import { callOverlayHandler } from '/path/to/overlay_plugin_api';`
         */
        callOverlayHandler: IOverlayHandler;
    }
}
type IAddOverlayListener = <T extends EventType>(event: T, cb: EventMap[T]) => void;
type IRemoveOverlayListener = <T extends EventType>(event: T, cb: EventMap[T]) => void;
declare const processEvent: <T extends keyof EventMap>(msg: Parameters<EventMap[T]>[0]) => void;
export declare const dispatchOverlayEvent: <T extends keyof EventMap>(msg: Parameters<EventMap[T]>[0]) => void;
export declare const addOverlayListener: IAddOverlayListener;
export declare const removeOverlayListener: IRemoveOverlayListener;
export declare const callOverlayHandler: IOverlayHandler;
export declare const setOverlayHandlerOverride: <T extends keyof import("../types/event").OverlayHandlerAll>(type: T, override?: OverlayHandlerFuncs[T] | undefined) => void;
export declare const init: () => void;
export {};
