import { Party } from '../types/event';
import { Job, Role } from '../types/job';
import { PartyMemberParamObject, PartyTrackerOptions } from '../types/party';
export default class PartyTracker {
    private options;
    details: Party[];
    partyNames_: string[];
    partyIds_: string[];
    allianceNames_: string[];
    allianceIds_: string[];
    nameToRole_: {
        [name: string]: Role;
    };
    idToName_: {
        [id: string]: string;
    };
    roleToPartyNames_: Record<Role, string[]>;
    constructor(options: PartyTrackerOptions);
    onPartyChanged(e: {
        party: Party[];
    }): void;
    reset(): void;
    get partyNames(): readonly string[];
    get partyIds(): readonly string[];
    get allianceNames(): readonly string[];
    get tankNames(): readonly string[];
    get healerNames(): readonly string[];
    get dpsNames(): readonly string[];
    isRole(name: string, role: string): boolean;
    isTank(name: string): boolean;
    isHealer(name: string): boolean;
    isDPS(name: string): boolean;
    inParty(name: string): boolean;
    inAlliance(name: string): boolean;
    otherTank(name: string): string | undefined;
    otherHealer(name: string): string | undefined;
    jobName(name: string): Job | undefined;
    nameFromId(id: string): string | undefined;
    member(name?: string): PartyMemberParamObject;
}
