type Sorter = () => number;
type LeftRight = 'left' | 'right';
type UpDown = 'up' | 'down';
export type Toward = `${LeftRight} ${UpDown}` | `${UpDown} ${LeftRight}`;
export default class WidgetList extends HTMLElement {
    private _nextId;
    private _nameToId;
    private _elements;
    private _sorted;
    private _elementwidth;
    private _elementheight;
    private _xinc1;
    private _xinc2;
    private _yinc1;
    private _yinc2;
    private _rowcolsize;
    private _maxnumber;
    private _connected;
    private rootElement;
    static get observedAttributes(): string[];
    /** create an instance of WidgetList with attributes */
    static create(o?: {
        toward?: Toward;
        elementwidth?: string;
        elementheight?: string;
        rowcolsize?: number;
        maxnumber?: number;
        scale?: number;
    }): WidgetList;
    set scale(s: number | null);
    get scale(): number | null;
    set toward(s: Toward | null);
    get toward(): Toward | null;
    set elementwidth(w: string | null);
    get elementwidth(): string | null;
    set elementheight(w: string | null);
    get elementheight(): string | null;
    set rowcolsize(w: number | null);
    get rowcolsize(): number | null;
    set maxnumber(w: number | null);
    get maxnumber(): number | null;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    parseToward(toward: string): void;
    attributeChangedCallback(name: string, _oldValue: string, newValue: string): void;
    addElement(name: string, element: HTMLElement, sortKey: number | Sorter): void;
    removeElement(name: string): ChildNode | undefined;
    clear(): void;
    layout(): void;
    test(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'widget-list': WidgetList;
    }
}
export {};
