import { kComboDelay } from '../constants';
export class BaseComponent {
    bars;
    emitter;
    options;
    partyTracker;
    player;
    ffxivVersion;
    inCombat;
    comboDuration;
    constructor(o) {
        this.bars = o.bars;
        this.emitter = o.emitter;
        this.options = o.options;
        this.partyTracker = o.partyTracker;
        this.player = o.player;
        this.ffxivVersion = o.ffxivVersion;
        this.comboDuration = kComboDelay;
        this.inCombat = false;
        this._bindListeners();
    }
    _bindListeners() {
        this.emitter.on('battle/in-combat', ({ game }) => {
            this.inCombat = game;
        });
        this.player.onYouGainEffect(this.onYouGainEffect.bind(this));
        this.player.onYouLoseEffect(this.onYouLoseEffect.bind(this));
        this.player.onMobGainsEffectFromYou(this.onMobGainsEffectFromYou.bind(this));
        this.player.onMobLosesEffectFromYou(this.onMobLosesEffectFromYou.bind(this));
        this.player.onUseAbility(this.onUseAbility.bind(this));
        this.player.onStatChange(this.player.job, this.onStatChange.bind(this));
        if (this.player.job !== 'NONE') {
            const job = this.player.job;
            this.player.onJobDetailUpdate(job, this.onJobDetailUpdate.bind(this));
        }
        this.player.onCombo(this.onCombo.bind(this));
    }
    onCombo(_id, _combo) {
        /** noop */
    }
    onYouGainEffect(_id, _effect) {
        /** noop */
    }
    onYouLoseEffect(_id, _effect) {
        /** noop */
    }
    onMobGainsEffectFromYou(_id, _effect) {
        /** noop */
    }
    onMobLosesEffectFromYou(_id, _effect) {
        /** noop */
    }
    onUseAbility(_id, _ability) {
        /** noop */
    }
    onStatChange(_gcd) {
        /** noop */
    }
    onJobDetailUpdate(_jobDetail) {
        /** noop */
    }
    reset() {
        /** noop */
    }
}
//# sourceMappingURL=base.js.map