import TimerBox from '../../../resources/timerbox';
import { JobDetail } from '../../../types/event';
import { ResourceBox } from '../bars';
import { PartialFieldMatches } from '../event_emitter';
import { BaseComponent, ComponentInterface } from './base';
export declare class BLMComponent extends BaseComponent {
    thunderDot: TimerBox;
    manafont: TimerBox;
    amplifier: TimerBox;
    firestarter: HTMLDivElement;
    thunderhead: HTMLDivElement;
    paradox: HTMLDivElement;
    xenoStacks: HTMLElement[];
    heartStacks: HTMLElement[];
    umbralTimer: ResourceBox;
    xenoTimer: ResourceBox;
    astralSoul: ResourceBox;
    maxpoly: number;
    umbralStacks: number;
    constructor(o: ComponentInterface);
    onUseAbility(id: string): void;
    onYouGainEffect(id: string): void;
    onYouLoseEffect(id: string): void;
    onJobDetailUpdate(jobDetail: JobDetail['BLM']): void;
    onStatChange({ gcdSpell }: {
        gcdSpell: number;
    }): void;
    reset(): void;
}
export declare class BLM70Component extends BaseComponent {
    thunderDot: TimerBox;
    thunderProc: TimerBox;
    fireProc: TimerBox;
    manafont: TimerBox;
    xenoStacks: HTMLElement[];
    heartStacks: HTMLElement[];
    astralSoulStacks: HTMLElement[];
    umbralTimer: ResourceBox;
    xenoTimer: ResourceBox;
    maxpoly: number;
    umbralStacks: number;
    constructor(o: ComponentInterface);
    onUseAbility(id: string): void;
    onYouGainEffect(id: string, matches: PartialFieldMatches<'GainsEffect'>): void;
    onYouLoseEffect(id: string): void;
    onJobDetailUpdate(jobDetail: JobDetail['BLM']): void;
    onStatChange({ gcdSpell }: {
        gcdSpell: number;
    }): void;
    reset(): void;
}
