import TimerBar from '../../../resources/timerbar';
import TimerBox from '../../../resources/timerbox';
import { JobDetail } from '../../../types/event';
import { ResourceBox } from '../bars';
import { ComboTracker } from '../combo_tracker';
import { PartialFieldMatches } from '../event_emitter';
import { BaseComponent, ComponentInterface } from './base';
export declare class MCHComponent extends BaseComponent {
    comboTimer: TimerBar;
    heatGauge: ResourceBox;
    batteryGauge: ResourceBox;
    drillBox: TimerBox;
    airAnchorBox: TimerBox;
    chainSawBox: TimerBox;
    wildFireBox: TimerBox;
    stacksContainer: HTMLDivElement;
    tid1: number;
    tid2: number;
    wildFireStacks: HTMLElement[];
    wildFireCounts: number;
    wildFireActive: boolean;
    overheatstack: number;
    constructor(o: ComponentInterface);
    onCombo(skill: string, combo: ComboTracker): void;
    onJobDetailUpdate(jobDetail: JobDetail['MCH']): void;
    private refreshWildFireGauge;
    onYouGainEffect(id: string, matches: PartialFieldMatches<'GainsEffect'>): void;
    onMobGainsEffectFromYou(id: string, matches: PartialFieldMatches<'GainsEffect'>): void;
    onMobLosesEffectFromYou(id: string): void;
    onUseAbility(id: string, matches: PartialFieldMatches<'Ability'>): void;
    onStatChange({ gcdSkill }: {
        gcdSkill: number;
    }): void;
    reset(): void;
}
