import TimerBar from '../../../resources/timerbar';
import TimerBox from '../../../resources/timerbox';
import { JobDetail } from '../../../types/event';
import { ResourceBox } from '../bars';
import { PartialFieldMatches } from '../event_emitter';
import { BaseComponent, ComponentInterface } from './base';
export declare class VPRComponent extends BaseComponent {
    rattlingCoil: ResourceBox;
    serpentOfferings: ResourceBox;
    comboTimer: TimerBar;
    huntersInstinctTimer: TimerBox;
    swiftscaledTimer: TimerBox;
    viceComboTimer: TimerBox;
    vipersight: HTMLDivElement;
    Combo: string;
    Venom: string;
    Honed: string;
    tid1: number;
    static comboStage: Record<string, string>;
    static honedMap: Record<string, string>;
    static vipersightMap: Record<string, Record<string, 'left' | 'right'>>;
    constructor(o: ComponentInterface);
    refreshVipersight(combo: string, venom: string, honed: string): void;
    onUseAbility(id: string, matches: PartialFieldMatches<'Ability'>): void;
    onYouGainEffect(id: string, matches: PartialFieldMatches<'GainsEffect'>): void;
    onYouLoseEffect(id: string): void;
    onJobDetailUpdate(jobDetail: JobDetail['VPR']): void;
    onStatChange({ gcdSkill }: {
        gcdSkill: number;
    }): void;
    reset(): void;
}
