import { BaseOptions } from '../../types/data';
import { Job } from '../../types/job';
import { BuffInfo } from './buff_tracker';
export interface JobsNonConfigOptions {
    JustBuffTracker: boolean;
    LowerOpacityOutOfCombat: boolean;
    OpacityOutOfCombat: number;
    PlayCountdownSound: boolean;
    CountdownSoundVolume: number;
    HideWellFedAboveSeconds: number;
    ShowMPTickerOutOfCombat: boolean;
    MidHealthThresholdPercent: number;
    LowHealthThresholdPercent: number;
    BigBuffShowCooldownSeconds: number;
    BigBuffIconWidth: number;
    BigBuffIconHeight: number;
    BigBuffBarHeight: number;
    BigBuffTextHeight: number;
    BigBuffBorderSize: number;
    GpAlarmPoint: number;
    GpAlarmSoundVolume: number;
    NotifyExpiredProcsInCombat: number;
    NotifyExpiredProcsInCombatSound: 'disabled' | 'expired' | 'threshold';
    CompactView: boolean;
}
export interface JobsConfigOptions {
    ShowHPNumber: Job[];
    ShowMPNumber: Job[];
    ShowMPTicker: Job[];
    PerBuffOptions: {
        [s: string]: Partial<BuffInfo>;
    };
    FarThresholdOffence: number;
    PldMediumMPThreshold: number;
    PldLowMPThreshold: number;
    DrkMediumMPThreshold: number;
    DrkLowMPThreshold: number;
    /**  One more fire IV and then despair. */
    BlmMediumMPThreshold: number;
    /** Should cast despair. */
    BlmLowMPThreshold: number;
}
export interface JobsOptions extends BaseOptions, JobsConfigOptions, JobsNonConfigOptions {
}
declare const Options: JobsOptions;
export default Options;
