import UserConfig from '../../resources/user_config';
const defaultJobsNonConfigOptions = {
    JustBuffTracker: false,
    LowerOpacityOutOfCombat: true,
    OpacityOutOfCombat: 0.5,
    PlayCountdownSound: true,
    CountdownSoundVolume: 0.3,
    HideWellFedAboveSeconds: 15 * 60,
    ShowMPTickerOutOfCombat: false,
    MidHealthThresholdPercent: 0.8,
    LowHealthThresholdPercent: 0.2,
    BigBuffShowCooldownSeconds: 20,
    BigBuffIconWidth: 44,
    BigBuffIconHeight: 32,
    BigBuffBarHeight: 5,
    BigBuffTextHeight: 0,
    BigBuffBorderSize: 1,
    GpAlarmPoint: 0,
    GpAlarmSoundVolume: 0.8,
    NotifyExpiredProcsInCombat: 5,
    NotifyExpiredProcsInCombatSound: 'threshold',
    CompactView: false,
};
// See user/jobs-example.js for documentation.
const defaultJobsConfigOptions = {
    ShowHPNumber: ['PLD', 'WAR', 'DRK', 'GNB', 'WHM', 'SCH', 'AST', 'SGE', 'BLU'],
    ShowMPNumber: ['PLD', 'DRK', 'WHM', 'SCH', 'AST', 'SGE', 'BLM', 'BLU'],
    ShowMPTicker: ['BLM'],
    PerBuffOptions: {
        // This is noisy since it's more or less permanently on you.
        // Players are unlikely to make different decisions based on this.
        standardFinish: {
            hide: true,
        },
    },
    FarThresholdOffence: 24,
    // cannot cast more spell before Requiescat combo.
    PldMediumMPThreshold: 5399,
    // cannot complete Requiescat combo.
    PldLowMPThreshold: 3599,
    // Only one MP consuming abilities cast allowed.
    DrkMediumMPThreshold: 5999,
    // cannot cast MP consuming abilities.
    DrkLowMPThreshold: 2999,
    // One more fire IV and then despair.
    BlmMediumMPThreshold: 3999,
    // Should cast despair.
    BlmLowMPThreshold: 2399,
};
const Options = {
    ...UserConfig.getDefaultBaseOptions(),
    ...defaultJobsNonConfigOptions,
    ...defaultJobsConfigOptions,
};
export default Options;
//# sourceMappingURL=jobs_options.js.map