import { Lang } from '../../resources/languages';
import TimerBox from '../../resources/timerbox';
import { Job } from '../../types/job';
import { NetAnyFields } from '../../types/net_fields';
import { ToMatches } from '../../types/net_matches';
import { CactbotBaseRegExp } from '../../types/net_trigger';
import { FfxivVersion } from './jobs';
import { SpeedBuffs } from './player';
export declare class RegexesHolder {
    StatsRegex: CactbotBaseRegExp<'PlayerStats'>;
    YouGainEffectRegex: CactbotBaseRegExp<'GainsEffect'>;
    YouLoseEffectRegex: CactbotBaseRegExp<'LosesEffect'>;
    YouUseAbilityRegex: CactbotBaseRegExp<'Ability'>;
    AnybodyAbilityRegex: CactbotBaseRegExp<'Ability'>;
    MobGainsEffectRegex: CactbotBaseRegExp<'GainsEffect'>;
    MobLosesEffectRegex: CactbotBaseRegExp<'LosesEffect'>;
    MobGainsEffectFromYouRegex: CactbotBaseRegExp<'GainsEffect'>;
    MobLosesEffectFromYouRegex: CactbotBaseRegExp<'LosesEffect'>;
    cordialRegex: RegExp;
    countdownStartRegex: RegExp;
    countdownCancelRegex: RegExp;
    craftingStartRegexes: RegExp[];
    craftingFinishRegexes: RegExp[];
    craftingStopRegexes: RegExp[];
    constructor(lang: Lang, playerName: string);
}
export declare const doesJobNeedMPBar: (job: Job) => boolean;
type PlayerLike = {
    job: Job;
    level: number;
    speedBuffs: SpeedBuffs;
};
export declare const calcGCDFromStat: (player: PlayerLike, stat: number, _ffxivVersion: FfxivVersion, actionDelay?: number) => number;
export declare const computeBackgroundColorFrom: (element: HTMLElement, classList: string) => string;
export declare const makeAuraTimerIcon: (name: string, seconds: number, opacity: number, iconWidth: number, iconHeight: number, iconText: string, barHeight: number, textHeight: number, textColor: string, borderSize: number, borderColor: string, barColor: string, auraIcon: string) => HTMLDivElement;
export declare const normalizeLogLine: <Fields extends NetAnyFields>(line: string[], fields: Fields) => Partial<ToMatches<Fields>>;
export declare const isPvPZone: (zoneId: number) => boolean;
export declare const showDuration: (o: {
    tid: number;
    timerbox: TimerBox;
    duration: number;
    cooldown: number;
    threshold: number;
    activecolor: string;
    deactivecolor: string;
}) => number;
export {};
