export type MissableBuffType = 'heal' | 'damage' | 'mitigation';
export type MissableEffect = {
    id: string;
    type: MissableBuffType;
    effectId: string | readonly string[];
    collectSeconds: number;
    ignoreSelf?: boolean;
};
export type MissableAbility = {
    id: string;
    type: MissableBuffType;
    abilityId: string | readonly string[];
    collectSeconds?: number;
    ignoreSelf?: boolean;
};
export type MissableBuff = MissableAbility | MissableEffect;
export declare const missedEffectBuffMap: readonly MissableEffect[];
export declare const missedAbilityBuffMap: readonly MissableAbility[];
export declare const generateBuffTriggerIds: () => string[];
