import PartyTracker from '../../resources/party';
import { PlayerChangedDetail } from '../../resources/player_override';
import { OopsyData } from '../../types/data';
import { EventResponses } from '../../types/event';
import { DataInitializeFunc, LooseOopsyTrigger, LooseOopsyTriggerSet, MistakeMap, OopsyFileData, OopsyMistakeType, OopsyTrigger } from '../../types/oopsy';
import { MistakeCollector } from './mistake_collector';
import { OopsyOptions } from './oopsy_options';
export declare const earlyPullTriggerId = "General Early Pull";
export type ProcessedOopsyTriggerSet = LooseOopsyTriggerSet & {
    filename?: string;
};
export declare class DamageTracker {
    private options;
    private collector;
    private dataFiles;
    private triggerSets?;
    private inCombat;
    private ignoreZone;
    private timers;
    private triggers;
    private playerStateTracker;
    private countdownEngageRegex;
    private countdownStartRegex;
    private countdownCancelRegex;
    private abilityRegex;
    private wipeCactbotEcho;
    private wipeEndEcho;
    private combatState;
    private engageTime?;
    private firstPuller?;
    private lastTimestamp;
    logReplayMode: boolean;
    private triggerSuppress;
    private data;
    private timestampCallbacks;
    private job;
    private role;
    private me;
    private zoneName?;
    private zoneId;
    private contentType;
    protected dataInitializers: {
        file: string;
        func: DataInitializeFunc<OopsyData>;
    }[];
    constructor(options: OopsyOptions, collector: MistakeCollector, partyTracker: PartyTracker, dataFiles: OopsyFileData);
    OnRequestTimestampCallback(timestamp: number, callback: (timestamp: number) => void): void;
    GetDataObject(): OopsyData;
    Reset(): void;
    private OnEngage;
    private UpdateLastTimestamp;
    OnNetLog(e: EventResponses['LogLine']): void;
    private OnAbilityEvent;
    OnStartEncounter(timestamp: number): void;
    OnStopEncounter(timestamp: number): void;
    OnTrigger(trigger: LooseOopsyTrigger, execMatches: RegExpExecArray, timestamp: number): void;
    Wipe(timestamp: number): void;
    OnChangeZone(e: EventResponses['ChangeZone']): void;
    SetZone(timestamp: number, zoneName: string, zoneId: number): void;
    OnInCombatChangedEvent(e: EventResponses['onInCombatChangedEvent']): void;
    private AddDamageTriggers;
    private AddGainsEffectTriggers;
    AddShareTriggers(type: OopsyMistakeType, dict?: MistakeMap): void;
    AddSoloTriggers(type: OopsyMistakeType, dict?: MistakeMap): void;
    ReloadTriggers(): void;
    ProcessTrigger(trigger: OopsyTrigger<OopsyData>): void;
    OnPlayerChange(e: PlayerChangedDetail): void;
    ProcessDataFiles(): void;
}
