import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheMinstrelsBalladThordansReign,
    damageWarn: {
        'ThordanEX Meteorain': '1484',
        'ThordanEX Ascalons Mercy 1': '147F',
        'ThordanEX Ascalons Mercy 2': '1480',
        'ThordanEX Charibert Heavensflame': '14AC',
        'ThordanEX Spiral Thrust': '14A6',
        'ThordanEX Grinnaux Dimensional Collapse': '149A',
        'ThordanEX Guerrique Heavy Impact 1': '14A0',
        'ThordanEX Guerrique Heavy Impact 2': '14A1',
        'ThordanEX Guerrique Heavy Impact 3': '14A2',
        'ThordanEX Guerrique Heavy Impact 4': '14A3',
        'ThordanEX Charibert Holy Chain': '14AD', // Failure to break chains on time
    },
    damageFail: {
        'ThordanEX Hermenost Eternal Conviction': '149E',
        'ThordanEX Comet Circle Comet Impact': '14B3', // Small meteor enrage, might not be survivable
    },
    gainsEffectWarn: {
        'ThordanEX Frostbite': '10C',
        'ThordanEX Hysteria': '128', // Gaze mechanic failure
    },
    shareWarn: {
        'ThordanEX Ascalons Might': '147E',
        'ThordanEX Lightning Storm': '1482',
        'ThordanEX Heavenly Slash': '1494',
        'ThordanEX Haumeric Hiemal Storm': '14AF',
        'ThordanEX Spiral Pierce': '14A7',
        'ThordanEX Noudenet Comet': '14B5', // Targeted puddle AoEs, phases 2/6
    },
    soloWarn: {
        'ThordanEX Dragons Rage': '148B',
        'ThordanEX Zephirin Spear Of The Fury': '1492', // Wild Charge
    },
    triggers: [
        {
            id: 'ThordanEX Grinnaux Faith Unmoving',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '149B' }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed into wall',
                        de: 'Rückstoß in die Wand',
                        fr: 'Poussé(e) dans le mur',
                        ja: '壁へノックバック',
                        cn: '击退至墙',
                        ko: '벽으로 넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=thordan-ex.js.map