import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.TheOrbonneMonastery,
    damageWarn: {
        'Orbonne Harpy Blasphemous Howl': '3779',
        'Orbonne Monastic Ghost Dark Eruption': '3A15',
        'Orbonne Monastic Ghost Lingering Resenentment': '377C',
        'Orbonne Mustadio Right Handgonne': '373E',
        'Orbonne Mustadio Left Handgonne': '373F',
        'Orbonne Mustadio Iron Giant Compress': '3740',
        'Orbonne Mustadio Ballistic Impact': '3743',
        'Orbonne Mustadio Searchlight': '3744',
        'Orbonne Mustadio Leg Shot': '3742',
        'Orbonne Mustadio Early Turret Satellite Beam': '3741',
        'Orbonne Agrias Northswain\'s Strike': '3853',
        'Orbonne Agrias Hallowed Bolt Circle': '385B',
        'Orbonne Agrias Hallowed Bolt Donut': '385C',
        'Orbonne Dark Crusader Infernal Wave': '3781',
        'Orbonne Cid Hallowed Bolt': '374B',
        'Orbonne Cid Northswain\'s Strike': '3AD3',
        'Orbonne Cid Judgment Blade': '3AD4',
        'Orbonne Cid Agrias Shadowblade Orbs': '375F',
        'Orbonne Cid Crush Weapon 1': '4756',
        'Orbonne Cid Crush Weapon 2': '4757',
        'Orbonne Cid Ephemeral Knight Hallowed Bolt Donut': '3767',
        'Orbonne Cid Ephemeral Knight Hallowed Bolt Circle': '3766',
        'Orbonne Cid Crush Accessory': '375B',
        'Orbonne Ultima Holy IV': '389A',
        'Orbonne Ultima Auralight Line': '3897',
        'Orbonne Ultima Auralight Circle': '3898',
        'Orbonne Ultima Auracite Shard Plummet': '38AD',
        'Orbonne Ultima Auracite Shard Grand Cross': '38AE',
        'Orbonne Ultima Demi-Belias Time Eruption 1': '38D0',
        'Orbonne Ultima Demi-Belias Time Eruption 2': '38D1',
        'Orbonne Ultima Demi-Hashmal Towerfall': '38D7',
        'Orbonne Ultima Demi-Hashmal Extreme Edge 1': '38DA',
        'Orbonne Ultima Demi-Hashmal Extreme Edge 2': '38DB',
        'Orbonne Ultima Demi-Belias Eruption': '37C8',
        'Orbonne Ultima Dominion Ray Of Light': '38B7',
        'Orbonne Ultima Embrace Initial': '38B9',
        'Orbonne Ultima Embrace Triggered': '38BA',
        'Orbonne Ultima Explosion': '38E9',
        'Orbonne Ultima Dominion Bombardment': '38BE',
        'Orbonne Ultima Holy': '38AB', // circle during midphase ice maze
    },
    damageFail: {
        'Orbonne Cid Icewolf Burst': '375C', // not killing Icewolf add in time
    },
    gainsEffectFail: {
        'Orbonne Harpy Devitalize Doom': '38E', // Harpy lookaway mechanic
    },
    shareWarn: {
        'Orbonne Agrias Cleansing Flame': '3865',
        'Orbonne Agrias Shadowblade Initial': '375E', // initial hit from giant red/black circle headmarker
    },
    shareFail: {
        'Orbonne Agrias Thunder Slash': '3866', // conal tank cleave with marker
    },
    soloFail: {
        'Orbonne Cid Ephemeral Knight Hallowed Bolt Stack': '3768', // stack marker from Ephemeral Knight
    },
    triggers: [
        {
            // castbar that you need to have Heavenly Shield up for, or you get a vuln and knockback.
            id: 'Orbonne Agrias Judgment Blade',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '3857', ...playerDamageFields }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
        {
            // same as Judgment Blade, but from Sword Knight
            id: 'Orbonne Agrias Mortal Blow',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '385E', ...playerDamageFields }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=orbonne_monastery.js.map