import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheRidoranaLighthouse,
    damageWarn: {
        'Ridorana Famfrit Tsunami 1': '2C51',
        'Ridorana Famfrit Tsunami 2': '2C52',
        'Ridorana Famfrit Dark Rain': '2C46',
        'Ridorana Famfrit Darkening Deluge': '2C54',
        'Ridorana Bune Tri-Attack': '2CED',
        'Ridorana Bune Pulsar Wave': '2CEE',
        'Ridorana Belias Time Eruption': '2CDF',
        'Ridorana Belias Crimson Cyclone 1': '2CE2',
        'Ridorana Belias Crimson Cyclone 2': '2CE3',
        'Ridorana Belias Crimson Cyclone 3': '2CE4',
        'Ridorana Belias Crimson Cyclone 4': '2D5F',
        'Ridorana Belias Eruption': '2CDD',
        'Ridorana Belias Time Bomb': '2CE7',
        'Ridorana Construct Pulverize Close': '2C61',
        'Ridorana Construct Pulverize Far': '2C62',
        'Ridorana Construct Compress': '2C5C',
        'Ridorana Construct Loose Cog Triboelectricity': '2C6D',
        'Ridorana Construct Dispose': '2C60',
        'Ridorana Construct Dispose Annihilation': '2CEA',
        'Ridorana Construct Acceleration Bomb': '2D27',
        'Ridorana Construct Ultramagnetism': '2CD6',
        'Ridorana Construct Missile Explosion': '2C6F',
        'Ridorana Yiazmat Gust Front': '2C24',
        'Ridorana Yiazmat White Breath': '2C31',
        'Ridorana Yiazmat Rake Charge 1': '2C3C',
        'Ridorana Yiazmat Rake Charge 2': '2E32',
        'Ridorana Yiazmat Rake Charge 3': '2C28',
        'Ridorana Yiazmat Rake Charge 4': '2D4F',
        'Ridorana Yiazmat Rake Charge 5': '2C27',
        'Ridorana Yiazmat Archaeodemon Unholy Darkness': '2673',
        'Ridorana Yiazmat Archaeodemon Karma': '2672', // conal
    },
    damageFail: {
        'Ridorana Yiazmat Stone Breath': '2C29', // petrifying conal breath
    },
    shareWarn: {
        'Ridorana Famfrit Briny Cannonade': '2C45',
        'Ridorana Construct Ignite': '2C67',
        'Ridorana Iron Golem Ovation': '2CF3',
        'Ridorana Yiazmat Wind Azer Ancient Aero': '2C38', // targeted tether line aoe from Azer adds
    },
    shareFail: {
        'Ridorana Yiazmat Rake Buster 1': '2C26',
        'Ridorana Yiazmat Rake Buster 2': '2DE4', // untelegraphed tankbuster cleave
    },
    soloFail: {
        'Ridorana Construct Accelerate': '2C65',
        'Ridorana Yiazmat Death Strike': '2C33', // stack marker
    },
    triggers: [
        {
            // Computation Mode errors.
            id: 'Ridorana Construct Maths',
            type: 'HeadMarker',
            netRegex: NetRegexes.headMarker({ id: '0089' }),
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: {
                        en: `Maths`,
                        de: `Mathe`,
                        fr: `Maths`,
                        ja: `算術`,
                        cn: `算数`,
                        ko: '산수오답',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=ridorana_lighthouse.js.map