import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.TheRoyalCityOfRabanastre,
    damageWarn: {
        'Rabanastre Mateus Ice Azer Hypothermal Combustion': '2639',
        'Rabanastre Mateus Blizzard Sphere Chill': '2646',
        'Rabanastre Sniffing Seeq Bandit Lunge': '2670',
        'Rabanastre Rabanastran Mimic Deathtrap': '75E',
        'Rabanastre Hashmal Jagged Edge': '25CD',
        'Rabanastre Hashmal Towerfall': '25CA',
        'Rabanastre Hashmal Extreme Edge 1': '25D0',
        'Rabanastre Hashmal Extreme Edge 2': '25CE',
        'Rabanastre Hashmal Earth Shaker': '25C8',
        'Rabanastre Archaedemon Unholy Darkness': '2673',
        'Rabanastre Archaedemon Karma': '2672',
        'Rabanastre Archaeolion The Dragon\'s Breath': '273C',
        'Rabanastre Archaeolion The Ram\'s Breath': '273B',
        'Rabanastre Archaeolion The Dragon\'s Voice': 'D10',
        'Rabanastre Archaeolion The Ram\'s Voice': 'D0F',
        'Rabanastre Rofocale Crush Weapon': '2684',
        'Rabanastre Rofocale Maverick': '2689',
        'Rabanastre Rofocale Trample 1': '2677',
        'Rabanastre Rofocale Trample 2': '2678',
        'Rabanastre Rofocale Trample 3': '2679',
        'Rabanastre Rofocale Trample 4': '267A',
        'Rabanastre Rofocale Trample 5': '267B',
        'Rabanastre Rofocale Trample 6': '267C',
        'Rabanastre Rofocale Trample 7': '267D',
        'Rabanastre Rofocale Trample 8': '267E',
        'Rabanastre Rofocale Trample 9': '267F',
        'Rabanastre Rofocale Cry of Victory': '2675',
        'Rabanastre Rofocale Embrace Initial': '2686',
        'Rabanastre Rofocale Embrace Triggered': '2687',
        'Rabanastre Argath Crush Weapon': '2713',
        'Rabanastre Argath Unrelenting': '262C',
        'Rabanastre Argath Heartless Heartless': '2632',
        'Rabanastre Argath Soulfix': '262A',
        'Rabanastre Argath Coldblood Putt Putt': '2626',
        'Rabanastre Argath Rail Of The Rooster': '2623',
        'Rabanastre Argath Self-Destruct': '262F',
        'Rabanastre Argath The Word': '24A0', // Failing Mask Of Truth / Mask Of Lies
    },
    damageFail: {
        'Rabanastre Hashmal To Dust': '25C9', // Failing to kill Sand Sphere adds
    },
    gainsEffectWarn: {
        'Rabanastre Argath Bleeding': '282', // standing in Judgement Blade squares (140 is infinite effect when in, 282 when out)
    },
    gainsEffectFail: {
        'Rabanastre Mateus Deep Freeze': '4E6',
        'Rabanastre Transfiguration': '5B3',
        'Rabanastre Argath Craven': '58D', // turning into a chicken from 3 Unnerved stacks
    },
    shareWarn: {
        'Rabanastre Mateus Flash Freeze': '2647',
        'Rabanastre Mateus Icicle Snowpierce': '2640',
        'Rabanastre Hashmal Rock Cutter': '25D7',
        'Rabanastre Hashmal Falling Rock': '25D3',
        'Rabanastre Rofocale Chariot': '2674', // targeted line aoe with marker before Cry of Victory
    },
    soloFail: {
        'Rabanastre Hashmal Falling Boulder': '25D2', // Sand Sphere stack
    },
    triggers: [
        {
            id: 'Rabanastre Mateus Breathless',
            type: 'GainsEffect',
            // Ten stacks of Breathless is death.
            netRegex: NetRegexes.gainsEffect({ effectId: '595', count: '10' }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    name: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
        {
            // unnamed damage from being hit by Rofocale driving in circles during add phase
            id: 'Rabanastre Rofocale Chariot Ring',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '268C', ...playerDamageFields }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    name: matches.target,
                    reportId: matches.targetId,
                    text: {
                        en: 'Chariot',
                        de: 'Streitwagen',
                        fr: 'Chariot',
                        ja: '戦車',
                        cn: `战车`,
                        ko: '근접광역기',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=royal_city_of_rabanastre.js.map