import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
// TODO: handle Ribbit (22F7), Oink (22F9, if damage), Squelch (22F8, if damage)
//       which is an error except during the second game
// O3S - Deltascape 3.0 Savage
const triggerSet = {
    zoneId: ZoneId.DeltascapeV30Savage,
    damageWarn: {
        'O3S Spellblade Fire III': '22EC',
        'O3S Spellblade Thunder III': '22EE',
        'O3S Spellblade Blizzard III': '22ED',
        'O3S Uplift': '230D',
        'O3S Soul Reaper Gusting Gouge': '22FF',
        'O3S Soul Reaper Cross Reaper': '22FD',
        'O3S Soul Reaper Stench of Death': '22FE',
        'O3S Apanda Magic Hammer': '2315',
        'O3S Briar Thorn': '2309', // not breaking tethers fast enough
    },
    shareWarn: {
        'O3S Holy Edge': '22F0',
        'O3S Sword Dance': '2307',
        'O3S Great Dragon Frost Breath': '2312',
        'O3S Iron Giant Grand Sword': '2316', // tank cleave from Iron Giant
    },
    shareFail: {
        'O3S Folio': '230F', // books books books
    },
    soloWarn: {
        'O3S Holy Blur': '22F1', // Spellblade Holy stack
    },
    triggers: [
        {
            // Everybody gets hits by this, but it's only a failure if it does damage.
            id: 'O3S The Game',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '2301', ...playerDamageFields }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=o3s.js.map