import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
// Lakshmi Extreme
const triggerSet = {
    zoneId: ZoneId.EmanationExtreme,
    damageWarn: {
        'LakshmiEx Blissful Spear Cross': '2151',
        'LakshmiEx Blissful Spear Cross Chanchala': '2152', // blissful arrow's cross lines (called Blissful Spear)
    },
    gainsEffectWarn: {
        'LakshmiEx Bleeding': '140', // standing in expanding blue flower circle
    },
    gainsEffectFail: {
        'LakshmiEx Dreaming Kshatriya Terror': '42', // failing Inner Demons from initial add
    },
    shareWarn: {
        'LakshmiEx Dreaming Kshatriya Tail Slap': '258C',
        'LakshmiEx Blissful Arrow': '214F',
        'LakshmiEx Blissful Arrow Chanchala': '2150',
        'LakshmiEx Blissful Hammer': '21DC',
        'LakshmiEx Blissful Hammer Chanchala': '21DD',
        'LakshmiEx The Path of Light': '215A',
        'LakshmiEx The Path of Light Chanchala': '215B', // OT cleave
    },
    soloWarn: {
        'LakshmiEx The Pall of Light': '215C', // stack
    },
    triggers: [
        {
            id: 'LakshmiEx Divine Denial Knocked Off',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '2149', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=lakshmi-ex.js.map