import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
// Shinryu Extreme
const triggerSet = {
    zoneId: ZoneId.TheMinstrelsBalladShinryusDomain,
    damageWarn: {
        'ShinryuEx Burning Chains': '2602',
        'ShinryuEx Icicle Icicle Impact': '25EF',
        'ShinryuEx Icicle Spikesicle': '25F0',
        'ShinryuEx Tail Slap': '25E2',
        'ShinryuEx Dragonfist': '2611',
        'ShinryuEx Gyre Charge': '2603',
        'ShinryuEx Ginryu Fireball': '260B',
        'ShinryuEx Hakkinryu Blazing Trail': '2609',
        'ShinryuEx Tail Spit': '1DD1',
        'ShinryuEx Aetherial Ray': '2618',
        'ShinryuEx Levinbolt': '2725',
        'ShinryuEx Wormwail': '2648',
        'ShinryuEx Benighting Breath': '264A', // 90 degree conal attack
    },
    shareWarn: {
        'ShinryuEx Levinbolt Spread': '25EA',
        'ShinryuEx Earth Breath': '25ED', // earthshaker-esque conal attacks
    },
    soloWarn: {
        'ShinryuEx Hypernova': '25E9',
        'ShinryuEx Atomic Ray': '264D', // pair stack markers in final phase
    },
    triggers: [
        {
            // Icy floor attack.
            id: 'ShinryuEx Diamond Dust',
            type: 'GainsEffect',
            // Thin Ice
            netRegex: NetRegexes.gainsEffect({ effectId: '38F' }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Slid off!',
                        de: 'Runter gerutscht!',
                        fr: 'A glissé(e) !',
                        ja: '滑った',
                        cn: '滑落',
                        ko: '미끄러짐',
                    },
                };
            },
        },
        {
            id: 'ShinryuEx Tidal Wave',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '25DA', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed off!',
                        de: 'Runter geschubst!',
                        fr: 'Repoussé(e) !',
                        ja: '落ちた',
                        cn: '击退坠落',
                        ko: '넉백됨',
                    },
                };
            },
        },
        {
            // Knockback from center.
            id: 'ShinryuEx Aerial Blast',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '25DF', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed off!',
                        de: 'Runter geschubst!',
                        fr: 'Repoussé(e) !',
                        ja: '落ちた',
                        cn: '击退坠落',
                        ko: '넉백됨',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=shinryu-ex.js.map