import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
// Suzaku Extreme
const triggerSet = {
    zoneId: ZoneId.HellsKierExtreme,
    damageWarn: {
        'SuzakuEx Rout': '32F0',
        'SuzakuEx Fleeting Summer': '32D3',
        'SuzakuEx Scarlet Tail Feather Wing And A Prayer': '32D4',
        'SuzakuEx Scarlet Plume Wing And A Prayer': '3244',
        'SuzakuEx Ashes To Ashes': '32D0',
        'SuzakuEx Well Of Flame': '32E1',
        'SuzakuEx Hotspot': '32E2', // platform fire when the runes are activated
    },
    damageFail: {
        'SuzakuEx Immolate': '32E6',
        'SuzakuEx Phantom Flurry': '32DE', // "phantom half" final hit of Phantom Flurry
    },
    soloWarn: {
        'SuzakuEx Scathing Net': '3243', // stack marker
    },
    triggers: [
        {
            id: 'SuzakuEx Ruthless Refrain',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '32DB', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
        {
            id: 'SuzakuEx Mesmerizing Melody',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '32DA', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=suzaku-ex.js.map