import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
// Suzaku Normal
const triggerSet = {
    zoneId: ZoneId.HellsKier,
    damageWarn: {
        'Suzaku Normal Ashes To Ashes': '321F',
        'Suzaku Normal Fleeting Summer': '3223',
        'Suzaku Normal Wing And A Prayer': '3225',
        'Suzaku Normal Phantom Half': '3233',
        'Suzaku Normal Well Of Flame': '3236',
        'Suzaku Normal Hotspot': '3238',
        'Suzaku Normal Swoop': '323B',
        'Suzaku Normal Burn': '323D', // Tower mechanic failure on Incandescent Interlude (party failure, not personal)
    },
    shareWarn: {
        'Suzaku Normal Rekindle': '3235', // Purple spread circles
    },
    triggers: [
        {
            id: 'Suzaku Normal Ruthless Refrain',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '3230', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed off!',
                        de: 'Runter geschubst!',
                        fr: 'Repoussé(e) !',
                        ja: '落ちた',
                        cn: '击退坠落',
                        ko: '낙사',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=suzaku.js.map