import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
// Tsukuyomi Extreme
const triggerSet = {
    zoneId: ZoneId.TheMinstrelsBalladTsukuyomisPain,
    damageWarn: {
        'TsukuyomiEx Moonlight Lunar Halo': '2BD6',
        'TsukuyomiEx Moonfall': '2BD1',
        'TsukuyomiEx Moondust Crater': '2CD7',
        'TsukuyomiEx Dancing Fan Tsukui-No-Maiogi': '2BC6',
        'TsukuyomiEx Waxing Grudge': '2BDE',
        'TsukuyomiEx Waning Grudge': '2BDF',
        'TsukuyomiEx Dark Blade': '2BDA',
        'TsukuyomiEx Bright Blade': '2BDB', // left side cleave
    },
    shareFail: {
        'TsukuyomiEx Torment Unto Death': '2BBB', // tank buster conal cleave
    },
    soloWarn: {
        'TsukuyomiEx Lead Of The Underworld': '2BBE',
        'TsukuyomiEx Lunacy': '2BDD', // 4x stack marker
    },
    triggers: [
        {
            id: 'TsukuyomiEx Moonlit',
            type: 'GainsEffect',
            // Five stacks of Moonlit or Moonshadowed is instant death.
            netRegex: NetRegexes.gainsEffect({ effectId: '602', count: '05' }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    name: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
        {
            id: 'TsukuyomiEx Moonshadowed',
            type: 'GainsEffect',
            // Five stacks of Moonlit or Moonshadowed is instant death.
            netRegex: NetRegexes.gainsEffect({ effectId: '603', count: '05' }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    name: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=tsukuyomi-ex.js.map