import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
// Tsukuyomi Normal
const triggerSet = {
    zoneId: ZoneId.CastrumFluminis,
    damageWarn: {
        'Tsukuyomi Steel Of The Underworld': '2BE7',
        'Tsukuyomi Midnight Haze To Ashes': '2BEA',
        'Tsukuyomi Dancing Fan Tsuki-No-Maiogi': '2BED',
        'Tsukuyomi Moonlight Lunar Halo': '2BE4',
        'Tsukuyomi Dark Blade': '2BF9',
        'Tsukuyomi Bright Blade': '2BFA', // left side cleave
    },
    shareFail: {
        'Tsukuyomi Torment Unto Death': '2BE3', // tank buster conal cleave
    },
    soloWarn: {
        'Tsukuyomi Lead Of The Underworld': '2BE6',
        'Tsukuyomi Lunacy 1': '2BFB',
        'Tsukuyomi Lunacy 2': '2BFC', // 3-4x stack marker
    },
    triggers: [
        {
            id: 'Tsukuyomi Moonlit',
            type: 'GainsEffect',
            // Five stacks of Moonlit or Moonshadowed is instant death.
            netRegex: NetRegexes.gainsEffect({ effectId: '602', count: '05' }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    name: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
        {
            id: 'Tsukuyomi Moonshadowed',
            type: 'GainsEffect',
            // Five stacks of Moonlit or Moonshadowed is instant death.
            netRegex: NetRegexes.gainsEffect({ effectId: '603', count: '05' }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    name: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=tsukuyomi.js.map