import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
// Ultima Weapon Ultimate
const triggerSet = {
    zoneId: ZoneId.TheWeaponsRefrainUltimate,
    damageWarn: {
        'UWU Eye of the Storm': '2B52',
        'UWU Searing Wind': '2B5C',
        'UWU Eruption': '2B5A',
        'UWU Crimson Cyclone 1': '2B5F',
        'UWU Crimson Cyclone 2': '2B60',
        'UWU Radiant Plume': '2B61',
        'UWU Weight of the Land': '2B65',
        'UWU Bomb Boulder Bury': '2B69',
        'UWU Bomb Boulder Freefire': '2B6E',
        'UWU Bomb Boulder Burst': '2B6A', // titan bombs exploding
    },
    damageFail: {
        'UWU Great Whirlwind': '2B41',
        'UWU Slipstream': '2B53',
        'UWU Wicked Wheel': '2B4E',
        'UWU Wicked Tornado': '2B4F',
        'UWU Landslide 1': '2B70',
        'UWU Landslide 2': '2B6F',
        'UWU Landslide 3': '2B71',
        'UWU Landslide 4': '2C22',
        'UWU Landslide 5': '2B7F',
        'UWU Aetherochemical Laser 1': '2B84',
        'UWU Aetherochemical Laser 2': '2B85',
        'UWU Aetherochemical Laser 3': '2B86', // suppression yellow line laser from ultima
    },
    shareWarn: {
        'UWU Mesohigh': '2B49', // tether to garuda sister
    },
    shareFail: {
        'UWU Downburst': '2B50',
        'UWU Incinerate': '2B56',
        'UWU Rock Buster': '2B62',
        'UWU Mountain Buster': '2B63',
        'UWU Viscous Aetheroplasm': '2B76',
        'UWU Homing Laser': '2B7B',
        'UWU Diffractive Laser': '2B78', // tank cleave
    },
    soloWarn: {
        'UWU Flaming Crush': '25BD', // ifrit stack marker
    },
    triggers: [
        {
            id: 'UWU Windburn',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: 'EB' }),
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
        {
            // Featherlance explosion.  It seems like the person who pops it is the
            // first person listed damage-wise, so they are likely the culprit.
            id: 'UWU Featherlance',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '2B43', ...playerDamageFields }),
            suppressSeconds: 5,
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.source,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=ultima_weapon_ultimate.js.map