import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.CastrumMarinumExtreme,
    damageWarn: {
        'EmeraldEx Heat Ray': '5BD3',
        'EmeraldEx Photon Laser 1': '557B',
        'EmeraldEx Photon Laser 2': '557D',
        'EmeraldEx Heat Ray 1': '557A',
        'EmeraldEx Heat Ray 2': '5579',
        'EmeraldEx Explosion': '5596',
        'EmeraldEx Tertius Terminus Est Initial': '55CD',
        'EmeraldEx Tertius Terminus Est Explosion': '55CE',
        'EmeraldEx Airborne Explosion': '55BD',
        'EmeraldEx Sidescathe 1': '55D4',
        'EmeraldEx Sidescathe 2': '55D5',
        'EmeraldEx Shots Fired': '55B7',
        'EmeraldEx Secundus Terminus Est': '55CB',
        'EmeraldEx Expire': '55D1',
        'EmeraldEx Photon Ring': '55A9',
        'EmeraldEx Aire Tam Storm': '55D0', // expanding red and black ground aoe
    },
    shareWarn: {
        'EmeraldEx Divide Et Impera': '55D9',
        'EmeraldEx Primus Terminus Est 1': '55C4',
        'EmeraldEx Primus Terminus Est 2': '55C5',
        'EmeraldEx Primus Terminus Est 3': '55C6',
        'EmeraldEx Primus Terminus Est 4': '55C7', // knockback arrow
    },
    soloWarn: {
        'EmeraldEx Nitrosphere Aetheroplasm': '55AE',
        'EmeraldEx Ceruleum Sphere Aetheroplasm': '55AF',
    },
    triggers: [
        {
            id: 'EmeraldEx Nitrosphere Physical Vulnerability Up Gain',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: '82A' }),
            run: (data, matches) => {
                data.sphereNitro = data.sphereNitro ?? {};
                data.sphereNitro[matches.target] = true;
            },
        },
        {
            id: 'EmeraldEx Nitrosphere Physical Vulnerability Up Lose',
            type: 'LosesEffect',
            netRegex: NetRegexes.losesEffect({ effectId: '82A' }),
            run: (data, matches) => {
                // Need to track loss here for the 4/4 strategy.
                data.sphereNitro = data.sphereNitro ?? {};
                data.sphereNitro[matches.target] = false;
            },
        },
        {
            id: 'EmeraldEx Ceruleum Sphere Magic Vulnerability Up Gain',
            netRegex: NetRegexes.gainsEffect({ effectId: '82B' }),
            type: 'GainsEffect',
            run: (data, matches) => {
                data.sphereCeruleum = data.sphereCeruleum ?? {};
                data.sphereCeruleum[matches.target] = true;
            },
        },
        {
            id: 'EmeraldEx Ceruleum Sphere Magic Vulnerability Up Lose',
            type: 'LosesEffect',
            netRegex: NetRegexes.losesEffect({ effectId: '82B' }),
            run: (data, matches) => {
                data.sphereCeruleum = data.sphereCeruleum ?? {};
                data.sphereCeruleum[matches.target] = false;
            },
        },
        {
            id: 'EmeraldEx Nitrosphere Twice',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '55AE' }),
            condition: (data, matches) => data.sphereNitro?.[matches.target],
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: {
                        en: `${matches.ability} (wrong color)`,
                        de: `${matches.ability} (falsche Farbe)`,
                        fr: `${matches.ability} (mauvaise couleur)`,
                        ja: `${matches.ability} (色違う)`,
                        cn: `${matches.ability} (颜色错了)`,
                        ko: `${matches.ability} (색 틀림)`,
                    },
                };
            },
        },
        {
            id: 'EmeraldEx Ceruleum Sphere Twice',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '55AF' }),
            condition: (data, matches) => data.sphereCeruleum?.[matches.target],
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: {
                        en: `${matches.ability} (wrong color)`,
                        de: `${matches.ability} (falsche Farbe)`,
                        fr: `${matches.ability} (mauvaise couleur)`,
                        ja: `${matches.ability} (色違う)`,
                        cn: `${matches.ability} (颜色错了)`,
                        ko: `${matches.ability} (색 틀림)`,
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=emerald_weapon-ex.js.map