import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.Aglaia,
    damageWarn: {
        'Aglaia Byregot Byregot\'s Strike': '725A',
        'Aglaia Byregot Byregot\'s Strike Lightning': '7168',
        'Aglaia Byregot Levinforge': '7172',
        'Aglaia Byregot Byregot\'s Spire': '7170',
        'Aglaia Byregot Cloud to Ground 1': '704D',
        'Aglaia Byregot Cloud to Ground 2': '704E',
        'Aglaia Byregot Cloud to Ground 3': '716D',
        'Aglaia Byregot Cloud to Ground 4': '716E',
        'Aglaia Rhalgr\'s Emissary Destructive Static': '70E0',
        'Aglaia Rhalgr\'s Emissary Destructive Charge': '70DB',
        'Aglaia Rhalgr\'s Emissary Lightning Bolt': '70E2',
        'Aglaia Rhalgr\'s Emissary Boltloop 1': '70DD',
        'Aglaia Rhalgr\'s Emissary Boltloop 2': '70DE',
        'Aglaia Rhalgr\'s Emissary Boltloop 3': '70DF',
        'Aglaia Rhalgr Fist of Judgment Hand of the Destroyer': '70B0',
        'Aglaia Rhalgr Fist of Wrath Hand of the Destroyer': '70AF',
        'Aglaia Rhalgr Rhalgr\'s Beacon': '7314',
        'Aglaia Rhalgr Bronze Lightning': '70B9',
        'Aglaia Rhalgr Striking Meteor': '70BB',
        'Aglaia Rhalgr Lightning Orb Shock': '70B3',
        'Aglaia Lions Slash and Burn Donut 1': '71D2',
        'Aglaia Lions Slash and Burn Donut 2': '71D6',
        'Aglaia Lions Slash and Burn Circle 1': '71D0',
        'Aglaia Lions Slash and Burn Circle 2': '71D5',
        'Aglaia Lions Roaring Blaze 1': '71CE',
        'Aglaia Lions Roaring Blaze 2': '71CF',
        'Aglaia Lions Roaring Blaze 3': '72BF',
        // FIXME: this id is the same as Roaring Blaze 1 above, is it correct or one of them incorrect?
        // 'Aglaia Lions Roaring Blaze 4': '71CE', // Lioness half cleave (when Lion is dead)
        'Aglaia Lions Trial by Fire': '72C0',
        'Aglaia Lions Spinning Slash': '72C1',
        'Aglaia Azeyma Solar Wings 1': '7082',
        'Aglaia Azeyma Solar Wings 2': '7083',
        'Aglaia Azeyma Solar Flair': '7084',
        'Aglaia Azeyma Solar Fans 1': '708E',
        'Aglaia Azeyma Solar Fans 2': '72BE',
        'Aglaia Azeyma Warden\'s Flame Radiant Flourish': '7094',
        'Aglaia Azeyma Solar Fold': '71EE',
        'Aglaia Azeyma Folding Flare 1': '7089',
        'Aglaia Azeyma Folding Flare 2': '731C',
        'Aglaia Azeyma Dancing Flame 1': '708B',
        'Aglaia Azeyma Dancing Flame 2': '708C',
        'Aglaia Azeyma Sunbeam': '7097',
        'Aglaia Nald\'thal Flames of the Dead': '73A7',
        'Aglaia Nald\'thal Living Heat': '73A9',
        'Aglaia Nald\'thal Everfire': '73C4',
        'Aglaia Nald\'thal Once Burned 1': '73C5',
        'Aglaia Nald\'thal Once Burned 2': '73C6',
        'Aglaia Nald\'thal Everfire 1': '73C2',
        'Aglaia Nald\'thal Everfire 2': '73C3',
        'Aglaia Nald\'thal Hell of Fire': '72B8',
        'Aglaia Nald\'thal Wayward Soul': '7110',
        'Aglaia Nald\'thal Seventh Passage 1': '7118',
        'Aglaia Nald\'thal Seventh Passage 2': '7119',
        'Aglaia Nald\'thal Soul Vessel Twingaze': '712A',
        'Aglaia Nald\'thal Deepest Pit 1': '73C7',
        'Aglaia Nald\'thal Deepest Pit 2': '73C8', // Far Above, Deep Below chasing arrows
    },
    damageFail: {
        'Aglaia Nald\'thal Tipped Scales': '737A', // failing Balance mechanic (7379 is damage for doing it correctly)
    },
    gainsEffectWarn: {
        // BF9 is the "9999 duration" effect, and BFA is what you get after you step out of fire.
        'Aglaia Azeyma Burns': 'BFA', // Azeyma Wildfire Ward burns
    },
    shareWarn: {
        'Aglaia Byregot Byregot\'s Ward': '7175',
        'Aglaia Rhalgr\'s Emissary Destructive Strike': '70D9',
        'Aglaia Rhalgr Destructive Bolt': '70B4',
        'Aglaia Rhalgr Lightning Storm': '70BA',
        'Aglaia Nald\'thal Smelting': '7120', // protean spread
    },
    soloFail: {
        'Aglaia Nald\'thal Heaven\'s Trial': '711F',
        'Aglaia Nald\'thal Soul Vessel Magmatic Spell': '712D', // 3x stack markers
    },
    triggers: [
        {
            id: 'Aglaia Knocked Off',
            type: 'Ability',
            // 70B8 = Rhalgr's Beacon purple knockback
            netRegex: NetRegexes.ability({ id: ['70B8'] }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=aglaia.js.map