import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const nonzeroDamageMistake = (triggerId, abilityId, type) => {
    return {
        id: triggerId,
        type: 'Ability',
        netRegex: NetRegexes.ability({ id: abilityId, ...playerDamageFields }),
        condition: (data, matches) => data.DamageFromMatches(matches) > 0,
        mistake: (_data, matches) => {
            return {
                type: type,
                blame: matches.target,
                reportId: matches.targetId,
                text: matches.ability,
            };
        },
    };
};
const renameMistake = (triggerId, abilityId, type, text) => {
    return {
        id: triggerId,
        type: 'Ability',
        netRegex: NetRegexes.ability({ id: abilityId, ...playerDamageFields }),
        condition: (data, matches) => data.DamageFromMatches(matches) > 0,
        mistake: (_data, matches) => {
            return {
                type: type,
                blame: matches.target,
                reportId: matches.targetId,
                text: text,
            };
        },
    };
};
const triggerSet = {
    zoneId: ZoneId.AloaloIsland,
    damageWarn: {
        // Trash (left)
        'Aloalo Uragnite Palsynyxis': '8853',
        'Aloalo Anala Flame Dance': '8CF1',
        'Aloalo Snipper Bubble Shower': '8856',
        'Aloalo Kiwakin Tail Screw': '8CF0',
        'Aloalo Ray Hydrocannon': '885B',
        'Aloalo Biast Electrify': '8CF2',
        'Aloalo Ogrebon Flouder': '885A',
        'Aloalo Zaratan Sewer Water': '8859',
        // Trash (middle)
        'Aloalo Worm Poison Breath': '8864',
        'Aloalo Gigantoad Languid Lap': '8865',
        'Aloalo Monstera Sweet Nectar 1': '8866',
        'Aloalo Monstera Sweet Nectar 2': '8867',
        'Aloalo Monstera Sweet Nectar 3': '8868',
        'Aloalo Islekeeper Isle Drop': '886D',
        'Aloalo Bird Feathercut': '886E',
        'Aloalo Susena Rock Throw': '8CEE',
        'Aloalo Wood Golem Ovation': '886A',
        // Trash (right)
        'Aloalo Deadly Coconut Nut Lob': '885C',
        'Aloalo Asvattha Bad Breath': '885D',
        'Aloalo Baritine Croc Flatten': '885E',
        'Aloalo Gobbue Moldy Phlegm': '8860',
        'Aloalo Boar Infusion': '8861',
        // Quaqua (common)
        'Aloalo Quaqua Ravaging Axe': '8B8A',
        'Aloalo Quaqua Ringing Quoits': '8B8B',
        'Aloalo Quaqua Violet Storm': '8B95',
        'Aloalo Quaqua Rout 1': '8B91',
        'Aloalo Quaqua Rout 2': '8B92',
        // Quaqua (left)
        'Aloalo Quaqua Scalding Waves 1': '8B97',
        'Aloalo Quaqua Scalding Waves 2': '8B98',
        'Aloalo Quaqua Cloud to Ground 1': '8B9C',
        'Aloalo Quaqua Cloud to Ground 2': '8B9D',
        // Quaqua (middle)
        'Aloalo Quaqua Elemental Impact': '8BA0',
        'Aloalo Quaqua Flowing Lance 1': '8BA1',
        'Aloalo Quaqua Flowing Lance 2': '8BA2',
        'Aloalo Quaqua Flowing Lance 3': '8CD1',
        // Quaqua (right)
        'Aloalo Quaqua Fell Forces': '8BA5',
        'Aloalo Quaqua Fell Confluence': '8D17',
        // Ketuduke
        'Aloalo Ketuduke Saturate Orb 1': '8A7C',
        'Aloalo Ketuduke Saturate Orb 2': '8A7D',
        'Aloalo Ketuduke Saturate Orb 3': '8A7E',
        'Aloalo Ketuduke Saturate Orb 4': '8A7F',
        'Aloalo Ketuduke Sphere Shatter': '8A87',
        'Aloalo Ketuduke Riptide': '8A89',
        'Aloalo Ketuduke Receding Twintides': '8A9D',
        'Aloalo Ketuduke Near Tide': '8A9E',
        'Aloalo Ketuduke Encroaching Twintides': '8A9F',
        'Aloalo Ketuduke Far Tide': '8AA0',
        'Aloalo Ketuduke Hydrobomb': '8AA2',
        'Aloalo Ketuduke Hundred Lashing': '8A97',
        // Lala
        'Aloalo Lala Arcane Blight': '8873',
        'Aloalo Lala Bright Pulse 1': '8878',
        'Aloalo Lala Bright Pulse 2': '8879',
        'Aloalo Lala Rolling Spout 1': '8881',
        'Aloalo Lala Rolling Spout 2': '8A6B',
        'Aloalo Lala Aero II 1': '8885',
        'Aloalo Lala Aero II 2': '8A6D',
        'Aloalo Lala Volcanic Coordinates': '8D2D',
        // Statice
        'Aloalo Statice Hidden Mine': '892D',
        'Aloalo Statice 4-tonze Weight': '8932',
        'Aloalo Statice Trigger Happy': '892C',
        'Aloalo Statice Fire Spread 1': '8934',
        'Aloalo Statice Fire Spread 2': '8935',
        'Aloalo Statice Fire Spread 3': '89F6',
        'Aloalo Statice Fire Spread 4': '89F7',
        'Aloalo Statice Surprising Missile Burst': '8941',
        'Aloalo Statice Faerie Ring': '893F',
        'Aloalo Statice Faerie Road': '8940',
        'Aloalo Statice Treasure Box Burst': '8937',
        'Aloalo Statice Meteor': '893A',
        'Aloalo Statice Sledgemagic': '893B',
        'Aloalo Statice Hunks of Junk': '893C',
        // Loquloqui
        'Aloalo Loquloqui Land Wave': '87BD',
        'Aloalo Loquloqui Rush 1': '87C0',
        'Aloalo Loquloqui Rush 2': '87C1',
        'Aloalo Loquloqui Turnabout 1': '87C2',
        'Aloalo Loquloqui Turnabout 2': '87C3',
        'Aloalo Loquloqui Pliant Petals': '87C6',
        'Aloalo Loquloqui Brilliant Blossoms': '87C8',
        'Aloalo Loquloqui Islebloom Light': '87CD', // ground puddles during knockback
    },
    gainsEffectWarn: {
        // C05 = 9999 duration, C06 = 15s duration
        'Aloalo Bleed': 'C05',
        // C03 = 9999 duration, C04 = 15s duration
        'Aloalo Dropsy': 'C03',
        // BF9 = 9999 duration, BFA = 15s duration
        'Aloalo Burns': 'BF9',
        // C09 = 9999 duration, C0A = 15s duration
        'Aloalo Toxicosis': 'C09', // standing in Quaqua middle poison circles
    },
    triggers: [
        // Path 04: not being in bubble for Ogrebon
        nonzeroDamageMistake('Aloalo Quaqua Shock', '8A9A', 'warn'),
        // Right path: look away from statues
        nonzeroDamageMistake('Aloalo Quaqua Arcane Intervention', '8BAE', 'warn'),
        {
            id: 'Aloalo Lala Targeted Light',
            type: 'HeadMarker',
            // 01F7 = green check
            // 01F8 = red X
            netRegex: NetRegexes.headMarker({ id: '01F8' }),
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: {
                        // Corresponds to 0x8CDC ability
                        en: 'Targeted Light',
                        de: 'Gezieltes Licht',
                        fr: 'Lumière ciblée',
                        ja: '高精度光弾',
                        cn: '高精度光弹',
                        ko: '고정밀 광탄',
                    },
                };
            },
        },
        renameMistake('Aloalo Statice Fair Flight', '89F5', 'warn', {
            // Corresponds to 0x8946 ability
            en: 'Fair Flight',
            de: 'Feenflug',
            fr: 'Vol équitable',
            ja: 'フェアリーノックアップ',
            cn: '仙女击飞',
            ko: '요정 비행',
        }),
    ],
};
export default triggerSet;
//# sourceMappingURL=aloalo_island.js.map