// This file was autogenerated from running npm run sync-files.
// DO NOT EDIT THIS FILE DIRECTLY.
// Edit the source file below and then run `npm run sync-files`
// Source: ui/oopsyraidsy/data/06-ew/dungeon/another_aloalo_island.ts
import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields, playerTargetFields } from '../../../oopsy_common';
// TODO: people who missed their 8AE2 Burst tower
// TODO: failing 8BEB Radiance orb damage during Analysis
// TODO: failing 8CE1 Targeted Light during Analysis
// TODO: people who failed Subtractive Suppressor Alpha + Beta
// TODO: walking over 8BF2 Arcane Combustion when you don't have Suppressor
// TODO: taking extra 8BEA Inferno Divide squares during Spatial Tactics
// TODO: 01F7(success) and 01F8(fail) check and x markers?
// TODO: players not in Trapshooting stack 8977
// TODO: players not in Present Box / Pinwheeling Dartboard two person stack
const renameMistake = (triggerId, abilityId, type, text) => {
    return {
        id: triggerId,
        type: 'Ability',
        netRegex: NetRegexes.ability({ id: abilityId, ...playerTargetFields }),
        mistake: (_data, matches) => {
            return {
                type: type,
                blame: matches.target,
                reportId: matches.targetId,
                text: text,
            };
        },
    };
};
// TODO: we could probably move these helpers to some oopsy util.
const pushedIntoWall = (triggerId, abilityId) => {
    return {
        id: triggerId,
        type: 'Ability',
        netRegex: NetRegexes.ability({ id: abilityId, ...playerDamageFields }),
        condition: (data, matches) => data.DamageFromMatches(matches) > 0,
        deathReason: (_data, matches) => {
            return {
                id: matches.targetId,
                name: matches.target,
                text: {
                    en: 'Pushed into wall',
                    de: 'Rückstoß in die Wand',
                    fr: 'Poussé(e) dans le mur',
                    ja: '壁へノックバック',
                    cn: '击退至墙',
                    ko: '넉백',
                },
            };
        },
    };
};
const nonzeroDamageMistake = (triggerId, abilityId, type) => {
    return {
        id: triggerId,
        type: 'Ability',
        netRegex: NetRegexes.ability({ id: abilityId, ...playerDamageFields }),
        condition: (data, matches) => data.DamageFromMatches(matches) > 0,
        mistake: (_data, matches) => {
            return {
                type: type,
                blame: matches.target,
                reportId: matches.targetId,
                text: matches.ability,
            };
        },
    };
};
const triggerSet = {
    zoneId: ZoneId.AnotherAloaloIslandSavage,
    damageWarn: {
        // Trash 1
        'AAIS Twister': '8BCF',
        'AAIS Kiwakin Tail Screw': '8BC9',
        'AAIS Snipper Bubble Shower': '8BCA',
        'AAIS Snipper Crab Dribble': '8BCB',
        'AAIS Ray Hydrocannon': '8C4B',
        'AAIS Ray Expulsion': '8BCE',
        'AAIS Ray Electric Whorl': '8BCD',
        // Ketuduke
        'AAIS Spring Crystal Saturate 1': '8ADB',
        'AAIS Spring Crystal Saturate 2': '8ADC',
        'AAIS Sphere Shatter': '8AE0',
        'AAIS Receding Twintides': '8AE7',
        'AAIS Near Tide': '8AE8',
        'AAIS Encroaching Twintides': '8AE9',
        'AAIS Far Tide': '8AEA',
        'AAIS Hydrobomb': '8AEB',
        // Trash 2
        'AAIS Wood Golem Ovation': '8BD4',
        'AAIS Islekeeper Isle Drop': '8C3C',
        // Lala
        'AAIS Arcane Blight': '8BE6',
        'AAIS Bright Pulse 1': '8BE8',
        'AAIS Bright Pulse 2': '8BE9',
        'AAIS Arcane Mine': '8BF1',
        'AAIS Golem Aero II': '8BFB',
        'AAIS Telluric Theorem': '8C00',
        // Statice
        'AAIS Trigger Happy': '8969',
        'AAIS Bomb Burst': '897A',
        'AAIS Uncommon Ground': '8CC3',
        'AAIS Faerie Ring': '8973',
        'AAIS Fire Spread 1': '896F',
        'AAIS Fire Spread 2': '89FB', // ongoing rotating fire damage (from Statice)
    },
    damageFail: {
        'AAIS Big Burst': '8AE3',
        'AAIS Massive Explosion 1': '8BF3',
        'AAIS Massive Explosion 2': '8BF4',
        'AAIS Burning Chains': '8CC1',
        'AAIS Surprising Missile Burst': '8974',
        'AAIS Surprising Claw Death by Claw': '8975', // running into Surprising Claw tethered add
    },
    gainsEffectFail: {
        // C03 = 9999 duration, ??? = 15s duration
        'AAIS Dropsy': 'C03',
        // C05 = 9999 duration, C06 = 15s duration
        'AAIS Bleeding': 'C05',
        // BF9 = 9999 duration, BFA??? = 15s duration
        'AAIS Burns': 'BF9', // standing outside Lala
    },
    shareWarn: {
        'AAIS Hydrobullet': '8ADF',
        'AAIS Wood Golem Tornado': '8BD3',
        'AAIS Powerful Light': '8BFD',
        'AAIS Explosive Theorem': '8BFF',
        'AAIS Trapshooting Spread': '8978',
        'AAIS Firewords Spread': '897D', // spread damage during Present Box / Pinwheeling Dartboard
    },
    soloWarn: {
        'AAIS Snipper Water III': '8BCC',
        'AAIS Islekeeper Gravity Force': '8C3A',
        'AAIS Trapshooting Stack': '8977', // stack damage from Trick Reload
    },
    soloFail: {
        'AAIS Hydrofall': '8ADE',
        'AAIS Symmetric Surge': '8BF5',
        'AAIS Fireworks Stack': '897C', // two person stack damage during Present Box / Pinwheeling Dartboard
    },
    triggers: [
        renameMistake('AAIS Tornado', '8BCF', 'fail', {
            // running into a tornado in the initial trash section
            en: 'Tornado',
            de: 'Tornado',
            fr: 'Tornade',
            ja: 'トルネド',
            cn: '龙卷风',
            ko: '토네이도',
        }),
        pushedIntoWall('AAIS Angry Seas', '8AE1'),
        pushedIntoWall('AAIS Pop', '896B'),
        nonzeroDamageMistake('AAIS Hundred Lashings', ['8AE5', '8AE6'], 'warn'),
    ],
};
export default triggerSet;
//# sourceMappingURL=another_aloalo_island-savage.js.map