import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.AnotherMountRokkon,
    damageWarn: {
        // Trash 1
        'AMR Shishu Raiko Disciples of Levin': '8656',
        'AMR Shishu Raiko Master of Levin': '8655',
        'AMR Shishu Furutsubaki Bloody Carress': '8657',
        'AMR Shishu Fuko Scythe Tail': '865A',
        'AMR Red Shishu Penghou Tornado': '865B',
        'AMR Shishu Yuki Right Swipe': '8685',
        'AMR Shishu Yuki Left Swipe': '8686',
        // Shishio
        'AMR Shishio Rokujo Revel': '83FE',
        'AMR Shishio Raiun Leaping Levin 1': '83FF',
        'AMR Shishio Raiun Leaping Levin 2': '8400',
        'AMR Shishio Raiun Leaping Levin 3': '8401',
        'AMR Shishio Lightning Bolt': '8403',
        'AMR Shishio Cloud to Cloud 1': '8404',
        'AMR Shishio Cloud to Cloud 2': '8405',
        'AMR Shishio Cloud to Cloud 3': '8406',
        'AMR Shishio Noble Pursuit 1': '8407',
        'AMR Shishio Noble Pursuit 2': '8408',
        'AMR Shishio Levinburst': '8409',
        'AMR Shishio Devilish Thrall Right Swipe': '840B',
        'AMR Shishio Devilish Thrall Left Swipe': '840C',
        'AMR Shishio Haunting Thrall Reisho': '840D',
        'AMR Shishio Thunder Vortex': '8412',
        'AMR Shishio Eye of the Thunder Vortex 1': '8413',
        'AMR Shishio Eye of the Thunder Vortex 2': '8414',
        'AMR Shishio Vortex of the Thunder Eye 1': '8415',
        'AMR Shishio Vortex of the Thunder Eye 2': '8416',
        'AMR Shishio Slither': '841C',
        // Trash 2
        'AMR Shishu Yamabiko': '8687',
        'AMR Shishu Kotengu Blade of the Tengu': '865F',
        'AMR Shishu Onmitsugashira Juji Shuriken': '8664',
        'AMR Shishu Onmitsugashira Juji Shuriken Huton': '867D',
        // Gorai
        'AMR Gorai Fire Spread Purple': '850B',
        'AMR Gorai Fire Spread Blue': '850C',
        'AMR Gorai Falling Rock Purple': '850E',
        'AMR Gorai Falling Rock Blue': '850F',
        'AMR Gorai Ball of Levin Shock Small': '8522',
        'AMR Gorai Ball of Levin Shock Big': '8523',
        'AMR Gorai Cloud to Ground 1': '8529',
        'AMR Gorai Cloud to Ground 2': '852A',
        'AMR Gorai Impure Purgation Second': '8531',
        // Moko
        'AMR Moko Triple Kasumi-Giri 1': '85B0',
        'AMR Moko Triple Kasumi-Giri 2': '85B1',
        'AMR Moko Triple Kasumi-Giri 3': '85B2',
        'AMR Moko Triple Kasumi-Giri 4': '85B3',
        'AMR Moko Triple Kasumi-Giri 5': '85B4',
        'AMR Moko Triple Kasumi-Giri 6': '85B5',
        'AMR Moko Triple Kasumi-Giri 7': '85B6',
        'AMR Moko Triple Kasumi-Giri 8': '85B7',
        'AMR Moko Triple Kasumi-Giri 9': '85BA',
        'AMR Moko Triple Kasumi-Giri 10': '85BB',
        'AMR Moko Triple Kasumi-Giri 11': '85BC',
        'AMR Moko Triple Kasumi-Giri 12': '85BD',
        'AMR Moko Triple Kasumi-Giri 13': '85BE',
        'AMR Moko Triple Kasumi-Giri 14': '85BF',
        'AMR Moko Triple Kasumi-Giri 15': '85C0',
        'AMR Moko Triple Kasumi-Giri 16': '85C1',
        'AMR Moko Unbound Spirit': '85B8',
        'AMR Moko Azure Coil': '85B9',
        'AMR Moko Scarlet Auspice': '85D1',
        'AMR Moko Boundless Scarlet': '85D2',
        'AMR Moko Explosion': '85D3',
        'AMR Moko Azure Auspice': '85D4',
        'AMR Moko Boundless Azure': '85D5',
        'AMR Moko Upwell 1': '85D6',
        'AMR Moko Upwell 2': '85D7',
        'AMR Moko Fleeting Iai-Giri 1': '85C4',
        'AMR Moko Fleeting Iai-Giri 2': '85C5',
        'AMR Moko Fleeting Iai-Giri 3': '85C6',
        'AMR Moko Shadow Kasumi-Giri 1': '85CA',
        'AMR Moko Shadow Kasumi-giri 2': '86C4',
        'AMR Moko Shadow Kasumi-giri 3': '86C5',
        'AMR Moko Shadow Kasumi-giri 4': '86C6',
        'AMR Moko Oni\'s Claw Clearout 1': '8C21',
        'AMR Moko Oni\'s Claw Clearout 2': '8C27',
        'AMR Moko Oni\'s Claw Clearout 3': '85DF',
        'AMR Moko Ashigaru Kyuhei Iron Rain 1': '85CF',
        'AMR Moko Ashigaru Kyuhei Iron Rain 2': '87A7',
        'AMR Moko Ashigaru Kyuhei Iron Storm 1': '85D0',
        'AMR Moko Ashigaru Kyuhei Iron Storm 2': '87A8', // followup big circle damage from blue Ashigaru Kyuhei
    },
    damageFail: {
        'AMR Shishio Unmitigated Explosion': '8411', // not taking towers
    },
    gainsEffectWarn: {
        // BF9 = 9999s duration, BFA = 15s duration
        'AMR Gorai Burns': 'BF9', // standing in outside square of Gorai
    },
    shareWarn: {
        'AMR Shishu Raiko Barreling Smash': '8653',
        'AMR Gorai Pointed Purgation': '851F',
        'AMR Gorai Impure Purgation': '8530', // initial protean for double hit protean
    },
    shareFail: {
        'AMR Shishio Unnatural Ailment': '8418',
        'AMR Gorai Great Ball of Fire': '8506',
        'AMR Gorai Worldy Pursuit': '850D',
        'AMR Moko Vengeful Flame': '85DC',
        'AMR Moko Accursed Edge': '85DA', // bind on players from Far Edge / Near Edge
    },
    soloFail: {
        'AMR Shishio Unnatural Force': '8419',
        'AMR Gorai Greater Ball of Fire': '8505',
        'AMR Gorai Flintlock': '8527',
        'AMR Moko Vengeful Pyre': '85DD', // pair stack during Fleeting Iai-giri
    },
    triggers: [
        {
            id: 'AMR Shishu Kotengu Gaze of the Tengu',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '8661', ...playerDamageFields }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=another_mount_rokkon.js.map