// This file was autogenerated from running npm run sync-files.
// DO NOT EDIT THIS FILE DIRECTLY.
// Edit the source file below and then run `npm run sync-files`
// Source: ui/oopsyraidsy/data/06-ew/dungeon/another_sildihn_subterrane.ts
import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { GetShareMistakeText, GetSoloMistakeText, playerDamageFields } from '../../../oopsy_common';
// TODO: we probably could use an oopsy utility library (and Data should be `any` here).
const stackMistake = (type, expected, abilityText) => {
    return (_data, matches) => {
        const actual = parseFloat(matches.targetCount);
        if (actual === expected || actual === 0)
            return;
        const ability = abilityText ?? matches.ability;
        const text = actual === 1 ? GetSoloMistakeText(ability) : GetShareMistakeText(ability, actual);
        return { type: type, blame: matches.target, text: text };
    };
};
const triggerSet = {
    zoneId: ZoneId.AnotherSildihnSubterraneSavage,
    initData: () => {
        return {
            hasRiteOfPassage: {},
        };
    },
    damageWarn: {
        'ASSS Aqueduct Kaluk Right Sweep': '797B',
        'ASSS Aqueduct Kaluk Left Sweep': '797C',
        'ASSS Aqueduct Kaluk Creeping Ivy': '797D',
        'ASSS Aqueduct Belladonna Atropine Spore': '7978',
        'ASSS Aqueduct Sapria Bloody Caress': '7977',
        'ASSS Aqueduct Udumbara Honeyed Right': '7974',
        'ASSS Aqueduct Udumbara Honeyed Left': '7973',
        'ASSS Aqueduct Dryad Acorn Bomb': '7970',
        'ASSS Aqueduct Dryad Arboreal Storm': '796F',
        'ASSS Aqueduct Oqdan Uproot': '7972',
        'ASSS Aqueduct Oqdan Gelid Gale': '7971',
        'ASSS Silkie Chilling Duster': '7786',
        'ASSS Silkie Bracing Duster': '7787',
        'ASSS Silkie Fizzling Duster 1': '7788',
        'ASSS Silkie Fizzling Duster 2': '7780',
        'ASSS Silkie Soapsud Static': '77ED',
        'ASSS Silkie Squeaky Clean 1': '7776',
        'ASSS Silkie Squeaky Clean 2': '7777',
        'ASSS Silkie Squeaky Clean 3': '7778',
        'ASSS Silkie Squeaky Clean 4': '7779',
        'ASSS Silkie Silken Puff Chilling Duster': '778B',
        'ASSS Silkie Silken Puff Bracing Duster': '778C',
        'ASSS Silkie Silken Puff Fizzling Duster': '778D',
        'ASSS Silkie Silken Puff Puff and Tumble 1': '7793',
        'ASSS Silkie Silken Puff Puff and Tumble 2': '7794',
        'ASSS Silkie Eastern Ewer Brim Over': '7791',
        'ASSS Silkie Eastern Ewer Rinse': '7792',
        'ASSS Sil\'dihn Dullahan Blighted Gloom': '797E',
        'ASSS Aqueduct Armor Dominion Slash': '7982',
        'ASSS Gladiator Rush of Might Front': '779D',
        'ASSS Gladiator Rush of Might Back': '779E',
        'ASSS Gladiator Ring of Might Out 1': '779F',
        'ASSS Gladiator Ring of Might Out 2': '77A0',
        'ASSS Gladiator Ring of Might Out 3': '77A1',
        'ASSS Gladiator Ring of Might In 1': '77A2',
        'ASSS Gladiator Ring of Might In 2': '77A3',
        'ASSS Gladiator Ring of Might In 3': '77A4',
        'ASSS Gladiator Lingering Echo': '77B9',
        'ASSS Gladiator Regret Rack and Ruin': '77A6',
        'ASSS Gladiator Sundered Remains': '77AA',
        'ASSS Shadowcaster Ball of Fire Burn': '76BB',
        'ASSS Shadowcaster Arcane Font Blazing Benifice': '76C1',
        'ASSS Shadowcaster Cast Shadow 1': '76BD',
        'ASSS Shadowcaster Cast Shadow 2': '76BE',
        'ASSS Shadowcaster Pure Fire': '76BF', // baited puddles
    },
    damageFail: {
        'ASSS Silkie Silken Puff Buffeted Puffs': '77EC',
        'ASSS Gladiator Massive Explosion': '77AD',
        'ASSS Gladiator Chains of Resentment': '77A9',
        'ASSS Shadowcaster Trespasser\'s Pyre': '76BC',
        'ASSS Shadowcaster Big Burst': '76CC', // failing Cryptic Flames
    },
    gainsEffectWarn: {
        'ASSS Silkie Deep Freeze': '4E6', // not moving after Soap's Up
    },
    gainsEffectFail: {
        'ASSS Silkie Bleeding': 'C05',
        'ASSS Shadowcaster Burns': 'BF9', // standing outside Shadowcaster arena
    },
    shareWarn: {
        'ASSS Gladiator Echo of the Fallen': '77B7',
        'ASSS Gladiator Nothing beside Remains': '77BC', // spread during Hateful Visage
    },
    shareFail: {
        'ASSS Aqueduct Belladonna Deracinator': '797A',
        'ASSS Gladiator Mighty Smite': '77B4',
        'ASSS Gladiator Scream of the Fallen': '77BA',
        'ASSS Gladiator Explosion': '77AC',
        'ASSS Shadowcaster Firesteel Strike': '76C6',
        'ASSS Shadowcaster Firesteel Fracture': '76C4',
        'ASSS Shadowcaster Infirn Brand Infirm Wave': '76CD', // 90 degree large cleaves on closest people
    },
    soloFail: {
        'ASSS Silkie Slippery Soap': '7783',
        'ASSS Gladiator Scultor\'s Passion': '79F4',
        'ASSS Gladiator Thunderous Echo': '77B8', // Curse of the Fallen share
    },
    triggers: [
        {
            // Gaze attack
            id: 'ASSS Aqueduct Belladonna Frond Affront',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '7979', ...playerDamageFields }),
            // Always hits target, but if correctly resolved will deal 0 damage
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
        {
            // Golden and Silver flames do damage if not cleansing a debuff
            // The same abilities are used for both versions.
            id: 'ASSS Gladiator Hateful Visage Flame',
            type: 'Ability',
            // 77B1 = Golden Flame
            // 77B2 = Silver Flame
            netRegex: NetRegexes.ability({ id: ['77B1', '77B2'], ...playerDamageFields }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
        {
            id: 'ASSS Shadowcaster Blessed Beacon',
            type: 'Ability',
            // TODO: this could be invuln'd
            netRegex: NetRegexes.ability({ id: ['76C8', '76C9'] }),
            mistake: stackMistake('fail', 2),
        },
        {
            // This will kill the players if they don't take a portal.
            id: 'ASSS Shadowcaster Call of the Portal',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: 'CCC' }),
            delaySeconds: (_data, matches) => parseFloat(matches.duration) - 0.5,
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
        {
            id: 'ASSS Shadowcaster Rite of Passage Gain',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: 'CCD' }),
            run: (data, matches) => data.hasRiteOfPassage[matches.target] = true,
        },
        {
            id: 'ASSS Shadowcaster Rite of Passage Lose',
            type: 'LosesEffect',
            netRegex: NetRegexes.losesEffect({ effectId: 'CCD' }),
            run: (data, matches) => data.hasRiteOfPassage[matches.target] = false,
        },
        {
            id: 'ASSS Shadowcaster Stun',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: 'A60' }),
            // Stuns are a good way to indicate who broke a line incorrectly.
            // However, everybody gets a stun during the teleport section.
            condition: (data, matches) => !data.hasRiteOfPassage[matches.target],
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=another_sildihn_subterrane-savage.js.map