import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.Smileton,
    damageWarn: {
        'Smileton Smiley Wanderer Empty Beleaguer': '6964',
        'Smileton Smiley Lunatender La Vie en Epines': '695E',
        'Smileton Smiley Lunatender Anthine Needles': '695F',
        'Smileton Smiley Panopt Retinal Glare': '696A',
        'Smileton Face Mixed Feelings': '6738',
        'Smileton Smiley Scraper Headspin': '695D',
        'Smileton Smiley Daphnia Acrid Stream': '6960',
        'Smileton Smiley Metalloid Lattice': '6969',
        'Smileton Frameworker Leap Forward': '6746',
        'Smileton Frameworker Printed Worker Leap Forward': '6747',
        'Smileton Frameworker Omnidirectional Onslaught': '6749',
        'Smileton Smiley Dynamite Burst': '696B',
        'Smileton Smiley Regolith Metamorphic Blast': '6967',
        'Smileton Smiley Regolith Orogenic Storm': '6968',
        'Smileton Smiley Supporter Fire Fighter': '695C',
        'Smileton Smiley Sweeper Sewer Water 1': '6962',
        'Smileton Smiley Sweeper Sewer Water 2': '6963',
        'Smileton The Big Cheese Bomb Iron Kiss': '674D',
        'Smileton The Big Cheese Excavation Bomb Excavated': '6C32',
        'Smileton The Big Cheese Right Disassembler': '674F',
        'Smileton The Big Cheese Left Disassembler': '6750', // left cleave
    },
    shareWarn: {
        'Smileton Face Temper, Temper': '6740',
        'Smileton The Big Cheese Leveling Missiles': '', // spread
    },
    soloWarn: {
        'Smileton The Big Cheese Electric Arc': '6753', // stack marker
    },
    triggers: [
        {
            id: 'Smileton Face Wrong Face',
            type: 'GainsEffect',
            // ACB = Smiley Face
            // ACC = Frowny Face
            // Taking this multiple times stacks the effect.
            netRegex: NetRegexes.gainsEffect({ effectId: 'AC[BC]', source: 'Face' }),
            condition: (_data, matches) => parseInt(matches.count) > 1,
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: {
                        en: `${matches.effect} x${matches.count}`,
                        de: `${matches.effect} x${matches.count}`,
                        fr: `${matches.effect} x${matches.count}`,
                        ja: `${matches.effect} x${matches.count}`,
                        cn: `${matches.effect} x${matches.count}`,
                        ko: `${matches.effect} x${matches.count}`,
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=smileton.js.map