import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheDeadEnds,
    damageWarn: {
        'DeadEnds Warped Flesh Amorphic Flail': '6E91',
        'DeadEnds Warped Flesh Terminal Bloom': '6FFF',
        'DeadEnds Warped Flesh Plague Fang': '6E92',
        'DeadEnds Grebuloff Cough Up': '653E',
        'DeadEnds Ambient No Future': '6CC9',
        'DeadEnds Airborne Freedom Fighter Air Blast': '6E72',
        'DeadEnds Landed Freedom Fighter Photon Burst': '6E71',
        'DeadEnds Peacekeeper Electromagnetic Repellant': '6EC8',
        'DeadEnds Peacekeeper Perpetual War Machine Small-Bore Laser': '6EC0',
        'DeadEnds Peacekeeper Peacefire': '654E',
        'DeadEnds Peacekeeper No Future': '6547',
        'DeadEnds Xenofauna Relevation': '6C47',
        'DeadEnds Xenoflora Creeping Hush': '6C45',
        'DeadEnds Ra-la Lamellar Light': '6553',
        'DeadEnds Ra-la Lifesbreath': '6554',
        'DeadEnds Ra-la Loving Embrace 1': '6557',
        'DeadEnds Ra-la Loving Embrace 2': '6558', // left/right cleave
    },
    damageFail: {
        // All give debuffs that require healer attention, so is a worse mistake.
        'DeadEnds Grebuloff Necrotic Fluid': '653F',
        'DeadEnds Grebuloff Wave of Nausea': '6EBB',
        'DeadEnds Ra-la Golden Wings Lamellar Light 1': '6556',
        'DeadEnds Ra-la Golden Wings Lamellar Light 2': '655F', // Doom-giving Lifesbreath butterfly lines
    },
    gainsEffectWarn: {
        'DeadEnds Grebuloff Hysteria': '128',
        'DeadEnds Peacekeeper Burns': '892',
        'DeadEnds Peacekeeper Electrocution': '76B', // standing under Peacekeeper after Electromagnetic Repellant
    },
    shareWarn: {
        'DeadEnds Grebuloff Befoulment': '6544',
        'DeadEnds Peacekeeper Infantry Deterrent': '6EC7',
        'DeadEnds Peacekeeper No Future Spread': '6548',
        'DeadEnds Ra-la Still Embrace': '655C', // spread
    },
    shareFail: {
        'DeadEnds Peacekeeper Elimination': '654F', // tankbuster laser cleave
    },
    triggers: [
        {
            id: 'DeadEnds Ra-la Doom Gain',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: '6E9' }),
            run: (data, matches) => {
                data.hasDoom ??= {};
                data.hasDoom[matches.target] = true;
            },
        },
        {
            id: 'DeadEnds Ra-la Doom Lose',
            type: 'LosesEffect',
            netRegex: NetRegexes.losesEffect({ effectId: '6E9' }),
            run: (data, matches) => {
                data.hasDoom ??= {};
                data.hasDoom[matches.target] = false;
            },
        },
        {
            id: 'DeadEnds Ra-la Doom',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: '6E9' }),
            delaySeconds: (_data, matches) => parseFloat(matches.duration) - 0.5,
            deathReason: (data, matches) => {
                if (!data.hasDoom)
                    return;
                if (!data.hasDoom[matches.target])
                    return;
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: matches.effect,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=the_dead_ends.js.map