import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
// TODO: Figure out how to determine whether someone actively stood in Boundless Pain
const triggerSet = {
    zoneId: ZoneId.TheTowerOfBabil,
    damageWarn: {
        'Babil Nimrod Cannon Shot': '6DE1',
        'Babil Tempered Imperial Spread Shot': '6DE2',
        'Babil Satellite Incendiary Circle': '6DE3',
        'Babil Reaper Magitek Cannon': '6DE4',
        'Babil Barnabas Ground and Pound': '62EA',
        'Babil Barnabas Dynamic Scrapline': '62F0',
        'Babil Barnabas Dynamic Pound': '62EE',
        'Babil Barnabas Electromagnetic Release 1': '62F1',
        'Babil Barnabas Electromagnetic Release 2': '62EF',
        'Babil Barnabas Rolling Scrapline': '62EB',
        'Babil Thunderball Shock': '62F2',
        'Babil Sky Armor Aethershot': '6DE7',
        'Babil Rearguard Cermet Pile': '6DE8',
        'Babil Colossus Grand Sword': '6DE9',
        'Babil Avenger Shoulder Cannon': '6DEA',
        'Babil Death Machine Magitek Ray': '6DEB',
        'Babil Magitek Chakram Mighty Blow': '62F4',
        'Babil Lugae Surface Missile': '62F7',
        'Babil Magitek Explosive Explosion': '62F9',
        'Babil Lugae Magitek Ray': '62FC',
        'Babil Gunship Garlean Fire': '6DEE',
        'Babil Armored Weapon Diffractive Laser': '5E53',
        'Babil Magitek Crane Crane Game': '6C35',
        'Babil Hexadrone 2-Tonze Magitek Missile': '6DEC',
        'Babil Roader Rush': '6DED',
        'Babil Hypertuned Specimen Right-arm Blaster': '6DF0',
        'Babil Anima Phantom Pain': '62FF',
        'Babil Mega-graviton Graviton Spark': '6302',
        'Babil Anima Pater Patiae': '6306',
        'Babil Anima Obliviating Claw': '630A',
        'Babil Iron Nail Obliviating Claw': '630C',
        'Babil Iron Nail Charnel Claw': '630D',
        'Babil Anima Coffin Scratch': '630E', // Chase puddles, boss 3
    },
    gainsEffectWarn: {
        'Babil Barnabas Electrocution': '826', // Arena edge effect, boss 1
    },
    shareWarn: {
        'Babil Anima Erupting Pain': '6308', // Purple spread circles, boss 3
    },
    soloWarn: {
        'Babil Barnabas Shocking Force': '62EC', // Stack marker, boss 1
    },
    triggers: [
        {
            // Reaching 8 stacks of Breathless is a death
            id: 'Babil Lugae Breathless',
            type: 'LosesEffect',
            netRegex: NetRegexes.losesEffect({ effectId: 'A70', count: '7' }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Suffocated',
                        de: 'Erstickt',
                        fr: 'A suffoqué(e)',
                        ja: '窒息',
                        cn: '窒息',
                        ko: '질식',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=the_tower_of_babil.js.map