import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.Vanaspati,
    damageWarn: {
        'Vanaspati Terminus Trampler Tremblor': '6C22',
        'Vanaspati Terminus Idolizer Deadly Tentacles': '6CDD',
        'Vanaspati Terminus Snatcher Vitriol': '6232',
        'Vanaspati Terminus Snatcher What Is Right': '6233',
        'Vanaspati Terminus Snatcher What Is Left': '6234',
        'Vanaspati Terminus Sprinter Hollow Spike': '6C1F',
        'Vanaspati Terminus Horror Bellows': '6C1E',
        'Vanaspati Terminus Bellwether Winds Of Despair': '6CDC',
        'Vanaspati Svarbhanu Chaotic Undercurrent Purple': '624A',
        'Vanaspati Svarbhanu Chaotic Undercurrent Blue': '624B',
        'Vanaspati Svarbhanu Cosmic Kiss Circle': '624F',
        'Vanaspati Svarbhanu Midphase Charge': '631E', // unnamed middphase line attacks
    },
    shareWarn: {
        'Vanaspati Terminus Snatcher Wallow': '6236',
        'Vanaspati Svarbhanu Cosmic Kiss Spread': '6250', // spread marker
    },
    soloWarn: {
        'Vanaspati Terminus Wrecker Poison Heart': '6CCB', // stack marker
    },
    triggers: [
        {
            // Lookaway mechanic, does no damage on success.
            id: 'Vanaspati Terminus Twitcher Double Hex Eye',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '6C21', ...playerDamageFields }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=vanaspati.js.map