import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
// TODO: Determine deaths from being pushed into the wall.
// Unfortunately all the knockbacks deal damage
const triggerSet = {
    zoneId: ZoneId.AnabaseiosTheEleventhCircle,
    damageWarn: {
        'P11N Divisive Ruling Main': '81B5',
        'P11N Divine Ruination Main': '81B6',
        'P11N Ripples Of Gloom Main 1': '81B7',
        'P11N Ripples Of Gloom Main 2': '81B8',
        'P11N Katakrisis Light': '81C5',
        'P11N Katakrisis Dark': '81C6',
        'P11N Dineis': '8726',
        'P11N Inner Light': '86F3',
        'P11N Outer Dark': '86F4',
        'P11N Lightburst': '81BD',
        'P11N Dark Perimeter': '81BE',
        'P11N Divisive Ruling Illusion': '81D7',
        'P11N Divine Ruination Illusion': '81D8',
        'P11N Ripples Of Gloom Illusion 1': '81D9',
        'P11N Ripples Of Gloom Illusion 2': '81DA', // Outer cleave follow-up after Divisive Ruling
    },
    shareWarn: {
        'P11N Upheld Ruling Cleave': '81BA',
        'P11N Blinding Light': '81E1', // Standard spread circles
    },
    soloWarn: {
        'P11N Upheld Ruling Stack': '81B9',
        'P11N Styx': '81DC',
    },
    triggers: [
        {
            id: 'P11N Emissarys Will',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '81C7', source: 'Themis' }),
            condition: (data, matches) => data.DamageFromMatches(matches) > 0,
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.ability,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=p11n.js.map