import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.AnabaseiosTheEleventhCircleSavage,
    damageWarn: {
        'P11S Illusory Glare': '81EA',
        'P11S Illusory Gloom': '81EB',
        'P11S Lightburst 1': '81F6',
        'P11S Lightburst 2': '8224',
        'P11S Dark Perimeter 1': '81F7',
        'P11S Dark Perimeter 2': '8225',
        'P11S Divisive Overruling 1': '81EE',
        'P11S Divisive Overruling 2': '87B5',
        'P11S Divisive Ruling': '821C',
        'P11S Divine Ruination 1': '81EF',
        'P11S Divine Ruination 2': '87B6',
        'P11S Divine Ruination 3': '821D',
        'P11S Ripples of Gloom 1': '81F0',
        'P11S Ripples of Gloom 2': '81F1',
        'P11S Ripples of Gloom 3': '87B7',
        'P11S Ripples of Gloom 4': '87B8',
        'P11S Ripples of Gloom 5': '821E',
        'P11S Ripples of Gloom 6': '821F',
        'P11S Inner Light': '8788',
        'P11S Outer Dark': '8789',
        'P11S Arcane Sphere Arche 1': '8213',
        'P11S Arcane Sphere Arche 2': '8214',
        'P11S Arcane Sphere Unlucky Lot 1': '8215',
        'P11S Arcane Sphere Unlucky Lot 2': '8216',
        'P11S Arcane Cylinder Lightstream 1': '8207',
        'P11S Arcane Cylinder Lightstream 2': '8208',
        'P11S Dark Current 1': '8209',
        'P11S Dark Current 2': '820A',
        'P11S Katakiris Light': '81FF',
        'P11S Katakiris Dark': '8200', // dark tether failure
    },
    shareWarn: {
        'P11S Jury Overruling Light': '81E8',
        'P11S Jury Overruling Dark': '81E9',
        'P11S Upheld Overruling Dark 1': '81F3',
        'P11S Upheld Overruling Dark 2': '8221',
        'P11S Blinding Light': '822A', // spreads during Dark Current
    },
    soloFail: {
        'P11S Inevitable Sentence': '81FD', // partner stacks
    },
    triggers: [
        {
            id: 'P11S Knockback',
            type: 'Ability',
            // 8786 Dismissal Overruling light
            // 8787 Dismissal Overruling dark
            netRegex: NetRegexes.ability({ id: ['8786', '8787'], ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked into wall',
                        de: 'Rückstoß in die Wand',
                        fr: 'Frappé(e) dans le mur',
                        ja: '壁へノックバック',
                        cn: '击退至墙',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=p11s.js.map