import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.AsphodelosTheSecondCircleSavage,
    damageWarn: {
        'P2S Spoken Cataract 1': '6811',
        'P2S Spoken Cataract 2': '6812',
        'P2S Spoken Cataract 3': '6813',
        'P2S Spoken Cataract 4': '6817',
        'P2S Winged Cataract 1': '6814',
        'P2S Winged Cataract 2': '6815',
        'P2S Winged Cataract 3': '6816',
        'P2S Winged Cataract 4': '6818',
        'P2S Dissociation': '682E',
        'P2S Sewage Eruption': '6831', // chasing targeted telegraphed circles
    },
    damageFail: {
        'P2S Deadly Current': '6829',
        'P2S Greater Typhoon': '681F', // being hit by an arrow, or not hitting a partner with your arrow
    },
    gainsEffectWarn: {
        // TODO: B86 is also dropsy, but maybe standing in dropsy for longer? or the edge?
        'P2S Dropsy': 'B69',
        'P2S Sustained Damage': 'B77', // being hit by an arrow charge (not yours)
    },
    shareWarn: {
        'P2S Tainted Flood': '6838', // spread markers (both the 4 people at once and 8 people at once)
    },
    shareFail: {
        'P2S Kampeos Harma Square': '6824',
        'P2S Kampeos Harma Triangle 1': '6825',
        'P2S Kampeos Harma Triangle 2': '6826', // triangle circle aoes #4
    },
    soloWarn: {
        'P2S Ominous Bubbling': '682B',
        'P2S Coherence Line': '681A', // stack line
    },
    triggers: [
        {
            id: 'P2S Shockwave',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '682F' }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed into wall',
                        de: 'Rückstoß in die Wand',
                        fr: 'Poussé(e) dans le mur',
                        ja: '壁へノックバック',
                        cn: '击退至墙',
                        ko: '벽으로 넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=p2s.js.map