import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.AsphodelosTheFourthCircleSavage,
    damageWarn: {
        'P4S Acid Pinax': '69D4',
        'P4S Lava Pinax': '69D5',
        'P4S Well Pinax': '69D6',
        'P4S Levinstrike Pinax': '69D7',
        // The safe squares during Elemental Belone are 69F5 through 69F8.
        'P4S Elemental Belone Acid Pinax': '69F9',
        'P4S Elemental Belone Lava Pinax': '69FA',
        'P4S Elemental Belone Well Pinax': '69FB',
        'P4S Elemental Belone Levinstrike Pinax': '69FC',
        'P4S Shifting Strike': '6A06',
        'P4S Dark Design': '6A2A',
        'P4S Hemitheos\'s Fire IV': '6A0D',
        'P4S Hell\'s Sting 1': '6A20',
        'P4S Hell\'s Sting 2': '6A21', // curtain call protean
    },
    damageFail: {
        'P4S Hemitheos\'s Thunder III Missed Tower': '6A0F', // missing a 6A0E tower
    },
    shareWarn: {
        'P4S Inversive Chlamys': '69EE',
        'P4S Acid Mekhane': '69D0',
        'P4S Hemitheos\'s Thunder III Tower': '6A0E',
        'P4S Hemitheos\'s Water III': '6A14', // Act 4 water tether explosion
    },
    shareFail: {
        'P4S Elegant Evisceration': '6A08',
        'P4S Farsight': '6A27',
        'P4S Nearsight': '6A28',
        // TODO: https://github.com/quisquous/cactbot/pull/4161
        // 'P4S Kothornos Kick': '6A23', // Act 3 jump
        'P4S Kothornos Quake': '6A24',
        'P4S Fleeting Impulse': '6A1C', // Finale counted vulns
    },
    soloFail: {
        'P4S Lava Mekhane': '69D1', // lava pinax stack
    },
    triggers: [
        {
            id: 'P4S Knockback',
            type: 'Ability',
            // 69D2 = Well Mekhane
            // 6A01 = Shifting Strike (knockback)
            // 6A10 = Hemitheos's Water IV (Act 3 knockback)
            netRegex: NetRegexes.ability({ id: ['69D2', '6A01', '6A10'] }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed into wall',
                        de: 'Rückstoß in die Wand',
                        fr: 'Poussé(e) dans le mur',
                        ja: '壁へノックバック',
                        cn: '击退至墙',
                        ko: '벽으로 넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=p4s.js.map