import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheMinstrelsBalladEndsingersAria,
    damageWarn: {
        'EndsingerEx Rubistellar Collision 1': '6FFA',
        'EndsingerEx Rubistellar Collision 2': '7003',
        'EndsingerEx Elenchos Middle': '7022',
        'EndsingerEx Elenchos Sides': '7021',
        'EndsingerEx Diairesis 1': '6FFC',
        'EndsingerEx Diairesis 2': '7006',
        'EndsingerEx Diairesis 3': '7011',
        'EndsingerEx Necrotic Fluid 1': '7009',
        'EndsingerEx Necrotic Fluid 2': '700F',
        'EndsingerEx Wave of Nausea 1': '700A',
        'EndsingerEx Wave of Nausea 2': '7010',
        'EndsingerEx Wave of Nausea 3': '7013',
        'EndsingerEx Wave of Nausea 4': '7017',
        'EndsingerEx Endsong': '701C', // Endsong's Aporrhoia big head circles from rings
    },
    damageFail: {
        'EndsingerEx Massive Explosion': '702B', // missing a tower
    },
    shareWarn: {
        'EndsingerEx Befoulment 1': '7014',
        'EndsingerEx Befoulment 2': '7018', // Despair Unforgotten + Theological Fatalism spread
    },
    shareFail: {
        'EndsingerEx Hubris': '702D ', // tankbuster
    },
    soloFail: {
        'EndsingerEx Benevolence 1': '7016',
        'EndsingerEx Benevolence 2': '701A', // Despair Unforgotten + Theological Fatalism stack
    },
    triggers: [
        {
            id: 'EndsingerEx Galaxias',
            type: 'Ability',
            // 6FFB = Azure Star Caerustellar Collision knockback
            // 7005 = Fatalism Azure Star Caerustellar Collision knockback
            netRegex: NetRegexes.ability({ id: ['6FFB', '7005'] }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=endsinger-ex.js.map