import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheFinalDay,
    damageWarn: {
        'Endsinger Stellar Collision 1': '662E',
        'Endsinger Stellar Collision 2': '663B',
        'Endsinger Elenchos Middle': '6644',
        'Endsinger Elenchos Sides': '6643',
        'Endsinger Elenchos Heads': '663E',
        'Endsinger Feather of Despair Pharmakon': '664C',
        'Endsinger Epigonoi': '6646',
        'Endsinger Misery': '6648',
        'Endsinger Interstellar': '67FB',
        'Endsinger Kakodaimon Crash': '6657',
        'Endsinger Dead Star': '5E4E', // targeted circles during final phase
    },
    shareWarn: {
        'Endsinger Death\'s Embrace': '6649',
        'Endsinger Nemesis': '664E', // spread during Interstellar
    },
    shareFail: {
        'Endsinger Hubris': '6653', // tankbuster
    },
    triggers: [
        {
            id: 'Endsinger Galaxias',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '6C6A' }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=endsinger.js.map