import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheVoidcastDaisExtreme,
    damageWarn: {
        'GolbezEx Terrastorm': '8466',
        'GolbezEx Lingering Spark': '846A',
        'GolbezEx Phases of the Blade 1': '86DB',
        'GolbezEx Phases of the Blade 2': '86F2',
        'GolbezEx Arctic Assault': '8461',
        'GolbezEx Gale Sphere 1': '8458',
        'GolbezEx Gale Sphere 2': '8459',
        'GolbezEx Gale Sphere 3': '845A',
        'GolbezEx Gale Sphere 4': '845B',
        'GolbezEx Phases of the Shadow 1': '86E7',
        'GolbezEx Phases of the Shadow 2': '86EF',
        'GolbezEx Rising Beacon': '86EC',
        'GolbezEx Rising Ring': '86ED', // "get in" during Phases of the Shadow
    },
    damageFail: {
        'GolbezEx Void Stardust': '84AA',
        'GolbezEx Massive Explosion': '84A0', // failing towers
    },
    shareWarn: {
        'GolbezEx Void Comet': '84B0',
        'GolbezEx Cauterize': '84A2', // wide line aoe on healer with knockback during Double Meteor
    },
    shareFail: {
        'GolbezEx Void Meteor': '84B1',
        'GolbezEx Burning Shade': '8494', // spread during Phases of the Shadow
    },
    soloFail: {
        'GolbezEx Abyssal Quasar': '84AB',
        'GolbezEx Void Aero III': '845C',
        'GolbezEx Eventide Fall': '86B4',
        'GolbezEx Void Tornado': '845D', // healer circle stacks
    },
    triggers: [
        {
            id: 'GolbezEx Flames of Eventide Fatal',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: 'DF5', count: '03' }),
            mistake: (_data, matches) => {
                return {
                    type: 'fail',
                    blame: matches.target,
                    reportId: matches.targetId,
                    text: matches.effect,
                };
            },
        },
        {
            id: 'GolbezEx Dragon\'s Descent',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '8498' }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=golbez-ex.js.map