import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { GetShareMistakeText, GetSoloMistakeText } from '../../../oopsy_common';
// TODO: we probably could use an oopsy utility library (and Data should be `any` here).
const stackMistake = (type, expected, abilityText) => {
    return (_data, matches) => {
        const actual = parseFloat(matches.targetCount);
        if (actual === expected || actual === 0)
            return;
        const ability = abilityText ?? matches.ability;
        const text = actual === 1 ? GetSoloMistakeText(ability) : GetShareMistakeText(ability, actual);
        return { type: type, blame: matches.target, text: text };
    };
};
const triggerSet = {
    zoneId: ZoneId.MountOrdealsExtreme,
    damageWarn: {
        'RubicanteEx Fiery Expiation Cone': '7CEF',
        'RubicanteEx Fiery Expiation Square': '7CF0',
        'RubicanteEx Arch Inferno': '7CF9',
        'RubicanteEx Inferno Devil': '7CFB',
        'RubicanteEx Conflagration': '7CFD',
        'RubicanteEx Ghastly Flame': '7D0D',
        'RubicanteEx Flamerake 1': '7D19',
        'RubicanteEx Flamerake 2': '7D1B',
        'RubicanteEx Flamerake 3': '7D1C',
        'RubicanteEx Flamerake 4': '7D1E',
        'RubicanteEx Flamerake 5': '7D1D',
        'RubicanteEx Flamerake 6': '7D1F',
        'RubicanteEx Scalding Signal': '7D24',
        'RubicanteEx Scalding Ring': '7D25',
        'RubicanteEx Scalding Fleet': '7D27',
        'RubicanteEx Sweeping Immolation': '7D20', // 180 front cleave
    },
    shareWarn: {
        'RubicanteEx Spike of Flame': '7D02',
        'RubicanteEx Ghastly Wind': '7D0B',
        'RubicanteEx Inferno Spread': '7D10',
        'RubicanteEx Partial Immolation': '72DD', // spread during Sweeping Immolation
    },
    shareFail: {
        'RubicanteEx Shattering Heat': '7D2D',
        'RubicanteEx Flamesent Shattering Heat': '7D0A',
        'RubicanteEx Stinging Welt': '7D16',
        'RubicanteEx Flamespire Claw': '7E73', // limit cut cleaves
    },
    soloWarn: {
        'RubicanteEx Fourfold Flame': '7D03', // healer stacks during Arch Inferno
    },
    soloFail: {
        'RubicanteEx Furious Welt': '7D15',
        'RubicanteEx Total Immolation': '7D23', // stack during Sweeping Immolation
    },
    triggers: [
        {
            // partner stacks during Arch Inferno
            id: 'RubicanteEx Twinfold Flame',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '7D04' }),
            mistake: stackMistake('fail', 2),
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=rubicante-ex.js.map