import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheAbyssalFractureExtreme,
    damageWarn: {
        'ZeromusEx Abyssal Echoes': '8B42',
        'ZeromusEx Nox 1': '8D2A',
        'ZeromusEx Nox 2': '8D24',
        'ZeromusEx Scald': '8BB6',
        'ZeromusEx Flare': '8B62',
        'ZeromusEx Prominence Spine': '8B63',
        'ZeromusEx Visceral Whirl 1': '8B44',
        'ZeromusEx Visceral Whirl 2': '8B45',
        'ZeromusEx Visceral Whirl 3': '8B47',
        'ZeromusEx Visceral Whirl 4': '8B48',
        'ZeromusEx Big Bang': '8B4E',
        'ZeromusEx Fractured Eventide 1': '8B3E',
        'ZeromusEx Fractured Eventide 2': '8BB2',
        'ZeromusEx Big Crunch': '8D31',
        'ZeromusEx Dimension Surge': '8B7E',
        'ZeromusEx Dimension Surge Line': '8B82',
        'ZeromusEx Akh Rhai': '8B75',
        'ZeromusEx Chasmic Nails 1': '8B79',
        'ZeromusEx Chasmic Nails 2': '8B7A',
        'ZeromusEx Chasmic Nails 3': '8B7B',
        'ZeromusEx Chasmic Nails 4': '8B7C',
        'ZeromusEx Chasmic Nails 5': '8B7D', // fifth damage
    },
    damageFail: {
        'ZeromusEx The Dark Binds': '8B55',
        'ZeromusEx Toxic Bubble Burst': '8B67',
        'ZeromusEx Forked Lightning': '8B54', // forked lightning debuff, TODO: try to determine source
    },
    shareWarn: {
        'ZeromusEx Big Bang Spread': '8BDE',
        'ZeromusEx The Dark Divides': '8B52',
        'ZeromusEx Big Crunch Spread': '8D32', // spread during Big Crunch
    },
    shareFail: {
        'ZeromusEx Dark Matter': '8B84', // tankbuster
    },
    soloFail: {
        'ZeromusEx The Dark Beckons': '8D3A',
        'ZeromusEx Umbral Prism': '8B77', // enumerations
    },
    triggers: [
        {
            id: 'ZeromusEx Doom',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: '6E9' }),
            delaySeconds: (_data, matches) => parseFloat(matches.duration) - 0.5,
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: matches.effect,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=zeromus-ex.js.map