import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.TheMinstrelsBalladZodiarksFall,
    damageWarn: {
        'ZodiarkEx Quetzalcoatl Keraunos Eidolon': '67E1',
        'ZodiarkEx Behemoth Meteoros Eidolon': '67E2',
        'ZodiarkEx Python Opheos Eidolon': '67E3',
        'ZodiarkEx Infernal Stream 1': '52D1',
        'ZodiarkEx Infernal Stream 2': '67E0',
        'ZodiarkEx Esoteric Ray': '67E4',
        'ZodiarkEx Esoteric Dyad': '67E5',
        'ZodiarkEx Esoteric Sect': '67E6',
        'ZodiarkEx Algedon': '67EE',
        'ZodiarkEx Adikia 1': '63A9',
        'ZodiarkEx Adikia 2': '67F2', // two hit east west circles
    },
    damageFail: {
        'ZodiarkEx Explosion': '67E7', // Astral Eclipse explosions
    },
    shareFail: {
        'ZodiarkEx Ania': '6B63', // tank buster splash with headmarker
    },
    triggers: [
        {
            id: 'ZodiarkEx Algedon Push',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '67EE', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed off!',
                        de: 'Runter geschubst!',
                        fr: 'Repoussé(e) !',
                        ja: '落ちた',
                        cn: '击退坠落',
                        ko: '넉백됨',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=zodiark-ex.js.map