import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
import { playerDamageFields } from '../../../oopsy_common';
const triggerSet = {
    zoneId: ZoneId.TheDarkInside,
    damageWarn: {
        'Zodiark Esoteric Sect': '67CC',
        'Zodiark Esoteric Dyad': '67CB',
        'Zodiark Behemoth Meteoros Eidolon': '67C6',
        'Zodiark Python Opheos Eidolon': '67C7',
        'Zodiark Phlegothon': '67CE',
        'Zodiark Esoteric Ray': '67CA',
        'Zodiark Adikia 1': '63A8',
        'Zodiark Adikia 2': '67D9',
        'Zodiark Algedon': '67D3',
        'Zodiark Explosion': '67CD', // Astral Eclipse explosions
    },
    shareFail: {
        'Zodiark Ania': '6B62', // tank buster splash with headmarker
    },
    soloWarn: {
        'Zodiark Styx': '67DC', // multi-hit stack marker
    },
    triggers: [
        {
            id: 'Zodiark Algedon Push',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '67D3', ...playerDamageFields }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Pushed off!',
                        de: 'Runter geschubst!',
                        fr: 'Repoussé(e) !',
                        ja: '落ちた',
                        cn: '击退坠落',
                        ko: '넉백됨',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=zodiark.js.map