import { OopsyData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { OopsyTriggerSet } from '../../../../../types/oopsy';
import { LocaleText } from '../../../../../types/trigger';
export declare const translate: (data: Data, text: LocaleText) => string;
export type Phase = 'p1' | 'p2' | 'p3' | 'p4' | 'delta' | 'sigma' | 'omega' | 'p6';
export declare const helloEffect: {
    readonly redTether: "DC9";
    readonly blueTether: "DCA";
    readonly stack: "DC4";
    readonly defamation: "DC5";
    readonly redRot: "DC6";
    readonly blueRot: "D65";
};
export declare const helloAbility: {
    readonly stack: "7B56";
    readonly defamation: "7B57";
    readonly redTower: "7B5F";
    readonly blueTower: "7B60";
};
export type RotColor = 'blue' | 'red';
export interface Data extends OopsyData {
    decOffset?: number;
    phase?: Phase;
    blameId?: {
        [name: string]: string;
    };
    inLine?: {
        [name: string]: number;
    };
    towerCount?: number;
    blasterCollect?: NetMatches['Ability'][];
    towerCollect?: NetMatches['Ability'][];
    beyondDefense?: string[];
    helloSmell?: NetMatches['GainsEffect'][];
    expectedRots?: {
        [latentDefectCount: number]: {
            blue: string[];
            red: string[];
        };
    };
    defamationColor?: RotColor;
    latentDefectCount?: number;
    helloState?: {
        [name: string]: Set<string>;
    };
    helloStateSnapshot?: {
        [name: string]: Set<string>;
    };
    helloCollect?: NetMatches['Ability'][];
    monitorCollect?: NetMatches['Ability'][];
    waveCannonProteanCollect?: NetMatches['Ability'][];
    waveCannonStackCollect?: NetMatches['Ability'][];
}
export declare const firstMarker: number;
export declare const getHeadmarkerId: (data: Data, matches: NetMatches['HeadMarker']) => string;
declare const triggerSet: OopsyTriggerSet<Data>;
export default triggerSet;
