import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
// TODO: Add trash mistakes
const triggerSet = {
    zoneId: ZoneId.JeunoTheFirstWalk,
    damageWarn: {
        // Initial trash
        'Jeuno First Walk Goblin Replica Seismostomp': 'A2B4',
        'Jeuno First Walk Vanguard Pathfinder Toss': 'A2B7',
        // Prishe
        'Jeuno First Walk Prishe Knuckle Sandwich Small': '9FEB',
        'Jeuno First Walk Prishe Knuckle Sandwich Mid': '9FEC',
        'Jeuno First Walk Prishe Knuckle Sandwich Big': '9FED',
        'Jeuno First Walk Prishe Brittle Impact Small': '9FEE',
        'Jeuno First Walk Prishe Brittle Impact Mid': '9FEF',
        'Jeuno First Walk Prishe Brittle Impact Big': '9FF0',
        'Jeuno First Walk Prishe Banish': '9FF3',
        'Jeuno First Walk Prishe Explosion': '9FFB',
        // Pre-Fafnir trash
        'Jeuno First Walk Skimmer Cursed Sphere': 'A2B8',
        'Jeuno First Walk Bark Spider Spider Web': 'A2BB',
        'Jeuno First Walk Death Cap Agaricus': 'A2BD',
        'Jeuno First Walk Elder Goobhue Scoop': 'A2BF',
        // Fafnir
        'Jeuno First Walk Ravaging Wind Great Whirlwind Initial': '9BC1',
        'Jeuno First Walk Biting Wind Great Whirlwind': '9BC2',
        'Jeuno First Walk Fafnir Dragon Breath': '9F6F',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Initial 1': '9F78',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Initial 2': '9F79',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Initial 3': '9F7A',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Initial 4': '9F7B',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Subsequent 1': '9F82',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Subsequent 2': '9F83',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Subsequent 3': '9F84',
        'Jeuno First Walk Fafnir Hurricane Wing Outer Subsequent 4': '9F85',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Initial 1': '9F7D',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Initial 2': '9F7E',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Initial 3': '9F7F',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Initial 4': '9F80',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Subsequent 1': '9F87',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Subsequent 2': '9F88',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Subsequent 3': '9F89',
        'Jeuno First Walk Fafnir Hurricane Wing Inner Subsequent 4': '9F8A',
        'Jeuno First Walk Ravaging Wind Great Whirlwind Pathing': '9F8B',
        'Jeuno First Walk Biting Wind Great Whirlwind Pathing': '9F8C',
        'Jeuno First Walk Fafnir Absolute Terror': '9F8E',
        'Jeuno First Walk Fafnir Winged Terror': '9F90',
        'Jeuno First Walk Fafnir Spike Flail': 'A09A',
        'Jeuno First Walk Fafnir Touchdown': 'A09C',
        // Post-Fafnir trash
        'Jeuno First Walk Groundskeeper Isle Drop': 'A2C6',
        'Jeuno First Walk Flamingo Wing Cutter': 'A2C8',
        'Jeuno First Walk Despot Scrapline': 'A1B1',
        'Jeuno First Walk Despot Isle Drop': 'A2E3',
        'Jeuno First Walk Despot Typhoon': 'A3AE',
        // Ark Angels
        'Jeuno First Walk Angels TT Guillotine Initial': 'A068',
        'Jeuno First Walk Angels TT Guillotine Final': 'A069',
        'Jeuno First Walk Angels MR Havoc Spiral': 'A06F',
        'Jeuno First Walk Angels MR Rampage Line': 'A073',
        'Jeuno First Walk Angels MR Rampage Circle': 'A075',
        'Jeuno First Walk Ark Angels GK Yukikaze': 'A079',
        'Jeuno First Walk Ark Angels GK Kasha': 'A07B',
        'Jeuno First Walk Ark Angels GK Concerted Dissolution': 'A07C',
        'Jeuno First Walk Ark Angels GK Lights Chain': 'A07D',
        'Jeuno First Walk Ark Angels HM Mighty Strikes': 'A081',
        'Jeuno First Walk Ark Angels HM Cross Reaver': 'A084',
        // Shadow Lord
        'Jeuno First Walk Shadow Lord Right Giga Slash Wide': '9F40',
        'Jeuno First Walk Shadow Lord Left Giga Slash Narrow': '9F41',
        'Jeuno First Walk Shadow Lord Implosion Left Chariot': '9F46',
        'Jeuno First Walk Shadow Lord Implosion Left Cleave': '9F47',
        'Jeuno First Walk Shadow Lord Implosion Right Chariot': '9F48',
        'Jeuno First Walk Shadow Lord Implosion Right Cleave': '9F49',
        'Jeuno First Walk Shadow Lord Burning Court': '9F4C',
        'Jeuno First Walk Shadow Lord Burning Moat': '9F4D',
        'Jeuno First Walk Shadow Lord Burning Keep': '9F4E',
        'Jeuno First Walk Shadow Lord Burning Battlements': '9F4F',
        'Jeuno First Walk Shadow Lord Umbra Smash Exalines': '9F54',
        'Jeuno First Walk Shadow Lord Umbra Smash 1': '9F5D',
        'Jeuno First Walk Shadow Lord Umbra Smash 2': '9F5E',
        'Jeuno First Walk Shadow Lord Umbra Smash 3': '9F5F',
        'Jeuno First Walk Shadow Lord Umbra Smash 4': '9F60',
        'Jeuno First Walk Shadow Lord Umbra Wave': '9F61',
        'Jeuno First Walk Shadow Lord Soul Binding': 'A22A',
        'Jeuno First Walk Shadow Lord Front Giga Slash Nightfall': 'A428',
        'Jeuno First Walk Shadow Lord Rear Giga Slash Nightfall': 'A429',
        'Jeuno First Walk Shadow Lord Left Giga Slash Nightfall Wide': 'A42B',
        'Jeuno First Walk Shadow Lord Right Giga Slash Nightfall Narrow': 'A42C',
        'Jeuno First Walk Shadow Lord Right Giga Slash Nightfall Wide': 'A42D',
        'Jeuno First Walk Shadow Lord Left Giga Slash Nightfall Narrow': 'A42E',
    },
    damageFail: {
        // Fafnir
        'Jeuno First Walk Fafnir Horrid Roar Puddles': '9F92',
        // Ark Angels
        'Jeuno First Walk TT Meteor': 'A08B',
        'Jeuno First Walk HM Critical Reaver': 'A13B', // Missed interrupt on HM
    },
    gainsEffectWarn: {
        // Prishe
        'Jeuno First Walk Prishe Thornbite': 'DBD',
        // Fafnir
        'Jeuno First Walk Fafnir Burns': 'BF9',
        // Post-Fafnir trash
        'Jeuno First Walk Sprinkler Blind': 'DA6',
        // Ark Angels
        'Jeuno First Walk Ark Angels GK Petrification': '5E7', // Gaze attack, Gekko
    },
    shareWarn: {
        // Prishe
        'Jeuno First Walk Prishe Holy': 'A003',
        // Fafnir
        'Jeuno First Walk Fafnir Horrid Roar Spread': '9F93',
        'Jeuno First Walk Fafnir Sharp Spike': '9F98',
        // Ark Angels
        'Jeuno First Walk Angels MR Cloudsplitter': 'A077',
        // Shadow Lord
        'Jeuno First Walk Shadow Lord Unbridled Rage': '9F68',
        'Jeuno First Walk Shadow Lord Dark Nova': 'A177', // Dark spread circles
    },
    soloWarn: {
        // Prishe
        'Jeuno First Walk Prishe Nullifying Dropkick': '9FFD',
        'Jeuno First Walk Asuran Fists 1': '9FFE',
        'Jeuno First Walk Asuran Fists 2': '9FFF',
        'Jeuno First Walk Asuran Fists Final': 'A000',
        // Fafnir
        'Jeuno First Walk Fafnir Baleful Breath Final': '9B76',
        'Jeuno First Walk Fafnir Baleful Breath Initial': '9F94',
        'Jeuno First Walk Fafnir Baleful Breath Interstitial': '9F95',
        // Ark Angels
        'Jeuno First Walk Ark Angels GK Dragonfall': 'A07F',
        'Jeuno First Walk Ark Angels EV Arrogance Incarnate': 'A088',
        // Shadow Lord
        'Jeuno First Walk Shadow Lord Impact 1': '9F58',
        'Jeuno First Walk Shadow Lord Impact 2': 'A096',
        'Jeuno First Walk Shadow Lord Impact 3': 'A097',
        'Jeuno First Walk Shadow Lord Echoes Of Agony': 'A3AC', // Multi-hit stack marker
    },
    triggers: [
        {
            id: 'Jeuno First Walk Prishe Auroral Uppercut Ring Out',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '9FF9', capture: true }),
            deathReason: (_data, matches) => {
                return {
                    id: matches.targetId,
                    name: matches.target,
                    text: {
                        en: 'Knocked off',
                        de: 'Runtergefallen',
                        fr: 'Renversé(e)',
                        ja: 'ノックバック',
                        cn: '击退坠落',
                        ko: '넉백',
                    },
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=jeuno-first-walk.js.map