import NetRegexes from '../../../../../resources/netregexes';
import ZoneId from '../../../../../resources/zone_id';
const triggerSet = {
    zoneId: ZoneId.TheStrayboroughDeadwalk,
    damageWarn: {
        'Strayborough Deadwalk Stray Memory Grievous Slash': '998A',
        'Strayborough Deadwalk Stray Memory Grim Remembrance': '998C',
        // Boss 1
        'Strayborough Deadwalk Leonogg Falling Nightmare': '8EB4',
        'Strayborough Deadwalk Little Noble Overattachment': '8EB7',
        'Strayborough Deadwalk Little Noble Falling Nightmare': '8EB8',
        'Strayborough Deadwalk Leonogg Evil Scheme 1': '9B03',
        'Strayborough Deadwalk Leonogg Evil Scheme 2': '9B04',
        'Strayborough Deadwalk Leonogg Looming Nightmare 1': '9B06',
        'Strayborough Deadwalk Leonogg Looming Nightmare 2': '9B07',
        'Strayborough Deadwalk Leonogg Scream': '8EB3',
        'Strayborough Deadwalk Stray Memory Trick And Treat': '9796',
        'Strayborough Deadwalk Stray Rascal Ancient Aero': '998E',
        'Strayborough Deadwalk Stray Tiger Rush': '9991',
        'Strayborough Deadwalk Stray Elephant Trunk Tawse': '998F',
        'Strayborough Deadwalk Skywheel Tilt-a-wheel': '998B',
        // Boss 2
        'Strayborough Deadwalk Stray Phantagenitrix Tricksome Treat': '8F70',
        'Strayborough Deadwalk Jack-in-the-pot Mad Tea Party': '8F74',
        'Strayborough Deadwalk Stray Doll Heat Gaze Cone': '9993',
        'Strayborough Deadwalk Stray Doll Heat Gaze Dynamo': '9994',
        'Strayborough Deadwalk Stray Glutton Dark Vomit': '9997',
        'Strayborough Deadwalk Stray Table Set Impact': '8A91',
        // Boss 3
        'Strayborough Deadwalk Träumerei Bitter Regret Middle': '9113',
        'Strayborough Deadwalk Träumerei Bitter Regret Sides': '9114',
        'Strayborough Deadwalk Träumerei Impact': '910D',
        'Strayborough Deadwalk Stray Phantagenitrix Bitter Regret': '91DC', // Small ghost line AoEs
    },
    gainsEffectWarn: {
        'Strayborough Deadwalk Stray Doll Terrifying Glance': '417', // Confused. Looking at the doll from within the gaze cone.
    },
    soloFail: {
        'Strayborough Deadwalk Träumerei Ghostcrusher Alone': '9117', // Stack laser
    },
    triggers: [
        {
            id: 'Strayborough Deadwalk Ill Intent',
            type: 'GainsEffect',
            netRegex: NetRegexes.gainsEffect({ effectId: '6FD', source: 'Stray Geist' }),
            mistake: (_data, matches) => {
                return {
                    type: 'warn',
                    blame: matches.target,
                    reportId: matches.targetId,
                    triggerType: 'GainsEffect',
                    text: {
                        en: 'Unstretched tether',
                        de: 'Verbindung nicht langgezogen',
                        fr: 'Lien non-étiré',
                        cn: '连线未拉至变色',
                        ko: '충분히 멀어지지 않음',
                    },
                };
            },
        },
        {
            id: 'Strayborough Deadwalk Ghostduster',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '911C', source: 'Träumerei' }),
            deathReason: (_data, matches) => {
                return {
                    type: 'fail',
                    id: matches.targetId,
                    name: matches.target,
                    triggerType: 'Ability',
                    text: matches.ability,
                };
            },
        },
        {
            id: 'Strayborough Deadwalk Fleshbuster',
            type: 'Ability',
            netRegex: NetRegexes.ability({ id: '911D', source: 'Träumerei' }),
            deathReason: (_data, matches) => {
                return {
                    type: 'fail',
                    id: matches.targetId,
                    name: matches.target,
                    triggerType: 'Ability',
                    text: matches.ability,
                };
            },
        },
    ],
};
export default triggerSet;
//# sourceMappingURL=strayborough-deadwalk.js.map