import { DeathReportData, OopsyMistake } from '../../types/oopsy';
import { TrackedEventType, TrackedLineEvent } from './player_state_tracker';
export type ParsedDeathReportLine = {
    timestamp: number;
    timestampStr: string;
    type: TrackedEventType;
    currentHp?: number;
    amount?: number;
    amountStr?: string;
    amountClass?: string;
    icon?: string;
    text?: string;
};
export declare class DeathReport {
    private lang;
    private baseTimestamp;
    deathTimestamp: number;
    targetId: string;
    targetName: string;
    private events;
    private parsedReportLines?;
    constructor(data: DeathReportData);
    static generateMistake(data: DeathReportData): OopsyMistake;
    makeRelativeTimeString(timestamp: number): string;
    parseReportLines(): ParsedDeathReportLine[];
    processGainsEffect(event: TrackedLineEvent): ParsedDeathReportLine;
    processLosesEffect(event: TrackedLineEvent): ParsedDeathReportLine;
    private processAbility;
    private processHoTDoT;
    private processMissedBuff;
    private processMistake;
    private processDeathReason;
}
