import { MissableAbility, MissableEffect } from './buff_map';
export type CollectedBuff = {
    timestamp: number;
    expireTimestamp: number;
    sourceId: string;
    buffName: string;
    targetIds: string[];
    splitLine: string[];
    buff: MissableAbility | MissableEffect;
    expireCallback: (timestamp: number) => void;
};
export type RequestTimestampCallback = (timestamp: number, callback: (timestamp: number) => void) => void;
type CollectedBuffCallback = (timestamp: number, buff: CollectedBuff) => void;
export declare class MissedBuffCollector {
    private requestTimestampCallback;
    private collectedBuffCallback;
    private buffs;
    constructor(requestTimestampCallback: RequestTimestampCallback, collectedBuffCallback: CollectedBuffCallback);
    ExpireBuffsIfNeeded(timestamp: number): void;
    OnAbilityBuff(splitLine: string[], buff: MissableAbility): void;
    OnEffectBuff(splitLine: string[], buff: MissableEffect): void;
    OnBuff(timestamp: number, splitLine: string[], buff: MissableAbility | MissableEffect, buffName: string, sourceId: string, targetId: string): void;
}
export {};
