import { BaseOptions } from '../../types/data';
import { LooseOopsyTriggerSet } from '../../types/oopsy';
import { PartyMemberParamObjectKeys, PartyTrackerOptions } from '../../types/party';
import { ZoneIdType } from '../../types/trigger';
export type DisabledTriggers = {
    [triggerId: string]: boolean;
};
export type TriggerAutoConfig = {
    enabled: boolean;
};
export type PerTriggerAutoConfig = {
    [triggerId: string]: TriggerAutoConfig;
};
type OopsyNonConfigOptions = {
    Triggers: LooseOopsyTriggerSet[];
    PlayerNicks: {
        [gameName: string]: string;
    };
    DisabledTriggers: DisabledTriggers;
    IgnoreContentTypes: number[];
    IgnoreZoneIds: ZoneIdType[];
    PerTriggerAutoConfig: PerTriggerAutoConfig;
};
export type DeathReportSide = 'left' | 'right' | 'disabled';
type OopsyConfigOptions = {
    DefaultPlayerLabel: PartyMemberParamObjectKeys;
    NumLiveListItemsInCombat: number;
    MinimumTimeForPullMistake: number;
    TimeToShowDeathReportMs: number;
    DeathReportSide: DeathReportSide;
    MinimumTimeForOverwrittenMit: number;
    MinimumTimeForOverwrittenDamage: number;
};
export interface OopsyOptions extends BaseOptions, OopsyNonConfigOptions, OopsyConfigOptions, PartyTrackerOptions {
}
declare const Options: OopsyOptions;
export default Options;
