import ContentType from '../../resources/content_type';
import UserConfig from '../../resources/user_config';
import ZoneId from '../../resources/zone_id';
const defaultOopsyNonConfigOptions = {
    Triggers: [],
    PlayerNicks: {},
    DisabledTriggers: {},
    IgnoreContentTypes: [
        ContentType.Pvp,
        ContentType.Eureka,
        ContentType.SaveTheQueen,
    ],
    IgnoreZoneIds: [
        // Bozja zones have an (unnamed) content type of 29 which also applies
        // to Delubrum Reginae (which we want oopsy on).  So, ignore by zone.
        ZoneId.TheBozjanSouthernFront,
        ZoneId.Zadnor,
    ],
    PerTriggerAutoConfig: {},
};
const defaultOopsyConfigOptions = {
    // TODO: support DefaultPlayerLabel in oopsy and add it to options
    DefaultPlayerLabel: 'nick',
    NumLiveListItemsInCombat: 5,
    MinimumTimeForPullMistake: 0.4,
    TimeToShowDeathReportMs: 4000,
    DeathReportSide: 'left',
    MinimumTimeForOverwrittenMit: 2,
    MinimumTimeForOverwrittenDamage: 2,
};
// See user/raidboss-example.js for documentation.
const Options = {
    ...UserConfig.getDefaultBaseOptions(),
    ...defaultOopsyNonConfigOptions,
    ...defaultOopsyConfigOptions,
};
export default Options;
//# sourceMappingURL=oopsy_options.js.map