import PartyTracker from '../../resources/party';
import { OopsyMistake } from '../../types/oopsy';
import { MistakeObserver, ViewEvent } from './mistake_observer';
import { OopsyOptions } from './oopsy_options';
type TableEntry = {
    count: number;
    elem: HTMLElement;
};
type TableRow = {
    nameElem: HTMLElement;
    entries: {
        [type: string]: TableEntry;
    };
};
export declare class OopsySummaryTable implements MistakeObserver {
    private table;
    private partyTracker;
    private mistakes?;
    private types;
    private sortCol;
    private sortAsc;
    constructor(table: HTMLElement, partyTracker: PartyTracker);
    Reset(): void;
    BuildHeaderRow(parent: HTMLElement): void;
    BuildPlayerRow(parent: HTMLElement, name: string): TableRow;
    OnMistakeObj(m: OopsyMistake): void;
    SortTable(): void;
    OnEvent(event: ViewEvent): void;
    OnSyncEvents(events: ViewEvent[]): void;
}
export declare class OopsySummaryList implements MistakeObserver {
    private options;
    private container;
    private partyTracker;
    private pullIdx;
    private zoneName?;
    private currentDiv;
    private baseTime?;
    constructor(options: OopsyOptions, container: HTMLElement, partyTracker: PartyTracker);
    Reset(): void;
    private GetTimeStr;
    private StartNewSectionIfNeeded;
    private EndSection;
    OnMistakeObj(timestamp: number, m: OopsyMistake): void;
    AddLine(m: OopsyMistake, iconClass: string, text: string, time: string): void;
    OnEvent(event: ViewEvent): void;
    OnSyncEvents(events: ViewEvent[]): void;
    StartEncounter(timestamp: number): void;
    OnChangeZone(zoneName: string): void;
}
export {};
