import { DirectionOutputCardinal } from '../../../../../resources/util';
import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
type BossKey = 'garuda' | 'ifrit' | 'titan' | 'ultima';
export interface Data extends RaidbossData {
    readonly triggerSetConfig: {
        gaolOrder1: string;
        gaolOrder2: string;
        gaolOrder3: string;
        gaolOrder4: string;
        gaolOrder5: string;
        gaolOrder6: string;
        gaolOrder7: string;
        gaolOrder8: string;
        gaolOrder9: string;
        gaolOrder10: string;
        gaolOrder11: string;
        gaolOrder12: string;
        gaolOrder13: string;
        gaolOrder14: string;
        gaolOrder15: string;
        gaolOrder16: string;
        gaolOrder17: string;
        gaolOrder18: string;
        gaolOrder19: string;
        gaolOrder20: string;
    };
    combatantData: PluginCombatantState[];
    phase: 'garuda' | 'ifrit' | 'titan' | 'intermission' | 'predation' | 'annihilation' | 'suppression' | 'finale';
    bossId: {
        [name in BossKey]?: string;
    };
    garudaAwoken: boolean;
    ifritAwoken: boolean;
    thermalLow: {
        [name: string]: number;
    };
    beyondLimits: Set<string>;
    slipstreamCount: number;
    nailAdds: NetMatches['AddedCombatant'][];
    nailDeaths: {
        [name: string]: NetMatches['Ability'];
    };
    nailDeathOrder: string[];
    nailDeathFirst8Dir?: number;
    nailDeathLast8Dir?: number;
    nailDeathRotationDir?: 'cw' | 'ccw';
    ifritUntargetableCount: number;
    seenTitanFirstJump: boolean;
    titanGaols: string[];
    seenTitanGaols?: boolean;
    lastTitanMove?: NetMatches['ActorMove'];
    titanBury: NetMatches['AddedCombatant'][];
    ifritRadiantPlumeLocations: DirectionOutputCardinal[];
    possibleIfritIDs: string[];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
