import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export interface Data extends RaidbossData {
    readonly triggerSetConfig: {
        heavensfallTowerPosition: 'disabled' | '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7';
    };
    currentPhase: number;
    hatch?: string[];
    doomCount?: number;
    dooms?: {
        [doomIdx: number]: string | null;
    };
    fireDebuff: boolean;
    iceDebuff: boolean;
    thunderDebuffs: string[];
    thunderOnYou: boolean;
    naelFireballCount: number;
    fireballs: {
        [fireballIdx: number]: string[];
    };
    tookThreeFireballs?: boolean;
    seenDragon: {
        [dragonName: string]: boolean;
    };
    naelDragons: number[];
    naelMarks?: string[];
    calledNaelDragons: boolean;
    wideThirdDive: boolean;
    unsafeThirdMark: boolean;
    naelDiveMarkerCount: number;
    trio?: 'quickmarch' | 'blackfire' | 'fellruin' | 'heavensfall' | 'tenstrike' | 'octet';
    trioSourceIds: {
        [name: string]: number;
    };
    combatantData: {
        [id: number]: NetMatches['ActorSetPos'];
    };
    heavensfallNaelAngle?: number;
    heavensfallTowerSpots: NetMatches['ActorSetPos'][];
    shakers: string[];
    megaStack: string[];
    octetMarker: string[];
    lastOctetMarker?: string;
    octetTwinDir: number;
    exaflareCount: number;
    akhMornCount: number;
    mornAfahCount: number;
}
export declare const isClockwise: (start: number, compare: number) => boolean;
export declare const modDistance: (mark: number, dragon: number) => number;
export declare const badSpots: (mark: number, dragon: number) => number[];
export declare const findDragonMarks: (array: number[]) => {
    wideThirdDive: boolean;
    unsafeThirdMark: boolean;
    marks: number[];
} | undefined;
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
