import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export interface Data extends RaidbossData {
    isDoorBoss?: boolean;
    decOffset?: number;
    tethers?: string[];
    stockedTethers?: string[];
    castCount?: number;
    junctionSuffix?: string;
    junctionCount?: number;
    formlessTargets?: string[];
    weightTargets?: string[];
    seenFirstBombs?: boolean;
    statueStacks: string[];
    statueTetherNumber?: number;
    statueIds?: number[];
    statueDir?: string;
    statueLaserCount?: number;
    smallLions?: NetMatches['AddedCombatant'][];
    phase?: 'basic' | 'intermediate' | 'advanced' | 'terminal';
    waterStacks: string[];
    seenInitialSpread?: boolean;
    seenInitialStacks?: boolean;
    basicDebuffs: NetMatches['GainsEffect'][];
    myBasicDebuff?: 'eye' | 'shortIce' | 'longIce' | 'shortFire' | 'longFire' | 'water';
    basicEyes: string[];
    intermediateDebuffs: {
        [name: string]: number;
    };
    intermediateDebuffsOutputKeys: string[];
    safeZone?: string;
    advancedDebuffs: NetMatches['GainsEffect'][];
    sorrows?: {
        [name: string]: number;
    };
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
