import { ConfigValue } from '../../../../../resources/user_config';
import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { TriggerSet } from '../../../../../types/trigger';
export type ConfigIds = 'uptimeKnockbackStrat';
export type MirrorColor = 'blue' | 'red' | 'green';
export type MirrorLoc = 'dirN' | 'dirNE' | 'dirE' | 'dirSE' | 'dirS' | 'dirSW' | 'dirW' | 'dirNW';
export type MirrorInfo = {
    color: MirrorColor;
    location: MirrorLoc;
};
type MirrorThreeDir = 'dirNW' | 'dirNE' | 'dirSW' | 'dirSE';
export interface Data extends RaidbossData {
    triggerSetConfig: {
        [key in ConfigIds]: ConfigValue;
    };
    combatantData: PluginCombatantState[];
    lightsteepedCount: {
        [name: string]: number;
    };
    mirrorMirrorCount: number;
    mirrors: MirrorInfo[];
    mirrorMap: {
        [loc in MirrorLoc]?: MirrorColor;
    };
    firstFrost?: 'biting' | 'driving';
    firstKick?: 'scythe' | 'axe';
    diamondFrostFreezeTargets: string[];
    diamondFrostStars: string[];
    calledIcicleImpact?: boolean;
    pathOfLightCounter: number;
    asunderSide?: 'east' | 'west';
    asunderCount: number;
    rushCount: number;
    akhMornTargets: string[];
    wyrmsLament: number;
    wyrmclawNumber?: number;
    wyrmfangNumber?: number;
    wyrmsLamentMirrorCount: number;
    mirrorThreeDirs: MirrorThreeDir[];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
