import { ConfigValue } from '../../../../../resources/user_config';
import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
export type ConfigIds = 'cactbotWormholeStrat';
export interface Data extends RaidbossData {
    triggerSetConfig: {
        [key in ConfigIds]: ConfigValue;
    };
    phase?: string;
    decOffset?: number;
    nisiMap?: {
        [name: string]: number;
    };
    finalNisiMap?: {
        [name: string]: number;
    };
    swingCount?: number;
    handOfPainCount?: number;
    liquidTank?: string;
    handTank?: string;
    bruteTank?: string;
    cruiseTank?: string;
    puddle?: number;
    enumerations?: string[];
    buffMap?: {
        [name: string]: string;
    };
    tetherBois?: {
        [id: string]: string;
    };
    vuln?: {
        [name: string]: boolean;
    };
    limitCutNumber?: number;
    limitCutDelay?: number;
    seenGavel?: boolean;
    opticalStack?: string[];
    alphaSolidarity?: string;
    alphaDefamation?: string;
    alphaSeverity?: (string | undefined)[];
    alphaNoDebuff?: (string | undefined)[];
    firstAlphaOrdainedText?: string;
    secondAlphaOrdainedText?: string;
    safeAlphaIdx?: number;
    safeAlphaPos?: string[];
    betaBait?: (string | undefined)[];
    betaJumps?: (string | undefined)[];
    betaIndex?: number;
    radiantSourceId?: string;
    radiantOutputStringKey?: string;
    betaIsOpticalStack?: boolean;
    trine?: string[];
    secondTrineResponse?: string;
    trineLocations?: (number[] | undefined)[];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
