import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export interface Data extends RaidbossData {
    combatantData: PluginCombatantState[];
    ketuSpringCrystalCount: number;
    ketuCrystalAdd: NetMatches['AddedCombatant'][];
    ketuHydroBuffCount: number;
    ketuHydroBuffIsSpreadFirst?: boolean;
    ketuHydroBuffIsRoleStacks?: boolean;
    ketuBuff?: 'bubble' | 'fetters';
    ketuBuffPartner?: string;
    ketuBuffCollect: NetMatches['GainsEffect'][];
    ketuStackTargets: string[];
    ketuTwintidesNext?: 'out' | 'in';
    lalaBossRotation?: 'clock' | 'counter';
    lalaBossTimes?: 3 | 5;
    lalaBossInitialSafe?: 'north' | 'east' | 'south' | 'west';
    lalaUnseen?: 'front' | 'left' | 'right' | 'back';
    lalaPlayerTimes?: 3 | 5;
    lalaPlayerRotation?: 'clock' | 'counter';
    lalaSubAlpha: NetMatches['GainsEffect'][];
    staticeBullet: NetMatches['Ability'][];
    staticeTriggerHappy?: number;
    staticePopTriggerHappyNum?: number;
    staticeTrapshooting: ('stack' | 'spread' | undefined)[];
    staticeDart: NetMatches['GainsEffect'][];
    staticePresentBoxCount: number;
    staticeMissileCollect: NetMatches['AddedCombatant'][];
    staticeMissileIdToDir: {
        [id: string]: number;
    };
    staticeMissileTether: NetMatches['Tether'][];
    staticeClawTether: NetMatches['Tether'][];
    staticeIsPinwheelingDartboard?: boolean;
    staticeHomingColor?: 'blue' | 'yellow' | 'red';
    staticeDartboardTether: NetMatches['HeadMarker'][];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
