import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
type RousingTower = {
    blue?: string;
    orange?: string;
};
declare const mokoVfxMap: {
    readonly '24C': "backRed";
    readonly '24D': "leftRed";
    readonly '24E': "frontRed";
    readonly '24F': "rightRed";
    readonly '250': "backBlue";
    readonly '251': "leftBlue";
    readonly '252': "frontBlue";
    readonly '253': "rightBlue";
};
type KasumiGiri = typeof mokoVfxMap[keyof typeof mokoVfxMap];
declare const shadowVfxMap: {
    readonly '248': "back";
    readonly '249': "left";
    readonly '24A': "front";
    readonly '24B': "right";
};
type ShadowKasumiGiri = typeof shadowVfxMap[keyof typeof shadowVfxMap];
type StackPartners = 'melee' | 'role' | 'partner' | 'unknown';
type StackSpreadMechanic = StackPartners | 'spread';
export interface Data extends RaidbossData {
    readonly triggerSetConfig: {
        stackOrder: 'meleeRolesPartners' | 'rolesPartners';
    };
    stackSpreadFirstMechanic?: StackSpreadMechanic;
    stackSpreadSecondMechanic?: StackSpreadMechanic;
    combatantData: PluginCombatantState[];
    seenShishuYukiAuto?: boolean;
    smokeaterCount: number;
    rairinCollect: NetMatches['AddedCombatant'][];
    wailingCollect: NetMatches['GainsEffect'][];
    wailCount: number;
    devilishThrallCollect: NetMatches['StartsUsing'][];
    vortexSecondMechanic?: 'in' | 'out';
    reishoCount: number;
    ghostHeadmarkers: NetMatches['HeadMarker'][];
    ghostMechanic?: 'spread' | 'tower';
    sparksCollect: NetMatches['GainsEffect'][];
    sparksCount: number;
    rousingCollect: [RousingTower, RousingTower, RousingTower, RousingTower];
    rousingTowerCount: number;
    malformedCollect: NetMatches['GainsEffect'][];
    myMalformedEffects: string[];
    tripleKasumiCollect: KasumiGiri[];
    explosionLineCollect: NetMatches['MapEffect'][];
    shadowKasumiCollect: {
        [shadowId: string]: ShadowKasumiGiri[];
    };
    shadowKasumiTether: {
        [shadowId: string]: string;
    };
    oniClaw?: 'northSouth' | 'eastWest';
    invocationCollect: NetMatches['GainsEffect'][];
    iaigiriTether: NetMatches['Tether'][];
    iaigiriPurple: NetMatches['GainsEffect'][];
    iaigiriCasts: NetMatches['StartsUsing'][];
    myAccursedEdge?: NetMatches['Ability'];
    myIaigiriTether?: NetMatches['Tether'];
    seenSoldiersOfDeath?: boolean;
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
