import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export type Visage = {
    gold: number;
    silver: number;
};
export interface Data extends RaidbossData {
    suds?: string;
    puffCounter: number;
    silkenPuffs: {
        [id: string]: {
            effect: string;
            location: string;
            x: number;
            y: number;
        };
    };
    freshPuff2SafeAlert?: string;
    soapCounter: number;
    beaterCounter: number;
    spreeCounter: number;
    mightCasts: NetMatches['StartsUsing'][];
    hasLingering?: boolean;
    isCurseSpreadFirst?: boolean;
    thunderousEchoPlayer?: string;
    myVisage: Visage;
    visageMap: {
        [squareId: number]: Visage;
    };
    screamOfTheFallen: {
        [player: string]: string;
    };
    arcaneFontCounter: number;
    myFlame?: number;
    brandEffects: {
        [effectId: number]: string;
    };
    brandCounter: number;
    myLastCut?: number;
    firstColorCut?: 'orange' | 'blue';
    flamesCutCounter: number;
    waveCounter: number;
}
export declare const headingTo4Dir: (heading: number) => number;
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
