import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
declare const sealMap: {
    readonly '837A': "fire";
    readonly '837B': "wind";
    readonly '837C': "thunder";
    readonly '837D': "rain";
};
type Seal = typeof sealMap[keyof typeof sealMap];
declare const mokoVfxMap: {
    readonly '248': "back";
    readonly '249': "left";
    readonly '24A': "front";
    readonly '24B': "right";
};
type KasumiGiri = typeof mokoVfxMap[keyof typeof mokoVfxMap];
export interface Data extends RaidbossData {
    combatantData: PluginCombatantState[];
    yozakuraSeal: Seal[];
    yozakuraTatami: string[];
    isDoubleKasumiGiri?: boolean;
    firstKasumiGiri?: KasumiGiri;
    goraiSummon?: NetMatches['StartsUsing'];
    enenraPipeCleanerCollect: string[];
    devilishThrallCollect: NetMatches['StartsUsing'][];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
