import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export declare const directions: readonly ["NW", "NE", "SE", "SW"];
export type IntercardDir = typeof directions[number];
export interface Data extends RaidbossData {
    target?: string;
    topazClusterCombatantIdToAbilityId: {
        [id: number]: string;
    };
    topazRays: {
        [time: number]: IntercardDir[];
    };
    clawCount: number;
    ruby1TopazStones: NetMatches['Ability'][];
    isRuby1Done: boolean;
}
export declare const convertCoordinatesToDirection: (x: number, y: number) => IntercardDir;
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
