import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { NetMatches } from '../../../../../types/net_matches';
import { Output, OutputStrings, TriggerSet } from '../../../../../types/trigger';
export type Mechanic = 'aoe' | 'donut' | 'safeN' | 'safeE' | 'safeS' | 'safeW' | 'unknown';
export declare const echoesOutputStrings: {
    readonly stack: {
        readonly en: "Stack on YOU";
        readonly de: "Auf DIR sammeln";
        readonly fr: "Package sur VOUS";
        readonly ja: "自分に頭割り";
        readonly cn: "分摊点名";
        readonly ko: "쉐어징 대상자";
    };
    readonly donut: {
        readonly en: "Stack Donut";
        readonly de: "Sammeln Donut";
        readonly fr: "Packez-vous, donut";
        readonly ja: "頭割り";
        readonly cn: "集合放月环";
        readonly ko: "도넛 장판, 쉐어";
    };
    readonly spread: {
        readonly en: "Spread";
        readonly de: "Verteilen";
        readonly fr: "Dispersez-vous";
        readonly ja: "さんかい";
        readonly cn: "分散";
        readonly ko: "산개";
    };
    readonly flare: {
        readonly en: "Flare";
        readonly de: "Flare";
        readonly fr: "Brasier";
        readonly ja: "フレア";
        readonly cn: "核爆";
        readonly ko: "플레어";
    };
};
export declare const headDir: {
    readonly ne: 1;
    readonly se: 3;
    readonly sw: 5;
    readonly nw: 7;
    readonly none: 0;
};
export interface Data extends RaidbossData {
    combatantData: PluginCombatantState[];
    diairesisId?: string;
    headPhase?: 5 | 6;
    starMechanicCounter: number;
    storedHeads: {
        [id: string]: {
            state: PluginCombatantState;
            mechanics: Mechanic[];
        };
    };
    rewindHeads: {
        [id: string]: {
            state: PluginCombatantState;
            mechanic: string;
        };
    };
    storedMechs: {
        1?: keyof typeof echoesOutputStrings;
        2?: keyof typeof echoesOutputStrings;
        3?: keyof typeof echoesOutputStrings;
        counter: 1 | 2 | 3;
    };
    elenchosCount: number;
}
export declare const orbOutputStrings: OutputStrings;
export declare const get5HeadSafeDir: (posX: number, posY: number, output: Output) => string | undefined;
export declare const getKBOrbSafeDir: (posX: number, posY: number, output: Output, head8Dir?: number) => string | undefined;
export declare const getAoEOrbSafeDir: (posX: number, posY: number, output: Output, head8Dir?: number) => string | undefined;
export declare const getStarPositionFromHeading: (heading: string) => number[];
export declare const getStarText: (head8Dir: number | undefined, matches: NetMatches['Ability' | 'StartsUsing'], output: Output) => string | undefined;
export type ElenchosCombo = 'solo' | 'towers' | 'stacks';
export declare const elenchosComboMap: {
    [key: number]: ElenchosCombo;
};
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
