import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
/**
Map Effects

Locations/Slots:
00 = Arena visual
02 = Middle ring
04 = Flamerake "compass"
05-0C = Cardinals/intercardinals [N,NE...NW] - *starting* direction of Ordeal of Purgation

00 flags:
00020001 = Fiery
00080004 = Clear fiery
00200010 = Rocky terrain after boss death

02 flags:
00020001 = Arrows rotating CW
00080004 = Clear CW arrows
00200010 = Arrows rotating CCW
00400004 = Clear CCW arrows

04 flags:  **WIP**
00100010 = cleaves NW/SE (vfx starts from NW)
01000100 = cleaves NW/SE (vfx starts from SE - otherwise same as above)
00020002 = cleaves E/W (vfx starts from W)
00800080 = cleaves E/W (vfx starts from E - otherwise same as above)
00080004 = clear indicator

05-0C flags:
00010004 = initial telegraph - straight line in given direction
00020004 = initial telegraph - CW jagged line (turns 1 dir CW from starting direction) (only used for Purg 2)
00080004 = initial telegraph - CCW jagged line (turns 1 dir CCW from starting direction) (only used for Purg 2)
00800004 = clear telegraph of fire line
00100004 = fire pulse - straight line in given direction
00200004 = fire pulse - CW jagged line (turns 1 dir CW from starting direction) (paired with CCW arrows)
00400004 = fire pulse - CCW jagged line (turns 1 dir CCW from starting direction) (paired with CW arrows)
 */
export interface Data extends RaidbossData {
    purgation: number;
    purgationLoc?: string;
    purgationLine?: string;
    purgationMidRotate?: string;
    dualfireTarget: boolean;
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
