import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export interface Data extends RaidbossData {
    activeSigils: {
        x: number;
        y: number;
        typeId: string;
        npcId: string;
    }[];
    activeFrontSigils: {
        x: number;
        y: number;
        typeId: string;
        npcId: string;
    }[];
    paradeigmaCounter: number;
    seenAdikia: boolean;
    styxCount: number;
    eclipseFlags: string[];
    eclipseExplosionCount: number;
    paradeigmaCollect: NetMatches['MapEffect'][];
    lastSigilDir?: 'north' | 'east' | 'south' | 'west';
    prevGreenSigil?: 'sides' | 'middle';
}
export declare const mapEffectLoc: {
    readonly firebar: "05";
    readonly astralEclipse1: "06";
    readonly astralEclipse2: "07";
    readonly astralEclipse3: "08";
    readonly behemothNW: "09";
    readonly behemothNE: "0A";
    readonly behemothSW: "0B";
    readonly behemothSE: "0C";
    readonly snakesNorthOutsideWest: "0D";
    readonly snakesNorthOutsideEast: "0E";
    readonly snakesSouthOutsideWest: "0F";
    readonly snakesSouthOutsideEast: "10";
    readonly snakesWestOutsideNorth: "11";
    readonly snakesWestOutsideSouth: "12";
    readonly snakesEastOutsideNorth: "13";
    readonly snakesEastOutsideSouth: "14";
    readonly birdNW: "15";
    readonly birdNE: "16";
    readonly birdSW: "17";
    readonly birdSE: "18";
};
export type MapEffectKey = keyof typeof mapEffectLoc;
export type MapEffectVal = typeof mapEffectLoc[MapEffectKey];
export declare const clockwiseMap: Record<MapEffectVal, MapEffectVal>;
export declare const counterclockwiseMap: Record<MapEffectVal, MapEffectVal>;
export declare const firebarSWToNEFlags = "00020001";
export declare const firebarSEToNWFlags = "00400020";
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
