import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { TriggerSet } from '../../../../../types/trigger';
type Phase = 'doorboss' | 'thordan' | 'nidhogg' | 'haurchefant' | 'thordan2' | 'nidhogg2' | 'dragon-king';
declare const playstationMarkers: readonly ["circle", "cross", "triangle", "square"];
type PlaystationMarker = typeof playstationMarkers[number];
export interface Data extends RaidbossData {
    combatantData: PluginCombatantState[];
    phase: Phase;
    decOffset?: number;
    seenEmptyDimension?: boolean;
    adelphelId?: string;
    firstAdelphelJump: boolean;
    adelphelDir?: number;
    brightwingCounter: number;
    spiralThrustSafeZones?: number[];
    sanctityWardDir?: string;
    sanctitySword1?: string;
    sanctitySword2?: string;
    thordanMeteorMarkers: string[];
    diveFromGraceNum: {
        [name: string]: number;
    };
    diveFromGraceHasArrow: {
        [num: number]: boolean;
    };
    diveFromGraceDir: {
        [name: string]: 'circle' | 'up' | 'down';
    };
    diveFromGraceLashGnashKey: 'in' | 'out' | 'unknown';
    diveFromGracePositions: {
        [name: string]: number;
    };
    diveFromGraceTowerCounter?: number;
    eyeOfTheTyrantCounter: number;
    diveFromGracePreviousPosition: {
        [num: string]: 'middle' | 'west' | 'east';
    };
    waitingForGeirskogul?: boolean;
    stackAfterGeirskogul?: boolean;
    diveCounter: number;
    thunderstruck: string[];
    hasDoom: {
        [name: string]: boolean;
    };
    deathMarker: {
        [name: string]: PlaystationMarker;
    };
    addsPhaseNidhoggId?: string;
    hraesvelgrGlowing?: boolean;
    nidhoggGlowing?: boolean;
    hallowedWingsCount: number;
    spreadingFlame: string[];
    entangledFlame: string[];
    mortalVowPlayer?: string;
    firstGigaflare?: number[];
    secondGigaflare?: number[];
    centerGigaflare?: number[];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
