import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
type HerpeDir = 'cleaveRight' | 'cleaveLeft' | 'cleaveRear';
type DeceiverTurret = 'farNorth' | 'middleNorth' | 'middleSouth' | 'farSouth';
type TurretSafeTracker = {
    east: DeceiverTurret[];
    west: DeceiverTurret[];
};
declare const psychoKinesisSafeDirs: readonly ["north", "middle", "south"];
type PsychoKinesisDir = typeof psychoKinesisSafeDirs[number];
export interface Data extends RaidbossData {
    herpeSweeps: HerpeDir[];
    seenFirstDroids: boolean;
    nextTurretSide?: 'east' | 'west';
    turretSafe: TurretSafeTracker;
    psychokinesisSafe: PsychoKinesisDir[];
    seenFirstCages: boolean;
    seenFirstPsychokineticCharge: boolean;
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
