import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
declare const yeheheCleaveToSafe: readonly ["back", "left", "front", "right"];
type YeheheDir = typeof yeheheCleaveToSafe[number] | 'unknown';
declare const enum TtokSafeSpots {
    None = 0,
    All = 4095,
    Left = 2340,
    Right = 585,
    Middle = 1170,
    In = 504,
    Out = 3591,
    Front = 4032,
    Back = 63,
    FrontCleave = 3071,
    BackCleave = 4093,
    FR_BL = 612,
    FL_BR = 2313,
    InRight = 72,
    InLeft = 288
}
type Point = {
    x: number;
    y: number;
};
export interface Data extends RaidbossData {
    yeheheTurnBuffs: number[];
    yeheheSecondSafeDir?: YeheheDir;
    ttokSandOrbs: Point[];
    ttokSandOrbPatterns: TtokSafeSpots[];
    ttokSandOrbsLastSeenTimestamp: number;
    ttokSandOrbSets: number;
    ttokSandOrbOnSet: number;
    ttokRotated: number;
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
