import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export interface Data extends RaidbossData {
    lastPawprintTarget?: string;
    actorSetPosTracker: {
        [id: string]: NetMatches['ActorSetPos'];
    };
    mouserMatchedTile?: (typeof mapEffectData)[keyof typeof mapEffectData]['location'];
    storedLeaps: {
        oneTwoPaw: {
            leftRight?: 'left' | 'right';
            northSouth?: 'north' | 'south';
            firstCleaveSide?: 'left' | 'right';
            resolved?: true;
        };
        quadCross: {
            leftRight?: 'left' | 'right';
            northSouth?: 'north' | 'south';
            resolved?: true;
        };
    };
}
declare const mapEffectData: {
    readonly '00': {
        readonly cracked: "00020001";
        readonly clear: "00040004";
        readonly quickRebuid: "00080004";
        readonly broken: "00200010";
        readonly refreshing: "00800004";
        readonly rebuilding: "01000004";
        readonly location: "00";
        readonly centerX: 85;
        readonly centerY: 85;
    };
    readonly '03': {
        readonly cracked: "00020001";
        readonly clear: "00040004";
        readonly quickRebuid: "00080004";
        readonly broken: "00200010";
        readonly refreshing: "00800004";
        readonly rebuilding: "01000004";
        readonly location: "03";
        readonly centerX: 115;
        readonly centerY: 85;
    };
    readonly '09': {
        readonly cracked: "00020001";
        readonly clear: "00040004";
        readonly quickRebuid: "00080004";
        readonly broken: "00200010";
        readonly refreshing: "00800004";
        readonly rebuilding: "01000004";
        readonly location: "09";
        readonly centerX: 95;
        readonly centerY: 105;
    };
    readonly '0A': {
        readonly cracked: "00020001";
        readonly clear: "00040004";
        readonly quickRebuid: "00080004";
        readonly broken: "00200010";
        readonly refreshing: "00800004";
        readonly rebuilding: "01000004";
        readonly location: "0A";
        readonly centerX: 105;
        readonly centerY: 105;
    };
};
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
