import { RaidbossData } from '../../../../../types/data';
import { PluginCombatantState } from '../../../../../types/event';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
declare const effectB9AMap: {
    readonly orangeDiamondFront: "2D3";
    readonly blueCircleBack: "2D4";
};
type B9AMapKeys = keyof typeof effectB9AMap;
type B9AMapValues = typeof effectB9AMap[B9AMapKeys];
type StoredCleave = {
    id: number;
    dir: 'left' | 'right';
};
export interface Data extends RaidbossData {
    expectedBlasts: 0 | 3 | 4 | 5;
    storedBlasts: B9AMapValues[];
    expectedCleaves: 1 | 5;
    storedCleaves: StoredCleave[];
    actors: PluginCombatantState[];
    sidewiseSparkCounter: number;
    storedWitchHuntCast?: NetMatches['StartsUsingExtra'];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
