import { DirectionOutput8, DirectionOutputIntercard } from '../../../../../resources/util';
import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
type Phase = 'door' | 'crosstail' | 'twilight' | 'midnight' | 'sunrise';
type NearFar = 'near' | 'far';
type InOut = 'in' | 'out';
type NorthSouth = 'north' | 'south';
type LeftRight = 'left' | 'right';
type CondenserMap = {
    long: string[];
    short: string[];
};
type AetherialEffect = 'iceRight' | 'iceLeft' | 'fireRight' | 'fireLeft';
type MidnightState = 'gun' | 'wings';
type IonClusterDebuff = 'yellowShort' | 'yellowLong' | 'blueShort' | 'blueLong';
type SunriseCardinalPair = 'northSouth' | 'eastWest';
type ReplicaData = {
    [id: string]: {
        location?: DirectionOutput8;
        cardinalFacing?: 'opposite' | 'adjacent';
        cannonColor?: 'yellow' | 'blue';
    };
};
export interface Data extends RaidbossData {
    readonly triggerSetConfig: {
        ionCluster: 'none' | 'DN';
        witchHunt: 'none' | 'DN';
        sunrise: 'none' | 'snakePrio';
        sunriseUptime: true | false;
    };
    phase: Phase;
    bewitchingBurstSafe?: InOut;
    hasForkedLightning: boolean;
    seenBasicWitchHunt: boolean;
    witchHuntBait?: NearFar;
    witchHuntAoESafe?: InOut;
    witchGleamCount: number;
    electromines: {
        [id: string]: DirectionOutputIntercard;
    };
    electrominesSafe: DirectionOutputIntercard[];
    starEffect?: 'partners' | 'spread';
    witchgleamSelfCount: number;
    condenserTimer?: 'short' | 'long';
    condenserMap: CondenserMap;
    electronStreamSafe?: 'yellow' | 'blue';
    electronStreamSide?: NorthSouth;
    seenConductorDebuffs: boolean;
    fulminousFieldCount: number;
    conductionPointTargets: string[];
    replicas: ReplicaData;
    mustardBombTargets: string[];
    kindlingCauldronTargets: string[];
    aetherialEffect?: AetherialEffect;
    twilightSafeFirst: DirectionOutputIntercard[];
    twilightSafeSecond: DirectionOutputIntercard[];
    replicaCleaveCount: number;
    secondTwilightCleaveSafe?: DirectionOutputIntercard;
    midnightCardFirst?: boolean;
    midnightFirstAdds?: MidnightState;
    midnightSecondAdds?: MidnightState;
    ionClusterDebuff?: IonClusterDebuff;
    sunriseCannons: string[];
    sunriseCloneToWatch?: string;
    sunriseTowerSpots?: SunriseCardinalPair;
    seenFirstSunrise: boolean;
    rainingSwords: {
        mySide?: LeftRight;
        tetherCount: number;
        firstActorId: number;
        left: number[][];
        right: number[][];
    };
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
