import { RaidbossData } from '../../../../../types/data';
import { NetMatches } from '../../../../../types/net_matches';
import { TriggerSet } from '../../../../../types/trigger';
export interface Data extends RaidbossData {
    actorSetPosTracker: {
        [id: string]: NetMatches['ActorSetPos'];
    };
    lastDoubleStyle?: DoubleStyleEntry;
    tetherTracker: {
        [id: string]: NetMatches['Tether'];
    };
    colorRiotTint?: 'warm' | 'cool';
}
type DoubleStyleActors = 'bomb' | 'wing' | 'succ' | 'marl';
type DoubleStyleEntry = {
    red: DoubleStyleActors;
    blue: DoubleStyleActors;
    count: number;
};
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
