import { DirectionOutputCardinal } from '../../../../../resources/util';
import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
type CoronationLaser = {
    dir: Exclude<DirectionOutputCardinal, 'unknown'>;
    side: Exclude<DirectionOutputCardinal, 'unknown'>;
    name: string;
};
export interface Data extends RaidbossData {
    actorPositions: {
        [id: string]: {
            x: number;
            y: number;
        };
    };
    windKnockbackDir?: 'left' | 'right';
    phase: 'p1' | 'wind' | 'earth' | 'ice' | 'p2';
    gravitationalEmpireMech: 'tower' | 'spread' | 'cone';
    absoluteAuthorityDebuff: 'stack' | 'spread';
    radicalShiftCWPlatform?: 'wind' | 'earth' | 'ice';
    radicalShiftCCWPlatform?: 'wind' | 'earth' | 'ice';
    coronationLasers: CoronationLaser[];
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
