import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
declare const phases: {
    readonly A8B5: "adds";
    readonly A8CD: "phase2";
    readonly A8B9: "bloom1";
    readonly AA14: "bloom2";
    readonly AA15: "bloom3";
    readonly AA16: "bloom4";
    readonly AA17: "bloom5";
    readonly AA18: "bloom6";
};
type Phase = (typeof phases)[keyof typeof phases] | 'phase1' | 'unknown';
declare const tileLocs: readonly ["NNE", "ENE", "ESE", "SSE", "SSW", "WSW", "WNW", "NNW"];
type TileLocsType = (typeof tileLocs)[number];
declare const tileInnerOuter: readonly ["Inner", "Outer"];
type TileInnerOuterType = (typeof tileInnerOuter)[number];
type MapEffectTile = `bloomTile${TileInnerOuterType}${TileLocsType}`;
export interface Data extends RaidbossData {
    phase: Phase;
    tileState: {
        [loc in MapEffectTile]: 'unknown' | 'red' | 'grey';
    };
    escelonFallBaits: ('near' | 'far')[];
    bloom1StartDir?: number;
    bloom4RoseDirNorth: boolean;
    bloom5FirstDirSafe: 'dirNE' | 'dirNW' | 'dirSE' | 'dirSW' | 'unknown';
    bloom5SecondDirSafe: 'dirNE' | 'dirNW' | 'dirSE' | 'dirSW' | 'unknown';
    bloom6Rose: boolean;
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
