import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
type Phase = 'arena' | 'swords' | 'lines' | 'knockaround';
declare const tileNames: readonly ["northCorner", "northwestNorth", "northeastNorth", "northwestWest", "insideNorth", "northeastEast", "westCorner", "insideWest", "insideEast", "eastCorner", "southwestWest", "insideSouth", "southeastEast", "southwestSouth", "southeastSouth", "southCorner"];
type TileName = typeof tileNames[number] | 'unknown';
declare const quadrantNames: readonly ["north", "east", "south", "west"];
type QuadrantName = typeof quadrantNames[number];
declare const knockPlatforms: readonly ["northwest", "northeast", "southwest", "southeast"];
type Intercard = typeof knockPlatforms[number];
type FireWindSetup = 'fireInside' | 'fireOutside';
type LineCleaveSetup = 'seCross' | 'swCross';
export interface Data extends RaidbossData {
    readonly triggerSetConfig: {
        chasmVollokPriority: 'inside' | 'north' | 'south' | 'northSouth';
    };
    phase: Phase;
    unsafeTiles: TileName[];
    forgedTrackSafeTiles: TileName[];
    fireWindSetup?: FireWindSetup;
    lineCleaveSetup?: LineCleaveSetup;
    fireWindEffect?: 'fire' | 'wind';
    fireWindSafeDir?: Intercard;
    drumTargets: string[];
    drumFar: boolean;
    knockPlatform?: Intercard;
    unsafeQuadrants: QuadrantName[];
    cantTakeTornadoJump: boolean;
    halfCircuitSafeSide?: 'left' | 'right';
    seenHalfCircuit: boolean;
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
