import { RaidbossData } from '../../../../../types/data';
import { TriggerSet } from '../../../../../types/trigger';
declare const syncPlatforms: readonly ["northwest", "northeast", "southwest", "southeast"];
type Platform = typeof syncPlatforms[number] | 'none';
declare const tileNames: readonly ["northCorner", "northwestNorth", "northeastNorth", "northwestWest", "insideNorth", "northeastEast", "westCorner", "insideWest", "insideEast", "eastCorner", "southwestWest", "insideSouth", "southeastEast", "southwestSouth", "southeastSouth", "southCorner"];
type TileName = typeof tileNames[number] | 'unknown';
type MappedTile = {
    tile: TileName;
    from: Platform;
};
export interface Data extends RaidbossData {
    bitterReapingTargets: string[];
    seenFirstSync: boolean;
    unsafeTiles: MappedTile[];
    halfCircuitSafeSide?: 'left' | 'right';
}
declare const triggerSet: TriggerSet<Data>;
export default triggerSet;
