import { Lang } from '../../../resources/languages';
import { CactbotBaseRegExp, CactbotRegExpExecArray, TriggerTypes } from '../../../types/net_trigger';
export type DataType = {
    [key: string]: any;
} | null;
export type MatchStartInfo = {
    StartIn: string;
    StartType: string;
    language?: string | undefined;
};
export type MatchEndInfo = {
    EndType: string;
    language?: string | undefined;
};
export declare const querySelectorSafe: (node: ParentNode, sel: string) => HTMLElement;
export declare const querySelectorAllSafe: (node: ParentNode, sel: string) => HTMLElement[];
export declare const getTemplateChild: (node: ParentNode, sel: string) => HTMLElement;
export declare const cloneSafe: (node: HTMLElement) => HTMLElement;
export default class EmulatorCommon {
    static cloneData(data: DataType, exclude?: string[]): DataType;
    static _cloneData(data: DataType): DataType;
    static doesLineMatch<T extends TriggerTypes>(line: string, regexes: Record<Lang, RegExp> | RegExp | CactbotBaseRegExp<T>): RegExpExecArray | CactbotRegExpExecArray<T> | null;
    static matchStart(line: string): MatchStartInfo | undefined;
    static matchEnd(line: string): MatchEndInfo | undefined;
    static sealRegexes: Record<"en" | "de" | "fr" | "ja" | "cn" | "ko", RegExp>;
    static engageRegexes: Record<"en" | "de" | "fr" | "ja" | "cn" | "ko", RegExp>;
    static countdownRegexes: Record<"en" | "de" | "fr" | "ja" | "cn" | "ko", RegExp>;
    static unsealRegexes: Record<"en" | "de" | "fr" | "ja" | "cn" | "ko", RegExp>;
    static wipeRegex: CactbotBaseRegExp<"ActorControl">;
    static winRegex: CactbotBaseRegExp<"ActorControl">;
    static cactbotWipeRegex: CactbotBaseRegExp<"GameLog">;
}
