import { Lang } from '../../../../resources/languages';
import Combatant from './Combatant';
import CombatantState from './CombatantState';
import LineEvent, { LineEventSource, LineEventTarget } from './network_log_converter/LineEvent';
import { LineEvent0x105 } from './network_log_converter/LineEvent0x105';
export default class CombatantTracker {
    language: Lang;
    firstTimestamp: number;
    lastTimestamp: number;
    combatants: {
        [id: string]: Combatant;
    };
    partyMembers: string[];
    enemies: string[];
    others: string[];
    pets: string[];
    mainCombatantID?: string;
    constructor(logLines: LineEvent[], language: Lang);
    initialize(logLines: LineEvent[]): void;
    addCombatantFromCombatantMemoryLine(line: LineEvent0x105): void;
    addCombatantFromSourceLine(line: LineEventSource, extractedState: Partial<CombatantState>): void;
    addCombatantFromTargetLine(line: LineEventTarget, extractedState: Partial<CombatantState>): void;
    extractStateFromLine(line: LineEventSource): Partial<CombatantState>;
    extractStateFromTargetLine(line: LineEventTarget): Partial<CombatantState>;
    initCombatant(id: string): Combatant;
    getMainCombatantName(): string;
}
