import { Lang } from '../../../../resources/languages';
import CombatantTracker from './CombatantTracker';
import LineEvent from './network_log_converter/LineEvent';
export default class Encounter {
    encounterDay: string;
    encounterZoneId: string;
    encounterZoneName: string;
    logLines: LineEvent[];
    private static readonly encounterVersion;
    id?: number;
    version: number;
    initialOffset: number;
    endStatus: string;
    startStatus: string;
    private engageAt;
    private firstPlayerAbility;
    private firstEnemyAbility;
    firstLineIndex: number;
    combatantTracker?: CombatantTracker;
    startTimestamp: number;
    endTimestamp: number;
    duration: number;
    tzOffsetMillis: number;
    playbackOffset: number;
    language: Lang;
    initialTimestamp: number;
    constructor(encounterDay: string, encounterZoneId: string, encounterZoneName: string, logLines: LineEvent[]);
    initialize(): void;
    shouldPersistFight(): boolean;
    upgrade(version: number): boolean;
}
