import EventBus from '../EventBus';
import LogRepository from './network_log_converter/LogRepository';
import ParseLine from './network_log_converter/ParseLine';
const isLineEvent = (line) => {
    return !!line;
};
export default class NetworkLogConverter extends EventBus {
    convertFile(data) {
        const repo = new LogRepository();
        return this.convertLines(
        // Split data into an array of separate lines, removing any blank lines.
        data.split(NetworkLogConverter.lineSplitRegex).filter((l) => l !== ''), repo);
    }
    convertLines(lines, repo) {
        return lines.map((l) => ParseLine.parse(repo, l)).filter(isLineEvent);
    }
    static lineSplitRegex = /\r?\n/gm;
}
//# sourceMappingURL=NetworkLogConverter.js.map