import Dexie from 'dexie';
import 'dexie-export-import';
import Encounter from './Encounter';
import PersistorEncounter from './PersistorEncounter';
export default class Persistor extends Dexie {
    private encounters;
    encounterSummaries: Dexie.Table<PersistorEncounter, number>;
    constructor();
    loadEncounter(id: number): Promise<Encounter | undefined>;
    persistEncounter(baseEncounter: Encounter): Promise<unknown>;
    deleteEncounter(id: number): Promise<unknown>;
    clearDB(): Promise<void>;
    exportDB(): Promise<Blob>;
    importDB(file: File): Promise<void>;
}
