import { UnreachableCode } from '../../../../resources/not_reached';
export default class PersistorEncounter {
    id;
    name;
    start;
    offset;
    tzOffsetMillis;
    startStatus;
    endStatus;
    zoneId;
    zoneName;
    duration;
    constructor(encounter) {
        if (!encounter.combatantTracker)
            throw new UnreachableCode();
        this.id = encounter.id ?? 0;
        this.name = encounter.combatantTracker.getMainCombatantName();
        this.start = encounter.startTimestamp;
        this.offset = encounter.initialOffset;
        this.tzOffsetMillis = encounter.tzOffsetMillis;
        this.startStatus = encounter.startStatus;
        this.endStatus = encounter.endStatus;
        this.zoneId = encounter.encounterZoneId;
        this.zoneName = encounter.encounterZoneName;
        this.duration = encounter.endTimestamp - encounter.startTimestamp;
    }
}
//# sourceMappingURL=PersistorEncounter.js.map