import logDefinitions from '../../../../../resources/netlog_defs';
import Util from '../../../../../resources/util';
import LineEvent from './LineEvent';
const fields = logDefinitions.AddedCombatant.fields;
// Added combatant event
export class LineEvent0x03 extends LineEvent {
    id;
    name;
    jobIdHex;
    jobId;
    job;
    levelString;
    level;
    ownerId;
    worldId;
    worldName;
    npcNameId;
    npcBaseId;
    hp;
    maxHp;
    mp;
    maxMp;
    x;
    y;
    z;
    heading;
    isSource = true;
    isJobLevel = true;
    constructor(repo, line, parts) {
        super(repo, line, parts);
        this.id = parts[fields.id]?.toUpperCase() ?? '';
        this.name = parts[fields.name] ?? '';
        this.jobIdHex = parts[fields.job]?.toUpperCase() ?? '';
        this.jobId = parseInt(this.jobIdHex, 16);
        this.job = Util.jobEnumToJob(this.jobId);
        this.levelString = parts[fields.level] ?? '';
        this.level = parseInt(this.levelString, 16);
        this.ownerId = parts[fields.ownerId]?.toUpperCase() ?? '';
        this.worldId = parts[fields.worldId] ?? '';
        this.worldName = parts[fields.world] ?? '';
        this.npcNameId = parts[fields.npcNameId] ?? '';
        this.npcBaseId = parts[fields.npcBaseId] ?? '';
        this.hp = parseFloat(parts[fields.currentHp] ?? '');
        this.maxHp = parseFloat(parts[fields.hp] ?? '');
        this.mp = parseFloat(parts[fields.currentMp] ?? '');
        this.maxMp = parseFloat(parts[fields.mp] ?? '');
        this.x = parseFloat(parts[fields.x] ?? '');
        this.y = parseFloat(parts[fields.y] ?? '');
        this.z = parseFloat(parts[fields.z] ?? '');
        this.heading = parseFloat(parts[fields.heading] ?? '');
        repo.updateCombatant(this.id, {
            name: this.name,
            spawn: this.timestamp,
            despawn: this.timestamp,
            job: this.jobIdHex,
        });
    }
}
export class LineEvent03 extends LineEvent0x03 {
}
//# sourceMappingURL=LineEvent0x03.js.map