import logDefinitions from '../../../../../resources/netlog_defs';
import LineEvent from './LineEvent';
const fields = logDefinitions.StartsUsing.fields;
// Ability use event
export class LineEvent0x14 extends LineEvent {
    id;
    name;
    abilityId;
    abilityIdHex;
    abilityName;
    targetId;
    targetName;
    duration;
    x;
    y;
    z;
    heading;
    isSource = true;
    isTarget = true;
    isAbility = true;
    constructor(repo, line, parts) {
        super(repo, line, parts);
        this.id = parts[fields.sourceId]?.toUpperCase() ?? '';
        this.name = parts[fields.source] ?? '';
        this.abilityIdHex = parts[fields.id]?.toUpperCase() ?? '';
        this.abilityId = parseInt(this.abilityIdHex, 16);
        this.abilityName = parts[fields.ability] ?? '';
        this.targetId = parts[fields.targetId]?.toUpperCase() ?? '';
        this.targetName = parts[fields.target] ?? '';
        this.duration = parts[fields.castTime] ?? '';
        this.x = parseFloat(parts[fields.x] ?? '');
        this.y = parseFloat(parts[fields.y] ?? '');
        this.z = parseFloat(parts[fields.z] ?? '');
        this.heading = parseFloat(parts[fields.heading] ?? '');
        repo.updateCombatant(this.id, {
            job: undefined,
            name: this.name,
            spawn: this.timestamp,
            despawn: this.timestamp,
        });
        repo.updateCombatant(this.targetId, {
            job: undefined,
            name: this.targetName,
            spawn: this.timestamp,
            despawn: this.timestamp,
        });
    }
}
export class LineEvent20 extends LineEvent0x14 {
}
//# sourceMappingURL=LineEvent0x14.js.map