import logDefinitions from '../../../../../resources/netlog_defs';
import LineEvent from './LineEvent';
const fields = logDefinitions.Ability.fields;
// Ability hit single target event
export class LineEvent0x15 extends LineEvent {
    damage;
    id;
    name;
    abilityId;
    abilityName;
    targetId;
    targetName;
    flags;
    targetHp;
    targetMaxHp;
    targetMp;
    targetMaxMp;
    targetX;
    targetY;
    targetZ;
    targetHeading;
    hp;
    maxHp;
    mp;
    maxMp;
    x;
    y;
    z;
    heading;
    isSource = true;
    isTarget = true;
    isAbility = true;
    constructor(repo, line, parts) {
        super(repo, line, parts);
        this.id = parts[fields.sourceId]?.toUpperCase() ?? '';
        this.name = parts[fields.source] ?? '';
        this.flags = parts[fields.flags] ?? '';
        const fieldOffset = this.flags === '3F' ? 2 : 0;
        this.damage = LineEvent.calculateDamage(parts[fields.damage + fieldOffset] ?? '');
        this.abilityId = parseInt(parts[fields.id]?.toUpperCase() ?? '', 16);
        this.abilityName = parts[fields.ability] ?? '';
        this.targetId = parts[fields.targetId]?.toUpperCase() ?? '';
        this.targetName = parts[fields.target] ?? '';
        this.targetHp = parseInt(parts[fields.targetCurrentHp + fieldOffset] ?? '');
        this.targetMaxHp = parseInt(parts[fields.targetMaxHp + fieldOffset] ?? '');
        this.targetMp = parseInt(parts[fields.targetCurrentMp + fieldOffset] ?? '');
        this.targetMaxMp = parseInt(parts[fields.targetMaxMp + fieldOffset] ?? '');
        this.targetX = parseFloat(parts[fields.targetX + fieldOffset] ?? '');
        this.targetY = parseFloat(parts[fields.targetY + fieldOffset] ?? '');
        this.targetZ = parseFloat(parts[fields.targetZ + fieldOffset] ?? '');
        this.targetHeading = parseFloat(parts[fields.targetHeading + fieldOffset] ?? '');
        this.hp = parseInt(parts[fields.currentHp + fieldOffset] ?? '');
        this.maxHp = parseInt(parts[fields.maxHp + fieldOffset] ?? '');
        this.mp = parseInt(parts[fields.currentMp + fieldOffset] ?? '');
        this.maxMp = parseInt(parts[fields.maxMp + fieldOffset] ?? '');
        this.x = parseFloat(parts[fields.x + fieldOffset] ?? '');
        this.y = parseFloat(parts[fields.y + fieldOffset] ?? '');
        this.z = parseFloat(parts[fields.z + fieldOffset] ?? '');
        this.heading = parseFloat(parts[fields.heading + fieldOffset] ?? '');
        repo.updateCombatant(this.id, {
            job: undefined,
            name: this.name,
            spawn: this.timestamp,
            despawn: this.timestamp,
        });
        repo.updateCombatant(this.targetId, {
            job: undefined,
            name: this.targetName,
            spawn: this.timestamp,
            despawn: this.timestamp,
        });
    }
}
export class LineEvent21 extends LineEvent0x15 {
}
//# sourceMappingURL=LineEvent0x15.js.map