import logDefinitions from '../../../../../resources/netlog_defs';
import LineEvent from './LineEvent';
const fields = logDefinitions.NetworkDoT.fields;
// DoT/HoT event
export class LineEvent0x18 extends LineEvent {
    id;
    name;
    which;
    effectId;
    damage;
    hp;
    maxHp;
    mp;
    maxMp;
    x;
    y;
    z;
    heading;
    isSource = true;
    constructor(repo, line, parts) {
        super(repo, line, parts);
        this.id = parts[fields.id]?.toUpperCase() ?? '';
        this.name = parts[fields.name] ?? '';
        this.which = parts[fields.which] ?? '';
        this.effectId = parts[fields.effectId]?.toUpperCase() ?? '';
        const damageString = parts[fields.damage] ?? '';
        this.damage = parseInt(damageString, 16);
        this.hp = parseInt(parts[fields.currentHp] ?? '');
        this.maxHp = parseInt(parts[fields.maxHp] ?? '');
        this.mp = parseInt(parts[fields.currentMp] ?? '');
        this.maxMp = parseInt(parts[fields.maxMp] ?? '');
        this.x = parseFloat(parts[fields.x] ?? '');
        this.y = parseFloat(parts[fields.y] ?? '');
        this.z = parseFloat(parts[fields.z] ?? '');
        this.heading = parseFloat(parts[fields.heading] ?? '');
        repo.updateCombatant(this.id, {
            job: undefined,
            name: this.name,
            spawn: this.timestamp,
            despawn: this.timestamp,
        });
    }
}
export class LineEvent24 extends LineEvent0x18 {
}
//# sourceMappingURL=LineEvent0x18.js.map