import logDefinitions from '../../../../../resources/netlog_defs';
import SFuncs from '../../../../../resources/stringhandlers';
import Util from '../../../../../resources/util';
import LineEvent from './LineEvent';
const fields = logDefinitions.StatusEffect.fields;
// Network status effect event
export class LineEvent0x26 extends LineEvent {
    jobIdHex;
    jobId;
    job;
    level;
    id;
    name;
    jobLevelData;
    hp;
    maxHp;
    mp;
    maxMp;
    x;
    y;
    z;
    heading;
    isSource = true;
    isJobLevel = true;
    constructor(repo, line, parts) {
        super(repo, line, parts);
        this.id = parts[fields.targetId]?.toUpperCase() ?? '';
        this.name = parts[fields.target] ?? '';
        this.jobLevelData = parts[fields.jobLevelData] ?? '';
        this.hp = parseInt(parts[fields.hp] ?? '');
        this.maxHp = parseInt(parts[fields.maxHp] ?? '');
        this.mp = parseInt(parts[fields.mp] ?? '');
        this.maxMp = parseInt(parts[fields.maxMp] ?? '');
        this.x = parseFloat(parts[fields.x] ?? '');
        this.y = parseFloat(parts[fields.y] ?? '');
        this.z = parseFloat(parts[fields.z] ?? '');
        this.heading = parseFloat(parts[fields.heading] ?? '');
        const padded = SFuncs.zeroPad(this.jobLevelData, 8);
        this.jobIdHex = padded.slice(6, 8).toUpperCase();
        this.jobId = parseInt(this.jobIdHex, 16);
        this.job = Util.jobEnumToJob(this.jobId);
        this.level = parseInt(padded.slice(4, 6), 16);
    }
}
export class LineEvent38 extends LineEvent0x26 {
}
//# sourceMappingURL=LineEvent0x26.js.map