import logDefinitions from '../../../../../resources/netlog_defs';
import LineEvent from './LineEvent';
const fields = logDefinitions.NetworkUpdateHP.fields;
// Network update hp event
export class LineEvent0x27 extends LineEvent {
    id;
    name;
    hp;
    maxHp;
    mp;
    maxMp;
    x;
    y;
    z;
    heading;
    isSource = true;
    constructor(repo, line, parts) {
        super(repo, line, parts);
        this.id = parts[fields.id]?.toUpperCase() ?? '';
        this.name = parts[fields.name] ?? '';
        this.hp = parseInt(parts[fields.currentHp] ?? '');
        this.maxHp = parseInt(parts[fields.maxHp] ?? '');
        this.mp = parseInt(parts[fields.currentMp] ?? '');
        this.maxMp = parseInt(parts[fields.maxMp] ?? '');
        this.x = parseFloat(parts[fields.x] ?? '');
        this.y = parseFloat(parts[fields.y] ?? '');
        this.z = parseFloat(parts[fields.z] ?? '');
        this.heading = parseFloat(parts[fields.heading] ?? '');
    }
}
export class LineEvent39 extends LineEvent0x27 {
}
//# sourceMappingURL=LineEvent0x27.js.map