import { Lang } from '../../../resources/languages';
import { LocaleObject, LocaleText } from '../../../types/trigger';
export declare const translate: <T>(lang: Lang, obj: LocaleObject<T>) => T;
type Translation = {
    [selector: string]: LocaleText;
};
export declare const emulatorTranslations: Translation;
export declare const emulatorTooltipTranslations: Translation;
export declare const emulatorTemplateTranslations: {
    [selector: string]: Translation;
};
export declare const emulatorStartStatuses: {
    unknown: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    countdown: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    seal: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    engage: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
};
export declare const emulatorEndStatuses: {
    unknown: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    win: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    wipe: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    cactbotWipe: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
    unseal: {
        en: string;
        de: string;
        fr: string;
        ja: string;
        cn: string;
    };
};
export declare const lookupStartStatuses: (lang: Lang, statusesStr: string) => string;
export declare const lookupEndStatus: (lang: Lang, status: string) => string;
export {};
