import AnalyzedEncounter, { PerspectiveTrigger } from '../data/AnalyzedEncounter';
import RaidEmulator from '../data/RaidEmulator';
import EventBus from '../EventBus';
type PartyInfo = {
    $rootElem: HTMLElement;
    $iconElem: HTMLElement;
    $hpElem: HTMLElement;
    $hpLabelElem: HTMLElement;
    $hpProgElem: HTMLElement;
    $mpElem: HTMLElement;
    $mpLabelElem: HTMLElement;
    $mpProgElem: HTMLElement;
    $nameElem: HTMLElement;
    id: string;
    $triggerElem: HTMLElement;
};
type CollapseParams = {
    time: string;
    name?: string;
    classes: string[];
    $obj: HTMLElement;
    icon?: string;
    text?: string;
    onclick?: CallableFunction;
};
export default class EmulatedPartyInfo extends EventBus {
    private emulator;
    private $partyInfo;
    private $triggerInfo;
    private $triggerHideSkippedCheckbox;
    private $triggerHideCollectCheckbox;
    private $triggerHideGeneralCheckbox;
    private $triggerBar;
    private latestDisplayedState;
    private currentPerspective?;
    private updateTriggerState;
    private $triggerItemTemplate;
    private $playerInfoRowTemplate;
    private $playerTriggerInfoTemplate;
    private $jsonViewerTemplate;
    private $wrapCollapseTemplate;
    private tooltips;
    private triggerBars;
    private displayedParty;
    constructor(emulator: RaidEmulator);
    hideNonExecutedTriggers(): void;
    showNonExecutedTriggers(): void;
    hideCollectorTriggers(): void;
    showCollectorTriggers(): void;
    hideGeneralTriggers(): void;
    showGeneralTriggers(): void;
    updatePartyInfo(emulator: RaidEmulator, timestamp: number): void;
    resetPartyInfo(encounter: AnalyzedEncounter): void;
    selectPerspective(id: string): void;
    updateCombatantInfo(encounter: AnalyzedEncounter, id: string, stateID: number): void;
    getPartyInfoObjectFor(encounter: AnalyzedEncounter, id: string): PartyInfo;
    getTriggerInfoObjectFor(encounter: AnalyzedEncounter, id: string): HTMLElement;
    getTriggerLabelIcon(trigger: PerspectiveTrigger): string | undefined;
    getTriggerFiredLabelTime(trigger: PerspectiveTrigger): string;
    getTriggerResolvedLabelTime(trigger: PerspectiveTrigger): string;
    _wrapCollapse(params: CollapseParams): HTMLElement;
    static jobOrder: readonly ["PLD", "WAR", "DRK", "GNB", "WHM", "SCH", "AST", "SGE", "MNK", "DRG", "NIN", "SAM", "RPR", "VPR", "BRD", "MCH", "DNC", "BLM", "SMN", "RDM", "PCT", "BLU"];
}
export {};
