import Persistor from '../data/Persistor';
import PersistorEncounter from '../data/PersistorEncounter';
import EventBus from '../EventBus';
type DateMap = {
    start: string;
    name: string;
    duration: string;
    encounter: PersistorEncounter;
};
type ZoneMap = {
    [date: string]: DateMap[];
};
type EncounterMap = {
    [zone: string]: ZoneMap;
};
export default class EncounterTab extends EventBus {
    private persistor;
    $zoneColumn: HTMLElement;
    $dateColumn: HTMLElement;
    $encounterColumn: HTMLElement;
    $infoColumn: HTMLElement;
    $encounterTabRowTemplate: HTMLElement;
    $encounterTabEncounterRowTemplate: HTMLElement;
    $encounterInfoTemplate: HTMLElement;
    encounters: EncounterMap;
    currentZone?: string;
    currentDate?: string;
    currentEncounter?: number;
    constructor(persistor: Persistor);
    refresh(): void;
    refreshUI(): void;
    refreshZones(): void;
    refreshDates(): void;
    refreshEncounters(): void;
    refreshInfo(): void;
}
export {};
