declare const validDirections: readonly ["top", "right", "bottom", "left"];
type ValidDirection = typeof validDirections[number];
export default class Tooltip {
    private target;
    private direction;
    offset: {
        x: number;
        y: number;
    };
    private tooltip;
    private inner;
    private arrow;
    private static templates;
    constructor(target: HTMLElement, direction: ValidDirection, text: string, autoShow?: boolean, autoHide?: boolean);
    setText(text: string): void;
    show(): void;
    hide(): void;
    delete(): void;
    static getTemplate(dir: string): HTMLTemplateElement;
    static cloneTemplate(direction: ValidDirection): HTMLElement;
}
export {};
