import TimerBar from '../../resources/timerbar';
import { LooseTimelineTrigger } from '../../types/trigger';
import { PopupTextGenerator } from './popup-text';
import { RaidbossOptions } from './raidboss_options';
import { TimelineUI } from './timeline';
import { Event } from './timeline_parser';
export type ActiveBar = {
    bar: TimerBar;
    soonTimeout?: number;
};
export declare class HTMLTimelineUI extends TimelineUI {
    protected options: RaidbossOptions;
    private init;
    private lang;
    private root;
    private barColor;
    private barExpiresSoonColor;
    private timerlist;
    private activeBars;
    private debugElement;
    private debugFightTimer;
    private popupText?;
    constructor(options: RaidbossOptions);
    protected Init(): void;
    protected AddDebugInstructions(): void;
    SetPopupTextInterface(popupText: PopupTextGenerator): void;
    protected Reset(): void;
    OnAddTimer(fightNow: number, e: Event, channeling: boolean): void;
    OnRemoveTimer(e: Event, force: boolean): void;
    OnShowInfoText(text: string, currentTime: number): void;
    OnShowAlertText(text: string, currentTime: number): void;
    OnShowAlarmText(text: string, currentTime: number): void;
    OnSpeakTTS(text: string, currentTime: number): void;
    OnTrigger(trigger: LooseTimelineTrigger, matches: RegExpExecArray | null, currentTime: number): void;
    OnSyncTime(fightNow: number, running: boolean): void;
}
