import UserConfig from '../../resources/user_config';
// These options are ones that are not auto-defined by raidboss_config.js.
const defaultRaidbossNonConfigOptions = {
    PlayerNicks: {},
    InfoSound: '../../resources/sounds/freesound/percussion_hit.webm',
    AlertSound: '../../resources/sounds/BigWigs/Alert.webm',
    AlarmSound: '../../resources/sounds/BigWigs/Alarm.webm',
    LongSound: '../../resources/sounds/BigWigs/Long.webm',
    PullSound: '../../resources/sounds/freesound/sonar.webm',
    AudioAllowed: true,
    DisabledTriggers: {},
    PerTriggerAutoConfig: {},
    PerTriggerSetAutoConfig: {},
    PerTriggerOptions: {},
    PerZoneTimelineConfig: {},
    TriggerSetConfig: {},
    Triggers: [],
    IsRemoteRaidboss: false,
    TransformTts: (t) => t,
};
// TODO: figure out how to get this type from raidboss_config??
// These values are overwritten and are just here for typing.
const defaultRaidbossConfigOptions = {
    DefaultAlertOutput: 'textAndSound',
    AlertsLanguage: undefined,
    TimelineLanguage: undefined,
    TimelineEnabled: true,
    AlertsEnabled: true,
    DefaultPlayerLabel: 'nick',
    ShowTimerBarsAtSeconds: 30,
    KeepExpiredTimerBarsForSeconds: 0.7,
    BarExpiresSoonSeconds: 6,
    MaxNumberOfTimerBars: 6,
    ReverseTimeline: false,
    DisplayAlarmTextForSeconds: 3,
    DisplayAlertTextForSeconds: 3,
    DisplayInfoTextForSeconds: 3,
    AlarmSoundVolume: 1,
    AlertSoundVolume: 1,
    InfoSoundVolume: 1,
    LongSoundVolume: 1,
    PullSoundVolume: 1,
    RumbleEnabled: false,
    InfoRumbleDuration: 400,
    InfoRumbleWeak: 0.5,
    InfoRumbleStrong: 0,
    AlertRumbleDuration: 500,
    AlertRumbleWeak: 0,
    AlertRumbleStrong: 0.5,
    AlarmRumbleDuration: 750,
    AlarmRumbleWeak: 0.75,
    AlarmRumbleStrong: 0.75,
};
// See user/raidboss-example.js for documentation.
const Options = {
    ...UserConfig.getDefaultBaseOptions(),
    ...defaultRaidbossNonConfigOptions,
    ...defaultRaidbossConfigOptions,
};
export default Options;
//# sourceMappingURL=raidboss_options.js.map