export declare const logLevels: readonly [readonly ["alert", "ALERTS: issues that probably require action (RECOMMENDED)"], readonly ["info", "INFO: more routine/known issues that may not require action"], readonly ["debug", "DEBUG: detailed output for troubleshooting"], readonly ["silent", "SILENT: success & fatal errors only (not recommended)"]];
export type LogLevelKey = typeof logLevels[number][0];
export type LogLevelLabel = typeof logLevels[number][1];
type LogLevelMap = {
    [K in LogLevelKey]: 0 | 1 | 2 | 3;
};
export declare class ConsoleLogger {
    static readonly logLevelDefault: LogLevelKey;
    logLevelMap: LogLevelMap;
    myLogLevel: LogLevelMap[LogLevelKey];
    setLogLevel(logLevel?: LogLevelKey): void;
    constructor(userLogLevelKey?: LogLevelKey);
    alert(msg: string): void;
    info(msg: string): void;
    debug(msg: string): void;
    successDone(msg: string): void;
    nonFatalError(msg: string): void;
    fatalError(msg: string): void;
    printNoHeader(msg: string): void;
}
export {};
