import { Lang } from '../resources/languages';
export type Table<RowKey extends string, SubKey extends string | number> = Record<RowKey extends '#' ? number : string, Record<RowKey | SubKey, string | undefined>>;
export type GetTableFunc = {
    <T extends (string | number), K extends string>(table: string, inputs: [key: K, ...indices: T[]]): Promise<Table<K, T>>;
    <T extends (string | number), K extends string>(table: string, inputs: (string | number)[], outputs?: [key: K, ...indices: T[]]): Promise<Table<K, T>>;
};
export declare const cleanName: (str: string) => string;
export declare const readCsvContent: (content: string | string[]) => Promise<{
    keys: string[];
    rows: string[][];
}>;
export declare const makeMap: GetTableFunc;
export declare const getIntlTable: GetTableFunc;
export declare const getKoTable: GetTableFunc;
export declare const getCnTable: GetTableFunc;
export declare const getLocaleTable: {
    <T extends (string | number), K extends string>(contents: string, locale: Lang, inputs: [key: K, ...indices: T[]]): Promise<Table<K, T>>;
    <T extends (string | number), K extends string>(contents: string, locale: Lang, inputs: (string | number)[], outputs: [key: K, ...indices: T[]]): Promise<Table<K, T>>;
};
export declare const getRawCsv: (table: string, locale: Lang) => Promise<string>;
