import { LogDefFieldIdx, LogDefFieldName, LogDefinition, LogDefinitionName, LogDefinitionType } from '../../resources/netlog_defs';
import { Notifier } from './notifier';
import { ReindexedLogDefs } from './splitter';
export default class Anonymizer {
    private logTypes;
    private nameGenerator;
    private playerMap;
    private anonMap;
    private fakeHash;
    private lastPlayerIdx;
    constructor();
    isLogDefinitionFieldIdx<K extends LogDefinitionName>(fieldId: number | null | undefined, name: K): fieldId is LogDefFieldIdx<K>;
    isLogDefinitionField<K extends LogDefinitionName>(field: string, name: K): field is LogDefFieldName<K>;
    isLogDefinitionType(type: string | undefined): type is LogDefinitionType;
    isLogDefinition<K extends LogDefinitionName>(def: {
        name: K;
    }): def is LogDefinition<K>;
    isReindexedLogDefs(remap: Partial<ReindexedLogDefs>): remap is ReindexedLogDefs;
    processLogDefs(): ReindexedLogDefs;
    process(line: string, notifier: Notifier): string | undefined;
    private anonymizeRepeatingFields;
    private addNewPlayer;
    validateIds(notifier: Notifier): boolean;
    validateLine(line: string, notifier: Notifier): boolean;
}
