export class ConsoleNotifier {
    fileName;
    errorFunc;
    constructor(fileName, errorFunc) {
        this.fileName = fileName;
        this.errorFunc = errorFunc;
    }
    info(reason, splitLine) {
        if (splitLine === undefined)
            this.errorFunc(`${this.fileName}: ${reason}`);
        else
            this.errorFunc(`${this.fileName}: ${reason}: ${splitLine.join('|')}`);
    }
    warn(reason, splitLine) {
        if (splitLine === undefined)
            this.errorFunc(`${this.fileName}: ${reason}`);
        else
            this.errorFunc(`${this.fileName}: ${reason}: ${splitLine.join('|')}`);
    }
    error(reason, splitLine) {
        if (splitLine === undefined)
            this.errorFunc(`${this.fileName}: ${reason}`);
        else
            this.errorFunc(`${this.fileName}: ${reason}: ${splitLine.join('|')}`);
    }
}
//# sourceMappingURL=notifier.js.map