import { ConsoleLogger } from './console_logger';
type XivApiRow = {
    schema?: string;
    row_id: number;
    fields: {
        [field: string]: unknown;
    };
};
export type OutputFileAttributes = {
    outputFile: string;
    type: string;
    header: string;
    asConst: boolean;
};
export declare class XivApi {
    cactbotPath: string;
    log: ConsoleLogger;
    constructor(cactbotPath: string | null, log?: ConsoleLogger);
    queryApi(sheet: string, fields: string[]): Promise<XivApiRow[]>;
    sortObjByKeys(obj: unknown): unknown;
    writeFile(scriptName: string, file: OutputFileAttributes, data: {
        [s: string]: unknown;
    }, keysAsStrings?: boolean): Promise<void>;
}
export {};
