import { LocaleText } from '../types/trigger';
type NameKeyToTerritoryId = {
    [name: string]: number;
};
type NameKeyToTerritoryIds = {
    [name: string]: number[];
};
type TerritoryIdToCfcId = {
    [id: number]: number;
};
type ZoneInfoType = {
    [zoneId: number]: {
        exVersion: number;
        contentType?: number;
        name: LocaleText;
        offsetX: number;
        offsetY: number;
        sizeFactor: number;
        weatherRate: number;
    };
};
type OverrideContainer = {
    knownIds: NameKeyToTerritoryId;
    syntheticIds: NameKeyToTerritoryId;
    knownCollisions: NameKeyToTerritoryIds;
    syntheticContentType: NameKeyToTerritoryId;
    forceTtToCfcMap: TerritoryIdToCfcId;
    syntheticZoneInfo: ZoneInfoType;
};
declare const Overrides: OverrideContainer;
export default Overrides;
